[3d12ff92 | Fri Jan 06 10:14:35 UTC 2023] Michael Faughn <michael.faughn@nist.gov>

  * remove support for localmemcache

[9e2215b9 | Fri Jan 06 10:12:34 UTC 2023] Michael Faughn <michael.faughn@nist.gov>

  * update gemspec

[2e5dd91e | Fri Jan 06 10:06:28 UTC 2023] Michael Faughn <michael.faughn@nist.gov>

  * Use Redis::Namespace to handle namespacing in Redis. Tweak Redis test checks for Redis being active

[12b4975c | Fri Jan 06 10:00:44 UTC 2023] Michael Faughn <michael.faughn@nist.gov>

  * tweak test.  HAML engine output no longer indents. Test now accomodates this.

[d234842f | Fri Jan 06 09:58:51 UTC 2023] Michael Faughn <michael.faughn@nist.gov>

  * tweak syslog test. Log output formatting has changed but is still fundamentally the same information. Test now accomodates format change.

[3bf0596a | Fri Jan 06 09:57:22 UTC 2023] Michael Faughn <michael.faughn@nist.gov>

  * tweak directory test to conform to what actually happens now.  Behavior / format of directory build results are different but still fundamentally correct.

[5a975230 | Fri Jan 06 09:54:53 UTC 2023] Michael Faughn <michael.faughn@nist.gov>

  * remove dependency on rack-contrib because rack now includes ConditionalGet and ETag

[f3f4cfc2 | Fri Jan 06 09:51:53 UTC 2023] Michael Faughn <michael.faughn@nist.gov>

  * accomodate changes to Rack::Request that refactor the Helpers and Env modules so that request_accessor.rb works

[7741705c | Fri Jan 06 09:49:02 UTC 2023] Michael Faughn <michael.faughn@nist.gov>

  * Rack::File -> Rack::Files

[7dececd0 | Mon May 16 12:56:26 UTC 2016] Michael Fellinger <m.fellinger@gmail.com>

  * add shell.nix

[d8573442 | Mon May 16 12:56:17 UTC 2016] Michael Fellinger <m.fellinger@gmail.com>

  * update travis config

[5daebbd9 | Mon May 16 12:56:05 UTC 2016] Michael Fellinger <m.fellinger@gmail.com>

  * fix error spec

[920645fc | Mon May 16 12:55:52 UTC 2016] Michael Fellinger <m.fellinger@gmail.com>

  * rm .ruby-gemset/.ruby-version

[982472e5 | Mon May 16 12:55:20 UTC 2016] Michael Fellinger <m.fellinger@gmail.com>

  * refactor version

[78055283 | Wed Oct 28 17:46:19 UTC 2015] Michael Fellinger <m.fellinger@gmail.com>

  * Release 2015.10.28

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[41755668 | Wed Oct 28 17:45:32 UTC 2015] Michael Fellinger <m.fellinger@gmail.com>

  * Release 2012.12.08

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[40aeeb4e | Wed Oct 28 12:45:05 UTC 2015] Richard Fisher <richardfsr@gmail.com>

  * Fix ttl for memcache, redis, moneta



[5cc6e2f1 | Mon Apr 14 17:50:52 UTC 2014] Michael Fellinger <m.fellinger@gmail.com>

  * fix the whywiki

[f2ebd20c | Wed Jul 24 12:01:25 UTC 2013] Michael Fellinger <m.fellinger@gmail.com>

  * add preconditions for localmemcache specs

[d7ad6b1b | Tue Apr 16 15:38:43 UTC 2013] Michael Fellinger <m.fellinger@gmail.com>

  * update .gems

[868bbf53 | Wed Jul 24 08:12:09 UTC 2013] Yorick Peterse <yorickpeterse@gmail.com>

  * Removed myself from the Travis notifications list.

[bc402995 | Fri Apr 19 10:09:14 UTC 2013] Javier Donaire <jdonaire@gmail.com>

  * Paginate preserves multi-value parameters

[3ab6a410 | Tue Apr 16 15:36:31 UTC 2013] Michael Fellinger <m.fellinger@gmail.com>

  * no dep on hpricot in wicore spec

[4237737b | Thu Apr 04 17:09:57 UTC 2013] Anton Ovchinnikov <revolver112@gmail.com>

  * Changed :rubygems to https://rubygems.org in Gemfiles

[5eca0714 | Fri Feb 08 19:18:00 UTC 2013] Yorick Peterse <yorickpeterse@gmail.com>

  * Corrected the Ramaze version for new prototypes.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[d3fdce83 | Tue Jan 29 21:45:07 UTC 2013] Yorick Peterse <yorickpeterse@gmail.com>

  * Removed the LRUHash snippet.

    The LRUHash class has been moved to Innate.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[f0910f09 | Sat Jan 26 22:49:48 UTC 2013] Jack Polgar <jack.polgar@gmail.com>

  * Fixed typos in code comments.

[7645983b | Fri Jan 25 23:37:27 UTC 2013] Michel Blanc <mb@mbnet.fr>

  * Fixes typos in sessions.md

    Fixes my own typos, introduced in previous commit.

[b3ae41c4 | Fri Jan 25 23:30:04 UTC 2013] Michel Blanc <mb@mbnet.fr>

  * Adds more documentation about flash and flashbox

    Added documentation on how flash can be used in view or layouts,
    explaining that any key can be used.
    An example shows how to take advantage of that to use flash keys as css
    selectors.
    Finally, a small example of how flashbox is used in views is shown.
    Hopefully, this fixes #64

[a46272f1 | Wed Jan 23 06:34:15 UTC 2013] Daniel Mendler <mail@daniel-mendler.de>

  * add Moneta cache store

[1feb7d61 | Fri Jan 11 23:06:16 UTC 2013] E0 <shan.huang@me.com>

  * Minor change in slim spec to request template with variable.

    Request '/external_vars' to use the '@name' variable along with the 'external_vars.slim' file.
    
    Signed-off-by: Shan Huang <shan.huang@me.com>
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[e77f5f30 | Sat Jan 12 13:04:10 UTC 2013] Yorick Peterse <yorickpeterse@gmail.com>

  * Ensure spec URLs start with a slash.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[4d31c4bb | Sat Dec 08 18:18:22 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Release 2012.12.08

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[679c4154 | Sat Dec 08 18:16:36 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Added a note about upgrading.

    [ci skip]
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[6191bdf9 | Sat Dec 08 17:35:15 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Disable syslog tests on jruby.

    The Syslog tests can not be executed on jruby due to the use of Process.fork.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[5be0d614 | Sat Dec 08 17:27:21 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Enable syslog and disable localmemcache for jruby.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[d8fdd3df | Sat Dec 08 17:16:47 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Don't install C extensions for jruby.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[8c271b79 | Sat Dec 08 17:08:22 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Replaced hpricot with Nokogiri.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[c35a729d | Sat Dec 08 01:21:43 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Don't install localmemcache for jruby.

    Localmemcache is a C extension and these don't work reliably on Jruby. C
    extension support is also disabled on Travis CI.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[aad4e3e9 | Fri Dec 07 23:28:01 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Release 2012.12.08b

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[d94938b6 | Fri Dec 07 23:27:39 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Switch back to dates for versions.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[c57c6e84 | Fri Dec 07 23:22:56 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Use 3.0.0 for the next version.

    Due to the way Rubygems sorts Gem versions using the version number "2.0.0"
    would producte unreliable results.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[30abe12c | Fri Dec 07 22:07:54 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Strip newlines of the confirmation message.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[1cf5ce99 | Fri Dec 07 22:06:36 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Build the gem before pushing it.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[e8ff0016 | Fri Dec 07 22:05:03 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Release 2.0.0b

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[f73e5c48 | Fri Dec 07 22:04:43 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Uncommented the Git commands in the release task.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[95bcea87 | Fri Dec 07 22:03:54 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Updated the release Rake tasks.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[720daea3 | Fri Dec 07 22:03:34 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Auto generate the release date.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[45cbb807 | Fri Dec 07 21:49:25 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * New setup for writing Ramaze applications.

    Most of the code from the `ramaze` command has been removed from the executable
    into individual Rake tasks located in the prototype. This makes it easier for
    developers to customize these parts (e.g. by using a custom REPL) as well as
    making it easier to maintain Ramaze itself.
    
    With these changes I've also removed the tutorials section from the userguide.
    It hasn't been updated in a while and with these changes was no longer really
    useful.
    
    In short the following changes:
    
    * ramaze start   => rake ramaze:start
    * ramaze console => rake ramaze:irb or rake ramaze:pry
    * Rake is now a dependency of Ramaze so that it's installed when installing
      Ramaze
    * ramaze stop, status and restart have been removed
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[8d53dcaf | Fri Dec 07 20:22:16 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Fixed a bunch of YARD formatting errors.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[938a9c47 | Fri Dec 07 20:11:34 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Updated the documentation on logging.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[03352e5f | Fri Dec 07 20:04:35 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * CSRF expiration and custom field names.

    CSRF tokens are no longer expired during a existing session. Automatically
    expiring them doesn't make things a whole lot more secure. It also makes it
    impossible to use the same session in multiple browser windows/tabs, this is
    due to the token being re-generated upon successful requests which in turn
    would invalidate existing tokens.
    
    Developers are now also able to specify a custom name for the field containing
    the CSRF token. This can be done by setting
    `Ramaze::Helper::CSRF.options.field_name`.
    
    This commit fixes #31.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[900d4e7f | Fri Dec 07 19:52:36 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Fix for storing data using the Sequel cache.

    Due to a bug the Sequel cache would store data for all users, this has been
    fixed by filtering out records based on the unique namespaced key for each
    user.
    
    This commit fixes #54. thanks to @joegsn for reporting it.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[f79efbae | Fri Dec 07 19:47:20 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Updated the version number.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[4758a06b | Thu Dec 06 23:41:39 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Updated the Travis configuration.

    Ruby versions based on 1.8 will no longer be tested.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[b1df1f5c | Thu Dec 06 23:37:08 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Removed more useless helpers/loggers.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[b3662f05 | Thu Dec 06 23:10:37 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Removed ramaze/spec.rb.

    This file has been deprecated for a long time.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[20247025 | Thu Dec 06 23:07:56 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Removed Ramaze.setup, Plugin and AppGraph.

    Ramaze.setup was removed due to the lack of tests and Bundler (and similar
    tools) being a much better tool to solve this problem. Ramaze::Plugin and
    Ramaze::AppGraph were also removed due to the lack of tests and not being used
    internally.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[7e966dcd | Thu Dec 06 22:53:25 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Removed a ton of snippets.

    Most of these snippets were either unused by Ramaze itself or were originally
    added to provide compatibility between Ruby 1.8/1.9. There also werent any
    tests for quite a few of these snippets.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[86cc398a | Thu Dec 06 21:50:43 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Removed a left over reference to Growl.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[0e45ce99 | Thu Dec 06 21:44:51 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Removed the Growl logger.

    This logger was fairly useless for both development and production
    environments. It was also a pain to test, even on OS X.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[dfbb949d | Thu Dec 06 21:40:31 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Cleaning up shop.

    To make it easier for developers to hack on Ramaze I've started changing
    several parts of Ramaze related to how it handles dependencies and how the
    release process is executed.
    
    To make things easier I've added a Gemfile to the project (as well as an
    updated .gems file). This means people can install the development gems by
    simply running `bundle install`.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[b9d1294b | Wed Dec 05 23:27:38 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * New way of setting middleware.

    Middleware are now set similar to how it's done in Innate HEAD.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[2f52ae66 | Wed Oct 03 22:37:16 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Fixed Ramaze's middleware handling.

    Turns out that calls such as `self.app` (see the various commits I made in the
    Innate repository) can be a bit of a pain. While Ramaze "mirrors" the various
    Innate constants it would apparently create a clone of `Innate.app` instead of
    a reference (maybe something else equally weird was going on though).
    
    Fixing this was rather easy, after I found out what the heck was going on. I
    removed `Ramaze.recompile_middleware` since it offers no benefits over
    `Innate.recompile_middleware` as well as having changed a few references to
    `Innate.app`. This along with the various changes I made to the Innate code
    means that Ramaze now plays along nicely with Innate.
    
    Since I'm currently on a plane somewhere high in the sky (insert Top Gun tune
    here) there's a chance my way of thinking has gone wack. Because of that I'm
    asking @manveru and @leucos to take a look at this commit for some much needed
    feedback.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[2deb0c5c | Mon Sep 24 16:04:46 UTC 2012] Michael Fellinger <m.fellinger@gmail.com>

  * fix middlewares

[1887faa0 | Wed Sep 19 10:00:45 UTC 2012] Isak Andersson <IcePapih@lavabit.com>

  * Fixes small grammatic typo in configuration.md

    "Ramaze does not automatically tries to" -> "Ramaze does not automatically try to"

[523ade0e | Thu Jul 19 10:14:07 UTC 2012] Arnaud Meuret <arnaud@meuret.name>

  * Escape % sequences before handing messages to ::Syslog

[2baf79ca | Sun Jul 15 18:30:49 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Simplified loading of Rack::ETag.

    Checking for the arity of Rack::ETag is no longer needed.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[abd969b6 | Sun Jul 15 18:25:14 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Fixed the file dispatcher specification.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[f9fb78c6 | Sun Jul 15 18:24:10 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Fixed the directory dispatcher specification.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[723bc3cf | Sun Jul 15 18:18:57 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Use Ramaze.middleware instead of .middleware!

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[d0c4ef21 | Sun Jul 15 18:18:52 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Remove the dependency on RackFileWrapper.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[6f0be19b | Sun Jul 15 18:18:51 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Remove the dependency on RackFileWrapper.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[a7ca4e79 | Sun Jul 15 17:57:29 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Initial steps for Ramaze 2.0.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[f46eb24b | Sun Jun 24 22:39:53 UTC 2012] Michel Blanc <mb@mbnet.fr>

  * Fixes issue #43

    Closes uploaded file, since leaving it opened doesn't seem to be
    required, and it might lead to issues on Win32.
    Added spec to check that file has been closed.

[2b59453c | Sun Jun 24 14:52:16 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Clarify that layouts should be set outside actions

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[6fb93b5c | Fri Jun 15 20:38:20 UTC 2012] Michel Blanc <mb@mbnet.fr>

  * Adds sid regenration on user logout

    When Ramaze::Helper::UserHelper#_logout is called, the session.sid is
    not regenerated. This can confuse session tracking libraries that rely
    on session IDs.
    This patch forces _logout to regenerate a sid.
    A test is included to ensure sid rotation at logout.

[724bb3fc | Thu May 17 18:58:41 UTC 2012] Claudemiro <dimiro1@gmail.com>

  * Ramaze::Controller.generate_mapping must respect custom irregular mappings.

[f0a1423f | Wed May 16 20:13:18 UTC 2012] Claudemiro <dimiro1@gmail.com>

  * Spec doesn't map Module::Controller

    This spec was missing.

[deafc3be | Wed May 16 19:57:57 UTC 2012] Claudemiro <dimiro1@gmail.com>

  * Fix generate_mapping method in Ramaze::Controller

    This method should generate the URI for the full namespace of the class:
    
    Irregular:
    
    1. Controller should map to nil
    2. Module::Controller should map to nil
    3. MainController should map to /
    4. Module::MainController should map to /module
    
    Regular:
    
    1. ClassController should map to /class
    2. Class should map to /class
    3. Module::ClassController should map to /module/class

[edabd3c9 | Mon May 14 17:53:04 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Make Ramaze::Cache app aware.

    Innate used a hardcoded value of "pristine" for cache namespaces due to not
    having a concept of applications such as Ramaze has. This meant that if you had
    two applications running on the same host and user as well as using the same
    cache (e.g. Memcached) you'd end up with the problem of data being overwritten
    by these applications.
    
    For example, assume you have two applications:
    
    1. "a"
    2. "b"
    
    If you were to run these applications on host "myhost" and user "myuser" you'd
    end up with the following cache keys, regardless of the value of
    `Ramaze.options.app.name`:
    
    1. myhost-myuser-pristine-memcached
    2. myhost-myuser-pristine-memcached
    
    This commit will change those keys to the following:
    
    1. myhost-myuser-a-memcached
    2. myhost-myuser-b-memcached
    
    Of course this assumes you've properly set the application names. If these are
    not set the code will default to "pristine".
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[9c4e39ca | Mon May 14 17:20:26 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * render_partial() does call an action.

    The documentation has been updated to clarify that render_partial() does call an
    action opposed to render_view() which does not.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[4f7651e9 | Sat May 12 19:04:02 UTC 2012] Michel Blanc <mb@mbnet.fr>

  * Fixes typo from last commit and adds blueform object paramter explanation

    Last commit introduced typos, which this patch corrects.
    A small blurb is added to explain one of the coolest thing that can be
    done with blueform: memoizing user entry and redisplay the form after
    server side form (in)validation.

[67a0acd0 | Sat May 12 18:52:03 UTC 2012] Michel Blanc <mb@mbnet.fr>

  * Adds blue form examples and #g hint

    It wasn't obvious how one had to do to generate tags not covered by
    current Form methods. This patch gives a hint on using Form#g to get a
    Gestalt instance back, and use it as usual.
    
    An example is added to illustrate this and show how to use additional
    arguments to set attibutes.

[e017cbc8 | Sat May 12 15:53:42 UTC 2012] Michel Blanc <mb@mbnet.fr>

  * Fixes blue_form html doc tags and code syntax

    HTML tags referenced in the documentation were not escaped. Thus, when
    rendered as HTML, those tags weren't displayed properly in the browser.
    This patch escapes them as suggested by yorickpeterse.
    
    One of the examples wasn't syntactically correct, and had an extra do
    before the block. This is not removed and the example parses properly.

[c6a332c1 | Sat May 12 13:32:54 UTC 2012] Michel Blanc <mb@mbnet.fr>

  * Fixes rendering of in-documentation html tag

    The <p> tag cited in documentation is not escaped by Yard.
    May be yard has an option to handle this, but for now this patch solves
    this by escaping < and > to html entities

[f163277f | Sun Apr 29 00:16:58 UTC 2012] Diego Viola <diego.viola@gmail.com>

  * more small fix/details

[a9b32d00 | Sun Apr 29 00:05:19 UTC 2012] Diego Viola <diego.viola@gmail.com>

  * use : only once for text

[8cd6ed3f | Thu Apr 26 11:33:51 UTC 2012] Diego Viola <diego.viola@gmail.com>

  * spell fix

[d498217c | Wed Apr 25 21:33:26 UTC 2012] Diego Viola <diego.viola@gmail.com>

  * fix spelling error

[eab77b14 | Tue Apr 17 10:03:12 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Custom titles for all static markdown files.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[5df6b755 | Tue Apr 17 09:41:21 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Fixed a minor formatting issue in controllers.md.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[b672513e | Tue Apr 17 09:38:46 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Described method parameters and routing.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[f61d3dad | Sat Apr 14 17:29:21 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Ramaze 2012.04.14.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[ced58a0a | Sat Apr 14 16:54:15 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Sessions specs for Sequel, LRU and LocalMemCache.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[27cab7f5 | Sat Apr 14 12:08:50 UTC 2012] Michael Fellinger <m.fellinger@gmail.com>

  * also make sure we use namespaced keys in cache_delete

[487aee16 | Sat Apr 14 12:03:21 UTC 2012] Michael Fellinger <m.fellinger@gmail.com>

  * namespace keys in redis

[28add0c0 | Sat Apr 14 12:00:12 UTC 2012] Michael Fellinger <m.fellinger@gmail.com>

  * only use default when value is nil

[be0b31e1 | Sat Apr 14 11:56:07 UTC 2012] Michael Fellinger <m.fellinger@gmail.com>

  * speed up redis cache spec a bit

[f4191463 | Sat Apr 14 11:15:56 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Encode session data when using Redis.

    The cache adapter Ramaze::Cache::Redis would store raw values opposed to
    encoding them using Marshal. This would make it impossible for this adapter to
    be used for sessions as session data is stored in a hash opposed to a simple
    string.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[467b5b53 | Fri Apr 06 12:21:07 UTC 2012] Michel Blanc <mb@mbnet.fr>

  * Fixes typos in tutorial

[da08072e | Tue Apr 03 19:24:42 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Update for Cache::MemCache and Dalli 2.

    Dalli 2 deprecated the :compression option in favor of simply :compress. The
    code of Ramaze::Cache::MemCache has been updated to use the new option along
    with a minimum version of Dalli (2.0.2).
    
    This commit fixes #36.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[97d59670 | Tue Apr 03 19:22:20 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Updated the .gems file.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[31bab373 | Fri Mar 23 15:20:25 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Title update in the README.

    The title for testing Ramaze code was changed from "Testing with Ramaze" to
    simply "Testing Ramaze".
    
    Signed-off-by: Yorick Peterse <yorick@isset.nl>

[528ce2de | Thu Mar 22 19:27:24 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Updated the special thanks page.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[0b1537f6 | Thu Mar 22 19:24:57 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Re-wrote and expanded the testing guide.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[f45ad1f6 | Thu Mar 22 18:25:48 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Use specific version numbers for the .gems file.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[92b1f26b | Sat Mar 17 11:20:14 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Fixed another typo in the README.

    Again thanks to dotbaiki for reporting it.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[9bffef44 | Sat Mar 17 10:56:49 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Fixed a typo, thanks dotbaiki for reporting it.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[13a09454 | Mon Mar 12 17:37:58 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Document the ability to customize the pager HTML.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[510cb54c | Mon Mar 12 17:32:37 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Removed some useless whitespace.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[95abb199 | Sun Mar 11 19:24:21 UTC 2012] leucos <leucos@michel.erasme.lan>

  * Added customization for css classes in the Paginate helper

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[b2150635 | Mon Mar 12 08:28:00 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Updated the .mailmap file.

    Signed-off-by: Yorick Peterse <yorick@isset.nl>

[64224c81 | Mon Mar 12 08:27:25 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Updated the list of Gems in the .gems file.

    Signed-off-by: Yorick Peterse <yorick@isset.nl>

[6be53eb4 | Wed Mar 07 18:41:59 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Release 2012.03.07.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[aa5d48f8 | Mon Mar 05 19:08:01 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Updated the list of authors and the changelog.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[8040c21c | Mon Mar 05 19:04:17 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Ramaze is now licensed under the MIT license.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[b1e5d5ce | Fri Mar 02 15:21:37 UTC 2012] John Pagonis <john@pagonis.org>

  * Explains how to reuse the existing middlewares stack with own middleware.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[556597f8 | Fri Mar 02 12:41:53 UTC 2012] John Pagonis <john@pagonis.org>

  * Added a reference to the popular default Innate helpers to ramaze, to stop us wasting time looking for them.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[df6bd77b | Fri Mar 02 11:01:37 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Added a general Git workflow link.

    As suggested by @pagojo I've added a link to a guide that describes the various
    steps of contributing to Github projects.
    
    Issue: #33
    
    Signed-off-by: Yorick Peterse <yorick@isset.nl>

[5ecdb939 | Thu Mar 01 19:05:56 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Woops, YARD can't resolve to Ramaze.start.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[3f6168a7 | Thu Mar 01 18:58:17 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Expanded the sessions guide.

    It now includes a list of the available drivers (copied from the caching guide)
    as well as some instructions on how to change the adapter to use for session
    data.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[7d5f8a0e | Thu Mar 01 18:48:42 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Describe how to write/test documentation.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[d8a3cc4e | Thu Mar 01 13:46:44 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Small formatting changes for the middlewares guide

    See #33
    
    Signed-off-by: Yorick Peterse <yorick@isset.nl>

[346a2021 | Thu Mar 01 13:45:02 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Removed trailing whitespace.

    See #33 for more information.
    
    Signed-off-by: Yorick Peterse <yorick@isset.nl>

[e125277e | Thu Mar 01 12:17:21 UTC 2012] John Pagonis <john@pagonis.org>

  * Clarified the middlewares documentation a bit.

    Signed-off-by: Yorick Peterse <yorick@isset.nl>

[5e9f80d1 | Wed Feb 29 20:12:54 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Updated the list of authors.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[cd11c7f0 | Mon Feb 20 20:45:12 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Fixed the formatting of the User helper docs.

    See #32 for more information.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[e9225b48 | Fri Feb 17 13:31:21 UTC 2012] John Pagonis <john@pagonis.org>

  * Corrected the user_login documentation.

    Signed-off-by: Yorick Peterse <yorick@isset.nl>

[846a4b33 | Thu Feb 16 19:22:14 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Improved the docs for the User helper a bit.

    See #30 for more information.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[2475a04f | Sat Feb 04 13:04:04 UTC 2012] Michael Fellinger <m.fellinger@gmail.com>

  * update travis config

[4cfea2b8 | Wed Jan 25 14:35:19 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Re-generate CSRF tokens for valid requests.

    Re-generating the CSRF tokens on each valid request fixes the annoying issue of
    the tokens *always* expiring after 15 minutes. This is very annoying if you're
    trying to edit some content and all of a sudden you're unable to submit a form
    as the token has expired.
    
    See #27 for more information.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[2e98ff15 | Wed Jan 25 14:29:20 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Removed a few more useless comments.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[5cdc51cf | Wed Jan 25 14:28:44 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * No need to brush my ego that much.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[b24669fc | Wed Jan 25 14:26:27 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Removed some useless code.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[e435ceba | Wed Jan 25 14:10:21 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Use Ramaze.setup for the view adapters.

    Using Ramaze.setup() for installing and loading the gems required for various
    view adapters should make it easier for developers to get started as they no
    longer have to deal with errors related to certain Gems not being installed.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[17c909e0 | Wed Jan 25 14:03:37 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Added a few specifications for Slim.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[969a02c2 | Wed Jan 25 13:42:20 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Docs for the Slim engine and cleaned it up a bit.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[023d6cd6 | Wed Jan 25 13:35:36 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Removed a tab.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[37f0f73a | Thu Jan 19 05:52:52 UTC 2012] Marc Weber <marco-oweber@gmx.de>

  * adding support for slim template engine

    thanks to yorickpeterse, manveru
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[561d5286 | Tue Jan 17 18:23:19 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * Fixed a small statement bug in the blog example.

    This bug would cause an exception to be raised whenever a user would try to log
    in with invalid details. Thanks to MarcWeber for reporting the issue.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[e8b37864 | Tue Jan 17 17:14:52 UTC 2012] Yorick Peterse <yorickpeterse@gmail.com>

  * No need to boost my ego that much.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[b33c13c7 | Tue Jan 17 17:04:10 UTC 2012] Michael Fellinger <m.fellinger@gmail.com>

  * fix some wikore bugs

[fb84aeac | Wed Dec 28 17:29:21 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Release 2011.12.28

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[4553e0b0 | Wed Dec 28 05:13:22 UTC 2011] Michael Fellinger <m.fellinger@gmail.com>

  * Wrap Rack::File so we can continue to use Rack::Cascade

[f52f010b | Wed Dec 28 03:07:49 UTC 2011] Michael Fellinger <m.fellinger@gmail.com>

  * avoid shadow warning in controller

[c64833cb | Wed Dec 28 02:58:55 UTC 2011] Michael Fellinger <m.fellinger@gmail.com>

  * fix shadowed variables in Thread#into

[4c66220c | Sat Dec 24 12:32:17 UTC 2011] Michael Fellinger <m.fellinger@gmail.com>

  * Update rvmrc to 1.9.3 and new convention

[de1a8713 | Sat Dec 24 12:33:11 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Don't specify the exact amount of lines.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[3b17e672 | Sat Dec 24 12:24:29 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Set Ramaze.options.roots in the intro tutorial.

    Without this Ramaze won't be able to properly locate your root directories and
    thus will fail to load views, layouts, etc.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[88c5a38e | Wed Nov 09 18:26:11 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Use request.ip/request.host instead of request.env

    Using request.env['REMOTE_ADDR'] and request.env['REMOTE_HOST'] can break on
    certain environments (e.g. Heroku). Thanks to @stas for reporting the issue.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[51c8d43d | Sun Oct 23 18:11:57 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Minor style changes to the Flash documentation.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[2877b073 | Sun Oct 23 17:03:50 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Release 2011.10.23.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[7c6cd3d3 | Sun Oct 23 17:01:27 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Added Michael to the Email list for Travis.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[8bcf6cac | Sun Oct 23 17:00:04 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Removed jruby from the Travis list.

    It seems jruby is having some trouble on travis when trying to install the
    SQLite3 gem. While jruby itself runs Ramaze just fine I'm removing it from the
    list for the time being.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[8d9d169c | Sun Oct 23 16:08:52 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Updated the list of authors and the changelog.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[73f2dbc6 | Fri Oct 21 21:14:49 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Updated the list of authors and the changelog.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[1eb0b71d | Fri Oct 21 20:48:48 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * RUBY_ENGINE isn't available on 1.8.7.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[97278882 | Fri Oct 21 20:07:23 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Fixed the remainder of all platform issues.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[9c8fc8a1 | Fri Oct 21 19:04:48 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Doh! Last commit broke ramaze start.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[794e0757 | Fri Oct 21 19:01:10 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Jruby support and simplified various tests.

    In order to achieve jruby compatibility I had to make some modifications to the
    development dependencies setup we've been using for a while now. I added a list
    of unsupported gems (such as lokar) which will be "marked" as supported on
    certain systems. For example, lokar is only supported if the user isn't running
    Rubinius.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[c6e328cd | Fri Oct 21 17:24:13 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Fixed more 1.8.7 issues.

    Hopefully this fixes all the remaining issues, though it wouldn't surprise me if
    ``gets()`` still doesn't work on Travis (sadly I can't reproduce this).
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[87d4ab6e | Fri Oct 21 17:12:36 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Fixed a few issues with 1.8.7

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[0d37c8e5 | Fri Oct 21 16:17:52 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Platform checks and used FileUtils::RUBY directly.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[e04f7f44 | Fri Oct 21 15:41:43 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Fixed various issues with different Rubies.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[33746a49 | Fri Oct 21 14:56:14 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Test commit to see if Travis works

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[2faefd78 | Fri Oct 21 14:54:36 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Updated the changelog

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[dee363c9 | Fri Oct 21 14:54:24 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Added a Travis configuration file

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[dfb8ca87 | Fri Oct 21 14:01:40 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Updated the AUTHORS file for the upcoming release.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[4aa97065 | Sat Oct 15 13:15:33 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Added a chapter on contributing to Ramaze

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[156e9023 | Fri Oct 14 20:35:52 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Added a list of guide contributors.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[4c7996e4 | Fri Oct 14 20:30:27 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Style changes to the Testing chapter.

    Besides these style changes I've also expanded the chapter a bit.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[0c6e4e3e | Fri Oct 14 20:15:33 UTC 2011] Stas SUȘCOV <stas@net.utcluj.ro>

  * Added a short guide for testing ramaze apps (with simplecov too)

[7c7a2a62 | Fri Oct 14 19:35:17 UTC 2011] Stas SUȘCOV <stas@net.utcluj.ro>

  * Added flashbox trait details.

[791758e7 | Fri Oct 14 19:28:24 UTC 2011] Stas SUȘCOV <stas@net.utcluj.ro>

  * Updated flash usage details.

[f2f93477 | Thu Oct 13 17:59:12 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Updated various files.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[be1b000e | Thu Oct 13 17:24:31 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Updated the YARD task to include Innate.

    The Rake task ``yard`` can now optionally include Innate when a valid path is
    specified.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[2dac2cd0 | Thu Oct 13 17:05:24 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Cache examples and documented RotatingInformer.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[a8174d2c | Thu Oct 13 16:23:15 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Autoload Growl/RotatinInformer

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[8853778e | Thu Oct 13 13:33:29 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Documented logging and creating custom loggers

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[e9567e7f | Thu Oct 13 10:34:02 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Updated the Special thanks and fixed a typo.

    I added Loren Segal to the Special Thanks page, without him we wouldn't be using
    YARD. Also fixed a spelling error in the README reported by huma.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[3228a6d1 | Thu Oct 13 09:00:10 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Removed the old README

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[830d5999 | Thu Oct 13 08:57:14 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Moved some chapters around.

    The chapters on helpers and logging data have been moved to their own file
    instead of being displayed in the README. Next up is writing the actual
    documentation on logging data.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[4c8d0d20 | Wed Oct 12 22:48:02 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Initial setup for the YARD based user guide.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[8ee60cd9 | Mon Oct 10 19:20:12 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Fixed an HTML validation error.

    The index.html view in the prototype contained a link that wasn't formatted
    according to the HTML specification. Thanks to "stu314" from the IRC channel for
    reporting it and submitting the patch.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[7973c39d | Sun Oct 09 11:37:25 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Docs/style changes for the Redis cache.

    The Redis cache has been documented and I've made some slight modifications to
    it so that it works similar to the Sequel/Memcache cache in terms of setting
    options. I've also modified the Sequel, Memcache and Redis cache classes to
    use Ramaze.setup() for their dependencies, this should make it a bit easier for
    users to use these caches.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[b9f5501d | Sun Oct 09 08:55:58 UTC 2011] Michael Fellinger <m.fellinger@gmail.com>

  * Add redis cache

[a077d545 | Tue Sep 27 21:25:14 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Removed the spec/ directory.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[e5efe43b | Tue Sep 27 21:23:51 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Renamed Post.rb to post.rb.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[a127ef07 | Tue Sep 27 21:23:34 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Silly OS X and it's file casing.

    Next commit will contain the correct name.
    
    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[dc2770f6 | Tue Sep 27 21:18:37 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Boom! A new blog example application.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[1cd6174c | Mon Sep 26 21:47:10 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Started re-writing the blog example.

    Signed-off-by: Yorick Peterse <yorickpeterse@gmail.com>

[02c442e7 | Sat Sep 03 17:43:40 UTC 2011] Francesc Esplugas <francesc.esplugas@gmail.com>

  * Detect also :mustache extension when using Ramaze::View::Mustache.

[68fdea6b | Fri Sep 02 16:54:12 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Modified the Upload helper so that it's less restrictive regarding various types.

[506e9d9b | Thu Sep 01 22:08:09 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Ditched `rake rcov` and told Dalli to bother somebody else with it's logger.

[61760cd1 | Thu Sep 01 16:07:02 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Deprecated ramaze/spec as was supposed to happen two years ago.

    The code in it has been moved to ramaze/spec/bacon. ramaze/spec now always
    generates a warning until I'm 100% sure it's not used by Ramaze itself anymore.

[18bf4b51 | Thu Sep 01 15:12:43 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * rake bacon now shows the spec paths relative to the project root.

[27a32454 | Thu Sep 01 10:49:17 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Added more specs for the Upload helper.

[342ea4dd | Wed Aug 31 23:10:49 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Started writing a set of specifications for the Upload helper.

[703a69c0 | Wed Aug 31 22:15:33 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Moved some of the docs of the Upload helper to the module declaration instead of



[31550b92 | Wed Aug 31 21:54:18 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Cleaned up some of the code in the Upload helper and removed the need for a



[93850aee | Mon Aug 22 11:48:54 UTC 2011] Lars Olsson <lasso@lassoweb.se>

  * UploadHelper: Doh! Don't exit function prematurely. Fixes bug introduced by 88ded566950e15a13fb0526e9cb1c8544b91aa2f.

[c8a71acb | Mon Aug 22 11:19:27 UTC 2011] Lars Olsson <lasso@lassoweb.se>

  * UploadHelper: Doc fixes

[88ded566 | Sun Aug 21 10:40:11 UTC 2011] Lars Olsson <lasso@lassoweb.se>

  * UploadHelper: Document using YARD instead of RDoc, let get_uploaded_files return the number of converted file uploads

[2ba5aa4e | Sat Aug 20 09:44:09 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Updated Ramaze.setup so that it works with recent Rubygems versions and

    
    Most of the credits for fixing Ramaze.setup go to @injekt as he initially
    submitted the code, I just made it work with previous Rubygems installations.

[ebb6a3f7 | Fri Aug 19 20:44:36 UTC 2011] Lars Olsson <lasso@lassoweb.se>

  * UploadHelper: Minor doc fixes

[701f75c4 | Thu Aug 18 20:48:50 UTC 2011] Lars Olsson <lasso@lassoweb.se>

  * UploadHelper: Handle array parameters, add more docs

[51e88dc5 | Thu Aug 18 17:07:12 UTC 2011] Lars Olsson <lasso@lassoweb.se>

  * UploadHelper: Allow proc in addition to string for default_upload_dir parameter

[6b8c45a4 | Tue Aug 16 10:18:47 UTC 2011] Lars Olsson <lasso@lassoweb.se>

  * Fixed minor bugs, added lots of docs for UploadHelper

[e58d99a4 | Mon Aug 15 14:46:22 UTC 2011] Lars Olsson <lasso@lassoweb.se>

  * Be compatible with ruby 1.8

[7bbb7243 | Mon Aug 15 09:49:13 UTC 2011] Lars Olsson <lasso@lassoweb.se>

  * Minor refactoring of save method, add accessors and saved? method to Ramaze::UploadedFile class

[3b938b81 | Sun Aug 14 17:40:33 UTC 2011] Lars Olsson <lasso@lassoweb.se>

  * Use copy_stream method for saving file, add unlinking option for tempfile, reformat source code to keep line length within reasonable limits

[05cc35a4 | Wed Aug 10 06:52:17 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Modified the layout helper so that it no longer overwrites layout().

    Do note that this change has a minor limitation: it will only create a "backup"
    of the existing layout (located in a trait called :layout) the first time
    set_layout() is called. After this it will just use the one that was set in the
    first call.
    
    This means that you can do the following and it would just work fine:
    
        layout     :default
        set_layout :alternative => [:method_1]
    
    This would result in the layout "default" being use by default and the layout
    "alternative" being used for method_1(). Before this commit this would result
    in all methods except method_1() being rendered *without* a layout at all.
    
    In the following example both calls to set_layout() will use the layout set by
    layout() as a backup, the second one will not overwrite it but instead will also
    use the backup:
    
        layout     :default
        set_layout :alternative => [:method_1]
        set_layout :another_one => [:method_2]
    
    To cut a long story short, existing layouts are now properly used as a fallback
    in case set_layout() doesn't result in any matching layouts for a particular
    method.

[14d277dd | Tue Aug 09 07:50:12 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Removed ramaze/rest. It was extremely crippled and didn't work properly anyway.

    I tried coming up with a nice helper to replace this but I eventually decided
    not to include it since there are multiple ways of doing it.

[7503d788 | Mon Aug 08 18:28:04 UTC 2011] Lars Olsson <lasso@lassoweb.se>

  * Implement save method, use traits instead of constants, add options for default upload dir, autosave and overwriting existing files.

[9dda5cf3 | Mon Aug 08 07:10:36 UTC 2011] Lars Olsson <lasso@lassoweb.se>

  * Remove instance variable, use singleton method to keep track of uploaded files instead

[9f7b9209 | Fri Aug 05 10:07:01 UTC 2011] Lars Olsson <lasso@lassoweb.se>

  * Add some docs, fix indentation

[5c693d90 | Thu Aug 04 21:52:46 UTC 2011] Lars Olsson <lasso@lassoweb.se>

  * Initial support for upload helper

[558afb70 | Wed Jul 27 20:23:23 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Updated the config.ru for the prototype so that it respects your root directories.

[b82571a1 | Tue Jul 26 07:24:58 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * BlueForm#input_checkbox now takes a hash, array or string as the checked value.

    Sadly I only discovered this this morning so this will have to wait until the
    next release. This small change makes it possible to do the following:
    
        f.input_checkbox(
          'Language', :language, ['ruby'], :values => ['ruby', 'python']
        )
    
    Previously you could only check a single checkbox (and radio button).

[8cd0b4bc | Mon Jul 25 20:06:07 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Release 2011.07.25.

[cfc6c2b9 | Mon Jul 25 17:56:49 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Updated the changelog and the list of contributors.

[3e3b2270 | Mon Jul 25 17:52:10 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Fixed an issue with Ramaze::Bin::Status and not enough arguments being set.

[5e4de594 | Mon Jul 25 17:43:54 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * The spec for Ramaze::Bin::Start now uses it's own app rather than the prototype.

    This change makes it possible to run the specification for Ramaze::Bin::Start on
    systems that do not have a version of Ramaze installed as a Gem.

[efcf09cb | Mon Jul 25 17:33:08 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Cleaned up some code and fixed the Sass specification.

[3f3280cb | Mon Jul 25 17:29:11 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Fixed the last broken specification, this fixes #14.

    Apparently ETags (or maybe all headers) aren't purged in a new call to get().
    I'm not sure if this is an issue with Rack, Rack::Test or Ramaze but manually
    setting the IF_NONE_MATCH header to nil fixed the issue.

[7427ba20 | Mon Jul 25 08:38:46 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Aligned the code in the BlueForm helper to 80 columns and removed the use of



[bd165070 | Sat Jul 23 00:32:59 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Fixed the Ramaze::Helper::Auth specification and removed Ramaze::View::Less.

    The view driver for Less has been removed as recent versions of Less rely on
    Node.js and it seems the newer versions don't really play well with string based
    parsing without having to invoke Less from the command line.

[36746012 | Fri Jul 22 23:37:28 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Removed the code for the old executable.

[706d3343 | Fri Jul 22 23:00:27 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Added a set of Bacon specifications for Ramaze::Bin::Create and



[6cbd5103 | Fri Jul 22 17:15:20 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Began speccing the executables. Ramaze::Bin::Runner has been specced and I

    the best way of test these semi interactive commands.

[cd9fa641 | Thu Jul 21 22:29:00 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Gave the Ramaze executable the much needed love.

    A few things have changed to the executable so far. The biggest change is that
    rather than using regular expressions to "parse" all given options it now uses
    OptionParser. This comes with the added advantage of making it easy to set
    banners, options, running commands and so on. Another big change is that rather
    than dumping most of the code in a single file each command is located in it's
    own file making it easier to maintain them.
    
    Most of the code in this commit is still backwards compatible and should still
    work on Windows based system (since I just used the code written by @bougyman for
    that). There are however a few minor changes. Because OptionParser is used the
    output displayed when specifying -h or --help has changed, this however is a
    good thing as the output now follows the Unix standards of command line
    executables.
    
    Another thing that has changed in terms of command behavior is that most
    commands related to managing applications either accept a directory or a file.
    For example, the command $ ramaze start now allows you to specify a directory
    (or file) that points to the location of a Rackup configuration file. This is
    actually quite useful as it makes it possible to run the ramaze executable from
    any given location.
    
    In order to make it easier to spec the executable and it's commands (I have yet
    to begin working on this) I decided to manually specify all the possible Rack
    and Ruby options the command Ramaze::Bin::Start accepts. Before this commit
    these were extracted by parsing the output of rackup -h, this however proved to
    be quite annoying as with every change of this output our specs would break
    (even if it would be something simple such as newlines being removed).
    
    A few examples of the new executable setup:
    
        $ ramaze start
        $ ramaze start /home/someuser/ramaze/
        $ ramaze start /home/someuser/ramaze/config.ru
    
    Debugging using IRB:
    
        $ ramaze console
        $ ramaze console /home/someuser/ramaze
        $ ramaze console /home/someuser/ramaze/start.rb
    
    Or perhaps viewing the status of an application:
    
        $ ramaze status
        $ ramaze status /home/someuser/ramaze -P /home/someuser/ramaze/ramaze.pid
    
    For more information see the files located in lib/ramaze/bin, the old files
    located in lib/ramaze/tool will be removed in the next commit.

[241c2339 | Wed Jul 20 20:56:02 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Updated the .mailmap file so that my Email addresses are displayed correctly.

[522302b7 | Wed Jul 20 20:30:33 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Updated the minimum version numbers for all the development dependencies and

    that it checks to see if Growl is running.

[7febd275 | Wed Jul 20 19:41:23 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * rake gem:build now creates the pkg/ directory if it doesn't exist.

[a9ac54ca | Wed Jul 20 19:29:15 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Documented, re-wrapped and cleaned up a lot of files. Also removed



[4d220798 | Wed Jul 20 17:57:49 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Documented a few more files and removed all trailing whitespace in several



[6e470ed3 | Wed Jul 20 17:33:34 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Documented Ramaze::App, Ramaze::Cache and Ramaze::Controller.

[bb6e8571 | Wed Jul 20 10:03:10 UTC 2011] Pistos <github.pistos@purepistos.net>

  * Rake task aliases: :test and :spec (go to :bacon).

[56fa0c7a | Wed Jul 20 15:47:14 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Second commit of the series. In this commit I removed the benchmark/ directory

    
    The benchmark/ directory was removed as I personally feel benchmarks should be
    done by a third-party that has an unbiased opinion of Ramaze, on top of that I
    doubt if most code in the benchmark still applies to today's Ramaze.
    
    The building/installing process has also been finished. Building a gemspec is no
    longer possible (as it's not needed) but building an actual gem file and
    releasing it is still possible. Building a gem file can be done as following:
    
        $ rake gem:build
        $ rake gem:install
    
    Releasing a version of Ramaze on Rubygems can be done as following:
    
        $ rake release

[f5111866 | Wed Jul 20 15:32:36 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * The changes in this commit are the first set of changes to make developing

    idea of others such as @manveru so feel free to discuss them.
    
    First of all the Gemspec generation process has been changed. Rather than using
    a Rake task to build/update the Gemspec Ramaze now has it's own manually created
    Gemspec. The dependencies of this Gemspec are specified in Ramaze::DEPENDENCIES
    and Ramaze::DEVELOPMENT_DEPENDENCIES, these files are also used for the setup
    task.
    
    Second I've removed several Rake tasks that appeared to be useless or did not
    fit the idea of Ramaze (the jQuery task). I've also removed the Git tasks and
    some other tasks that did not add anything useful to the development process.
    
    If any of these changes do not meet any particular standards or ideas feel free
    to discuss them but note that this is the first commit of a series so things
    might change a bit after this commit has been pushed.

[1e5bdb39 | Wed Jul 20 08:37:06 UTC 2011] Michael Fellinger <m.fellinger@gmail.com>

  * Don't store the user object of the user helper in the session, it might not be possible to marshal

[41fd9e08 | Mon Jul 04 20:07:17 UTC 2011] Masahiro Nakagawa <repeatedly@gmail.com>

  * Fix mustache-view for latest Mustache.

    Latest Mustache changed escaping algorithm.
    New escaping algorithm provides overridable 'escapeHTML' method.
    So, I create RamazeContext for overriding 'escapeHTML'.

[34a118af | Sat Jul 02 18:08:23 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Fixed the spec for the Ramaze executable. It's a bit of a dirty fix but it works

    changes.

[96aad6e6 | Sat Jul 02 17:45:21 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Fixed the Memcached session spec and cleaned up some code. I also looked

    showing a "You are being redirected..." messages rather than actually
    redirecting the request. It's probably something easy but I could not
    find anything in the Rack changelog, the commits or the source. This
    issue does not occur when using Rack < 1.3.

[9e97b762 | Sun Jun 26 23:22:23 UTC 2011] Michael Fellinger <m.fellinger@gmail.com>

  * Avoid creating a new sid every time the user helper is invoked

[d33a6ed8 | Thu Jun 23 10:24:14 UTC 2011] Michael Fellinger <m.fellinger@gmail.com>

  * Remove the httpdigest helper, it's been broken long enough, please use Rack::Auth instead

[a1fc4fe6 | Thu Jun 23 10:06:15 UTC 2011] Michael Fellinger <m.fellinger@gmail.com>

  * Refactor a bit of the csrf helper

[fdfaf9af | Thu Jun 23 09:42:52 UTC 2011] Michael Fellinger <m.fellinger@gmail.com>

  * Fix some style issues in csrf

[da6717de | Thu Jun 16 20:10:20 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Added a spec for Ramaze::Helper::Email. Also ensured that the specs only

    such.

[eee917c3 | Thu Jun 16 17:44:20 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Migrated the Email contribution to Ramaze::Helper::Email and re-wrote



[19e2bd15 | Thu Jun 16 09:47:04 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Nuked the contrib directory. REST is moved to lib/ramaze and so is the

    coming commits.

[7449a751 | Wed Jun 15 08:44:12 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Checkboxes and radio buttons in the BlueForm helper now have the ability

    setting the options :show_value and :show_label to false (these are set
    to true by default). This fixes #10.

[7137a757 | Wed Jun 15 07:42:20 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Updated the prototype generated by bin/ramaze create. It no longer points

    that I also removed the jquery.js file. First of all this isn't minified
    so not very useful for production environments and second it somewhat
    goes against the idea of non opinionated software.
    
    This fixes #9.

[39f206e3 | Sat Jun 04 16:14:24 UTC 2011] Lee Jarvis <lee@jarvis.co>

  * use Gem::Specification#activate over deprecated Gem.activate

[29994bf1 | Sat Jun 04 15:59:12 UTC 2011] Lee Jarvis <lee@jarvis.co>

  * remove call to has_rdoc in the gemspec

[21e8ae05 | Sat Jun 04 15:58:59 UTC 2011] Lee Jarvis <lee@jarvis.co>

  * remove some defaults from the gemspec

[1064242e | Sat Jun 04 03:47:15 UTC 2011] huma <huma@boxbot.org>

  * Fix for relative paths on 1.9

[42622949 | Thu Jun 02 11:45:36 UTC 2011] Michael Fellinger <m.fellinger@gmail.com>

  * Add dalli, use newer erector to avoid hoe issues

[28c7d9ee | Wed Jun 01 23:58:08 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Modified the Rakefile so that it also uses Dalli instead of the Memcache Client gem.

[b0325935 | Wed Jun 01 23:17:50 UTC 2011] Michael Fellinger <m.fellinger@gmail.com>

  * Remove reference to rubyforge project

[405b9c0c | Wed Jun 01 23:17:34 UTC 2011] Michael Fellinger <m.fellinger@gmail.com>

  * Remove rubyforge release task

[24d20b7d | Wed Jun 01 23:17:10 UTC 2011] Michael Fellinger <m.fellinger@gmail.com>

  * Remove outdated documentation for setup

[5a933271 | Wed Jun 01 23:16:35 UTC 2011] Michael Fellinger <m.fellinger@gmail.com>

  * Remove broken sourceview example app

[9e86f5c1 | Sun May 29 04:56:12 UTC 2011] Jason Torres <jason.e.torres@gmail.com>

  * Fix escape': can't convert Pathname to String (TypeError)

[663ca871 | Wed May 18 22:09:32 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Documented Ramaze.setup and Ramaze::GemSetup and removed GitHub as a source as they



[a8c1d166 | Wed May 04 17:46:02 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Updated the Gemspec so that it specifies Dalli instead of Memcache client.

[676685a9 | Wed May 04 14:53:49 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Installation details are already covered in the README and in the user guide, no need to explain it a third time.

[3582f30f | Wed May 04 14:47:40 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Oh hey look at that, it's 2011 already\!

[e3819cad | Wed May 04 14:44:23 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Modified Ramaze::Cache::Sequel so that it's using() method actually does



[df831008 | Wed May 04 11:05:50 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Seems all bugs in the Memcache driver are now gone.

[487854c6 | Wed May 04 10:58:47 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Dalli::Client doesn't respond to [] but instead uses get().

[8a2eedd7 | Wed May 04 10:55:03 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Modified the Memcache driver so that you can use it both with and without the using() method.

[1ec35214 | Wed May 04 10:51:21 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Don't merge when it's nil.

[9176fca7 | Wed May 04 16:25:09 UTC 2011] Michael Fellinger <m.fellinger@gmail.com>

  * Fix memcached cache

[016b2d22 | Wed May 04 09:11:37 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Rewrote most of Ramaze::Cache::MemCache now that memcache-client is

    performance boost. The only thing left to do is to get
    Ramaze::Cache::MemCache.using() to work properly similar to how
    Ramaze::Cache::Sequel does it.

[240bd558 | Wed Apr 27 06:35:46 UTC 2011] Michael Fellinger <m.fellinger@gmail.com>

  * Avoid failure in User helper when callback is given but no model exists

[48e89879 | Thu Apr 21 17:58:18 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Fixed the issue reported by Lars Olssen here: https://groups.google.com/d/msg/ramaze/kWO8u5NrA-c/rtNEFgZo2w8J

[704bd2c6 | Tue Apr 19 09:32:56 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Replaced the configuration system added by Lars with traits and removed the dependency on



[c5587c0d | Mon Apr 18 21:30:47 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Added the awesome patch to Ramaze::Cache::Sequel added by Lars Olsson. While I cleaned up

    something so it would be cool if @manveru could take a better look at it.
    
    An example of using the new Sequel cache works like the following:
    
    Ramaze.options.cache.session = Ramaze::Cache::Sequel.using(
      :connection => Sequel.mysql(
        :host     => 'localhost',
        :user     => 'user',
        :password => 'password',
        :database => 'blog'
      ),
      :table => :blog_sessions
    )
    
    For more information on this patch read the following thread on the mailing list:
    https://groups.google.com/d/topic/ramaze/kWO8u5NrA-c/discussion

[bc9dcbf8 | Sun Apr 10 17:53:49 UTC 2011] Michael Fellinger <m.fellinger@gmail.com>

  * Fix Double ETag issue

[b343f764 | Thu Apr 07 08:25:45 UTC 2011] Michael Fellinger <m.fellinger@gmail.com>

  * Clean layout helper a bit

[0dc06dd4 | Wed Apr 06 20:59:18 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * "methods" is a reserved method name, renamed it to "layout_methods" instead.

[0d15a29c | Wed Apr 06 20:53:24 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Modified the helper Ramaze::Helper::Layout so that it allows you to call set_layout multiple times as well as setting layouts for multiple methods. A good example is the following:

        set_layout 'my_layout' => [:index, :edit]
        set_layout 'default'   => [:add]
    
    Please note that Ramaze::Helper::Layout#set_layout_except is deprecated and will issue a warning, you should use set_layout instead.

[4a8c10ec | Fri Apr 01 18:01:00 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Modified Ramaze::Log::RotatingInformer so that it can be used by Rack::CommonLogger.

[e5b63dfc | Sat Mar 26 13:56:11 UTC 2011] Michael Fellinger <m.fellinger@gmail.com>

  * Fix BlueForm fieldset method

[cf609fce | Sat Mar 26 13:55:58 UTC 2011] Michael Fellinger <m.fellinger@gmail.com>

  * Fix trailing whitespace

[702c8f5e | Sun Mar 20 20:59:28 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Updated the version of Innate required by Ramaze.

[7efcd7d4 | Thu Mar 03 12:22:33 UTC 2011] Bruno Rohée <bruno@rohee.com>

  * Typo fix : inhert -> inherit

[88e4b4f8 | Wed Mar 02 19:04:09 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Removed several outdated files that no longer applied to today's Ramaze.

[fed1a4bb | Fri Feb 04 15:22:55 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Gave the good ol' README a spanking new update.

[1635b509 | Fri Feb 04 15:02:37 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Updated the TODO

[39023284 | Sun Jan 30 10:45:39 UTC 2011] Michael Fellinger <m.fellinger@gmail.com>

  * Version 2011.01.30

[ca1cd40e | Sun Jan 30 10:45:08 UTC 2011] Michael Fellinger <m.fellinger@gmail.com>

  * Work around differences between Rack 1.2.1 and git HEAD

[38f29f8f | Wed Jan 26 14:13:42 UTC 2011] Michael Fellinger <m.fellinger@gmail.com>

  * Version 2011.01

[21fda983 | Sat Jan 15 22:42:58 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Removed 'Sequel' and 'Authentication' from the Todo.

[f85d2b0b | Fri Jan 14 10:49:39 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Added a new item about the User helper to the todo

[aea15970 | Fri Jan 14 13:28:31 UTC 2011] Michael Fellinger <m.fellinger@gmail.com>

  * Make installation of ruby-growl precondition for growl spec

[5cdbe88e | Fri Jan 14 13:23:36 UTC 2011] Michael Fellinger <m.fellinger@gmail.com>

  * Adjust spec for ramaze -? flag

[acad7d97 | Thu Jan 13 23:14:39 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Fixed the removal of cache items in the Sequel cache and added a TODO list.

[908d36f1 | Thu Jan 06 23:14:22 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * The Growl logger didn't seem to include Ramaze::Logging and therefore would break in certain situations.

[371bba96 | Thu Jan 06 15:35:03 UTC 2011] Yorick Peterse <yorickpeterse@gmail.com>

  * Resolved a few issues in the Growl logger and added a basic Bacon spec for it for future testing.

[a96af85d | Tue Jan 04 15:42:46 UTC 2011] Michael Fellinger <m.fellinger@gmail.com>

  * Open the file for send_file, don't read everything into memory

[57434490 | Tue Dec 21 09:14:15 UTC 2010] Yorick Peterse <yorickpeterse@gmail.com>

  * BlueForm helper/spec modification to allow selecting of multiple values when creating a multi select box.

[5b6c9428 | Mon Dec 20 20:24:13 UTC 2010] Yorick Peterse <yorickpeterse@gmail.com>

  * Small modification to the BlueForm helper that sets the size based on the amount of items.

[a874c9c6 | Mon Dec 20 09:13:12 UTC 2010] Yorick Peterse <yorickpeterse@gmail.com>

  * Modified the 'size' argument in select boxes to no longer use the 'multiple' argument as it was bugged.

[ddaead14 | Mon Dec 13 17:39:45 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Fix ETag issues

[77251e23 | Mon Dec 06 12:06:11 UTC 2010] Yorick Peterse <yorickpeterse@gmail.com>

  * Fixed a bug in the BlueForm helper when loading error messages stored as an array from the flash (e.g. error messages generated by Sequel).

[f93380a5 | Sun Dec 05 18:15:02 UTC 2010] Yorick Peterse <yorickpeterse@gmail.com>

  * Added an extra spec to the BlueForm spec to test if retrieving errors from models works.

[b5b67a5f | Sun Dec 05 01:22:41 UTC 2010] Yorick Peterse <yorickpeterse@gmail.com>

  * Tiny fix in the BlueForm helper related to type mismatch errors.

[2a9cb298 | Sun Dec 05 01:05:02 UTC 2010] Yorick Peterse <yorickpeterse@gmail.com>

  * Fixed a bug in the Sequel cache that would cause it to recreate the session data over and over again. The error was caused because the cache was using a varchar(255) for it's value field, rather than a text field. IMPORTANT: recreate your session table or update the field yourself (change it to "text").

[872c41c5 | Sat Dec 04 15:53:32 UTC 2010] Yorick Peterse <yorickpeterse@gmail.com>

  * Removed some old code from the CSRF helper that would trigger errors in certain cases.

[6f934906 | Mon Nov 29 23:35:29 UTC 2010] Lee Jarvis <lee@jarvis.co>

  * fixed proto model require comment for 1.9.2> compatibility

[070fb797 | Sun Nov 21 19:20:30 UTC 2010] Yorick Peterse <yorickpeterse@gmail.com>

  * Fixed a bug that would prevent the use of items that couldn't be used in a loop (strings, fixnums, etc).

[2d00de0b | Sun Nov 21 18:51:53 UTC 2010] Yorick Peterse <yorickpeterse@gmail.com>

  * Modified the BlueForm helper so that it supports checkboxes/radio buttons using a hash again. See the source documentation and specs for more details.

[547367f7 | Fri Nov 19 19:42:36 UTC 2010] Yorick Peterse <yorickpeterse@gmail.com>

  * Renamed Ramaze::Helper::BlueForm.form() to form_for() to prevent name collisions.

[32f4fc5d | Thu Nov 18 09:25:12 UTC 2010] Yorick Peterse <yorickpeterse@gmail.com>

  * Modified the CSRF helper in such a way that it supports any given HTTP request and that it can no longer be bypassed using a GET request. Do note that these changes modified the way the helper works so be sure to read the docs/specs.

[62e04cc3 | Wed Nov 17 19:25:42 UTC 2010] Yorick Peterse <yorickpeterse@gmail.com>

  * Angry nerds, be gone! In other words, Ramaze now has an anti-CSRF helper.

[c09cf6cb | Sun Nov 14 15:52:07 UTC 2010] Yorick Peterse <yorickpeterse@gmail.com>

  * Added some extra documentation to the BlueForm helper and fixed some Yard issues in the Erector view adapter.

[ba61f02a | Sat Nov 13 21:10:23 UTC 2010] Yorick Peterse <yorickpeterse@gmail.com>

  * Updated the BlueForm helper to enable the use of objects for form values, much like Rails' form_for method. See the specs and docs for more information.

[fd8cfd8a | Fri Nov 12 21:22:39 UTC 2010] Yorick Peterse <yorickpeterse@gmail.com>

  * Updated the localmemcache spec to flunk instead of failing on Mac OS X.

[9b5359e6 | Thu Nov 11 20:33:03 UTC 2010] Yorick Peterse <yorickpeterse@gmail.com>

  * I R IN YOUR CODEZ, FIXIN' YOUR BUGZ

[3308753b | Wed Oct 27 14:03:28 UTC 2010] Yorick Peterse <yorickpeterse@gmail.com>

  * Localmemcache spec/gem will be ignored on OS X since they don't work on that platform.

[3b360f43 | Wed Oct 27 20:50:49 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Form helper is not needed in todolist example

[bdab1178 | Thu Oct 21 11:26:39 UTC 2010] Yorick Peterse <yorickpeterse@gmail.com>

  * Finished working on the Erector adapter. Helper methods can now be called by using the instance variable "@controller". It may not be the cleanest way but it works. See the docs in lib/ramaze/view/erector.rb for more details.

[054b1bfd | Thu Oct 21 09:21:11 UTC 2010] Yorick Peterse <yorickpeterse@gmail.com>

  * Lots of changes:

    - Updated Manifest and the README
    - Completely rewrote the Erector adapter. For now helper methods and such don't work.
    - Added Bacon tests for the new Erector

[bd975445 | Mon Oct 18 09:57:00 UTC 2010] Yorick Peterse <yorickpeterse@gmail.com>

  * Removed the Nitro form example and the form/sequel_form specs.

[bf3ac5ac | Sat Oct 16 23:35:32 UTC 2010] Yorick Peterse <yorickpeterse@gmail.com>

  * Updated the MANIFEST file and updated a lot of comment blocks to the YARD format.

[5c0d0d7c | Fri Oct 15 22:46:52 UTC 2010] Yorick Peterse <yorickpeterse@gmail.com>

  * The following changes have been made:

    - The Form, Sequel Form and Nitro form helpers have been removed in favour of the BlueForm helper.
    - Added documentation to all helpers that were lacking this except the localization helper since I couldn't quite figure out how it works.

[4604657f | Fri Oct 15 16:00:23 UTC 2010] Yorick Peterse <yorickpeterse@gmail.com>

  * Made the following changes to the BlueForm helper and it's Bacon spec:

    - Classes are no longer added by default since they couldn't be changed by the user.
    - Added the ability to customize optional HTML attributes to several methods.
    - Bacon spec has been updated to work with all the changes.

[e26364c9 | Fri Oct 15 14:54:02 UTC 2010] Yorick Peterse <yorickpeterse@gmail.com>

  * Started documenting as many helpers as I can. The first one is the BlueForm helper.

[bd908208 | Fri Oct 15 16:23:12 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Remove cruft from blue_form spec

[94c0175f | Thu Oct 14 22:03:41 UTC 2010] Lee Jarvis <lee@jarvis.co>

  * updated documentation for flash helper

[b37540a5 | Thu Oct 14 21:52:41 UTC 2010] Lee Jarvis <lee@jarvis.co>

  * added optional :prefix option to #css and #js xhtml helper methods

    This option allows a user to specify the relative location of a css or
    js file, defaulting back to 'css' and 'js' respectively. ie
    
      css('foo', :prefix => 'stylesheets') #=> <link
      href="/stylesheets/foo.css" ...>

[d9eadf21 | Thu Oct 14 21:15:20 UTC 2010] Lee Jarvis <lee@jarvis.co>

  * updated git refs

[507bea63 | Thu Oct 14 21:15:08 UTC 2010] Lee Jarvis <lee@jarvis.co>

  * added redcar project dir to gitignore

[614e7845 | Thu Oct 14 21:03:42 UTC 2010] Lee Jarvis <lee@jarvis.co>

  * updated manifest

[da8fea89 | Thu Oct 14 21:02:03 UTC 2010] Lee Jarvis <lee@jarvis.co>

  * removed vendor version of Rack::ETag since this was imported into



[49d1e7f0 | Sat Sep 18 15:58:05 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Resid the session when logging in with the UserHelper

[36c46375 | Tue Sep 07 16:14:01 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Update some references to new git repo

[93415304 | Mon Aug 30 12:11:46 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Add missing dependencies to blog example

[3ebcb2af | Tue Sep 07 06:54:22 UTC 2010] Lee Jarvis <injekt.me@gmail.com>

  * updated proto

[9a1ff30c | Tue Sep 07 06:47:26 UTC 2010] Lee Jarvis <injekt.me@gmail.com>

  * various doc updates

[2c7f9e3d | Tue Sep 07 06:33:34 UTC 2010] Lee Jarvis <injekt.me@gmail.com>

  * updated documentation link for Userhelper#user

[2e158429 | Tue Sep 07 06:28:51 UTC 2010] Lee Jarvis <injekt.me@gmail.com>

  * added extra formatting to README

    this makes headings/sections work well with yards new table of contents menu

[90349af0 | Tue Sep 07 06:25:56 UTC 2010] Lee Jarvis <injekt.me@gmail.com>

  * clear up some README formatting

[855938c4 | Mon Sep 06 13:13:15 UTC 2010] Lee Jarvis <injekt.me@gmail.com>

  * renamed user helper to resolve namespace conflict

[b1e2a002 | Fri Aug 20 21:20:07 UTC 2010] Lee Jarvis <injekt.me@gmail.com>

  * added send_file helper from innate

[bb162557 | Fri Aug 20 22:31:52 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Fix ramaze console for 1.9.2

[43044790 | Thu Aug 12 14:21:14 UTC 2010] Lee Jarvis <injekt.me@gmail.com>

  * removed pager spec

[c1cbd411 | Thu Aug 12 14:14:04 UTC 2010] Lee Jarvis <injekt.me@gmail.com>

  * removed deprecated partial helper

[1a0fc063 | Thu Aug 12 13:59:26 UTC 2010] Lee Jarvis <injekt.me@gmail.com>

  * removed pager helper

[c1791252 | Thu Aug 12 13:58:47 UTC 2010] Lee Jarvis <injekt.me@gmail.com>

  * removed sequel (paginate) helper

[133cb418 | Wed Jul 21 11:17:37 UTC 2010] Lee Jarvis <injekt.me@gmail.com>

  * entire sounds cheesy, latest source code!

[4bcdbac8 | Wed Jul 21 11:16:28 UTC 2010] Lee Jarvis <injekt.me@gmail.com>

  * added tarball direct link

[5a6fcfd9 | Wed Jul 21 11:14:41 UTC 2010] Lee Jarvis <injekt.me@gmail.com>

  * updated readme

[0d926191 | Wed Jul 21 11:00:39 UTC 2010] Lee Jarvis <injekt.me@gmail.com>

  * fixed spelling error

[f8a4f90c | Wed Jul 21 10:56:13 UTC 2010] Lee Jarvis <injekt.me@gmail.com>

  * informer spec requires stringio

[f9b9fff8 | Sat Jul 03 19:44:28 UTC 2010] Esad Hajdarevic <esad@esse.at>

  * Add shebang to proto/start.rb and +x to make it executable via ./start.rb

[11c73736 | Thu Jun 17 22:42:10 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Version 2010.06.18

[8c86f882 | Thu Jun 17 22:41:50 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Allow latest version of Rack/Innate

[a2b04aaf | Sun May 09 17:19:43 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Remove gemcutter development dependency

[1373a3ad | Sun Apr 04 00:07:29 UTC 2010] injekt <injekt.me@gmail.com>

  * updated mailmap

[0a9e80e9 | Sun Apr 04 07:57:11 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Version 2010.04.04

[8a779238 | Fri Apr 02 22:43:02 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Version 2010.04

[f8a27089 | Fri Apr 02 22:41:43 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Fix Mustache engine

[a1c7fd69 | Fri Apr 02 22:34:50 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Update post install message

[fd3697a5 | Fri Apr 02 22:34:36 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Update dependencies

[135bc906 | Fri Apr 02 14:11:24 UTC 2010] injekt <injekt.me@gmail.com>

  * fixed file dispatcher spec

[4891e4b0 | Fri Apr 02 08:35:11 UTC 2010] injekt <injekt.me@gmail.com>

  * added scaffolding_extensions dev dependency

[f098e58c | Fri Apr 02 08:05:51 UTC 2010] injekt <injekt.me@gmail.com>

  * fixed todolist requires

[32c33ded | Fri Apr 02 07:46:31 UTC 2010] injekt <injekt.me@gmail.com>

  * pagination fixes

[89080f4d | Fri Apr 02 07:19:34 UTC 2010] injekt <injekt.me@gmail.com>

  * paginate helper to extend sequel with pagination

[8c1a80af | Fri Apr 02 07:12:21 UTC 2010] injekt <injekt.me@gmail.com>

  * fixed blog example

[a4cc3ccb | Mon Mar 29 22:13:35 UTC 2010] injekt <injekt.me@gmail.com>

  * fixed partial example

[df284923 | Mon Mar 29 21:59:09 UTC 2010] injekt <injekt.me@gmail.com>

  * fix layout example

[33fe3d0f | Fri Mar 26 19:49:18 UTC 2010] injekt <injekt.me@gmail.com>

  * fixed path in usage example

[de80952d | Fri Mar 26 19:45:54 UTC 2010] injekt <injekt.me@gmail.com>

  * fixed a couple of depreciated methods in documentation

[68682c1f | Fri Mar 26 09:18:05 UTC 2010] injekt <injekt.me@gmail.com>

  * Change app location setting to how it's documented

[7de6f764 | Fri Mar 26 08:51:35 UTC 2010] injekt <injekt.me@gmail.com>

  * added spec for todolist example

[1c2848ec | Fri Mar 26 08:29:47 UTC 2010] injekt <injekt.me@gmail.com>

  * fixed todolist example

[fccee57d | Wed Mar 24 22:00:37 UTC 2010] injekt <injekt.me@gmail.com>

  * fixed documention for number_counter, wrong method name used

[a7ee66f2 | Wed Mar 24 10:20:19 UTC 2010] injekt <injekt.me@gmail.com>

  * added spec for sequel_scaffolding

[f19ddf9e | Wed Mar 24 10:11:34 UTC 2010] injekt <injekt.me@gmail.com>

  * fixed sequel_scaffolding example

[4c368720 | Wed Mar 24 08:05:12 UTC 2010] injekt <injekt.me@gmail.com>

  * xhtml helpers should chomp leading slash from prefix

[d4dcc8a6 | Wed Mar 24 00:24:28 UTC 2010] injekt <injekt.me@gmail.com>

  * adapter handler should be fastcgi rack handler

[d11daa31 | Tue Mar 23 18:07:40 UTC 2010] injekt <injekt.me@gmail.com>

  * Project creator not copying dotfiles (.htaccess) due to globbing

[bd1ec411 | Fri Mar 19 09:22:55 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Replace last occurances of Global

[050a9494 | Fri Mar 12 02:44:20 UTC 2010] Masahiro Nakagawa <repeatedly@gmail.com>

  * Fix Mustache template adapter

    Mustache changed template context(latest version doesn't use Hash).
    So, if template file doesn't find, use Mustache::Context instead of Hash.

[6df728cd | Thu Mar 11 16:14:43 UTC 2010] crab <crabtw@gmail.com>

  * use Ramaze.options.prefix as link prefix

[1095d18d | Tue Mar 09 09:50:23 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * ramaze is no dependency of ramaze

[b46443d2 | Tue Mar 09 09:47:57 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Fix .dup in Rakefile

[43a38b80 | Mon Mar 08 21:55:07 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Version 2010.03

[8629332c | Tue Mar 02 13:36:52 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Gracefully handle empty commit title

[04e7ac53 | Tue Mar 02 13:31:21 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Remove polyglot dependency, it's indirect

[cc605699 | Fri Feb 26 02:31:39 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Fix upload example

[957bbee0 | Sun Feb 14 22:01:33 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Update todolist.html

[9c39d641 | Sun Feb 14 05:55:29 UTC 2010] jShaf <joshua.shaffner@gmail.com>

  * 

[2b917ff6 | Sun Feb 14 05:48:10 UTC 2010] jShaf <joshua.shaffner@gmail.com>

  * 

[5c93dedb | Tue Feb 02 16:26:17 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Revert "Made Haml cache more efficient"

    This reverts commit 45db6fe0696dfac7deeebba42c62c6bcca8bab10.

[87a2562c | Tue Feb 02 16:26:02 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Revert "Fixed small bug in haml view"

    This reverts commit a226b402518e17d1715b1632981732a5d43b56f9.

[a85a6b5b | Tue Feb 02 16:25:41 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Revert "Little refactoring"

    This reverts commit 4e6d6a17e46d8d26c012781ef7b5140fba50237c.

[ba832e9b | Tue Feb 02 16:23:30 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Document the failure around Haml caching as a spec

[d931221c | Wed Jan 20 19:52:08 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Fix old reference to BASEDIR

[0b4d33d6 | Wed Jan 20 19:34:46 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Update the HTML todolist tutorial to match TXT version

[a1ca6a16 | Wed Jan 13 12:32:00 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Fix wiktacular

[d23dd7b2 | Wed Jan 13 09:34:58 UTC 2010] mwlang <mwlang@cybrains.net>

  * minor tweaks

[645e221c | Wed Jan 13 08:22:01 UTC 2010] mwlang <mwlang@cybrains.net>

  * fixed anchor in new.xhtml

[1b3192dd | Wed Jan 13 08:11:03 UTC 2010] mwlang <mwlang@cybrains.net>

  * fixed the specs for wiktacular

[037dfd91 | Wed Jan 13 07:10:41 UTC 2010] mwlang <mwlang@cybrains.net>

  * updated to work with Ramaze 2010.01

[4ea45ca4 | Wed Jan 13 07:05:23 UTC 2010] mwlang <mwlang@cybrains.net>

  * changing directory names to current conventions

[519e76f5 | Tue Jan 12 08:56:30 UTC 2010] kez <kdobson@gmail.com>

  * Fixed a bug with the auto_link regexp

[fb08f7c2 | Thu Jan 07 12:48:32 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Next release is going to need rubygems 1.3.5

[017a759d | Thu Jan 07 12:48:19 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Remove some dev dependencies we don't need

[1e88bb6a | Wed Jan 06 23:58:30 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Version 2010.01

[c29407c0 | Wed Jan 06 23:57:43 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * New version spec

[2dbf20ed | Wed Jan 06 23:54:58 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Fix form spec for latest Hpricot

[4e5d5b35 | Wed Jan 06 23:27:34 UTC 2010] Michael Fellinger <m.fellinger@gmail.com>

  * Revert change made by Dmitry Gorbik

[23412e5b | Tue Nov 24 00:42:44 UTC 2009] Dmitry Gorbik <dmitrygorbik@isengard.local>

  * Small form helper fix

[4e6d6a17 | Mon Oct 19 15:40:00 UTC 2009] Dmitry Gorbik <socket.h@gmail.com>

  * Little refactoring

[a226b402 | Mon Oct 19 11:24:13 UTC 2009] Dmitry Gorbik <socket.h@gmail.com>

  * Fixed small bug in haml view

[45db6fe0 | Mon Oct 19 02:07:42 UTC 2009] Dmitry Gorbik <socket.h@gmail.com>

  * Made Haml cache more efficient

[2dd1012b | Wed Jan 06 01:20:57 UTC 2010] Zoxc <zoxc32@gmail.com>

  * Added support for the Lokar template engine.

[d1dc44e0 | Tue Dec 22 02:35:11 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * update mailmap

[d7dd1021 | Tue Dec 22 02:03:40 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Seems like git finally got its act together

[3a24ddd8 | Fri Dec 18 11:32:06 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Allow absolute external uris for css

[1f83803b | Thu Nov 19 11:49:20 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix mustache engine for 1.8

[79ddac2a | Thu Nov 19 11:34:59 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Spell out requires of snippets

[67eb0aa1 | Tue Nov 17 01:14:18 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Nicer require

[8e729038 | Wed Nov 04 19:51:49 UTC 2009] mig <mig@mypeplum.com>

  * Revert "Add imap_auth.rb in examples/misc/"

    This reverts commit 8dd2b7860f7f50b5604e9a8333a0c7d01ade1802.

[c0a6bbdc | Wed Nov 04 19:45:07 UTC 2009] mig <mig@mypeplum.com>

  * Replace R method with r in markaby view

[51f0cc13 | Wed Nov 04 19:41:28 UTC 2009] mig <mig@mypeplum.com>

  * Replace R method with r in markaby controller

[e4ec45d5 | Wed Oct 21 19:17:28 UTC 2009] mig <mig@mypeplum.com>

  * Add imap_auth.rb in examples/misc/

[d29bafe9 | Sun Oct 18 22:46:36 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix logic error in project creator

[1cc16ac6 | Sun Oct 18 13:13:06 UTC 2009] Dmitry Gorbik <socket.h@gmail.com>

  * form_checkbox_tag added for working with multiple checkboxes

[0ad9c9c0 | Sun Oct 18 15:54:02 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Make the ProjectCreator code a bit more readable

[02a9609a | Sat Oct 17 15:51:29 UTC 2009] Dmitry Gorbik <socket.h@gmail.com>

  * Rails-like output for project generator

[6ab8b38e | Sat Oct 17 17:40:23 UTC 2009] Masahiro Nakagawa <repeatedly@gmail.com>

  * Add Mustache template engine

[23986998 | Sun Oct 11 14:02:11 UTC 2009] Clive Crous <clive@crous.co.za>

  * Correct a2 encoding within httpdigest helper to use remotely given uri

[903c5220 | Sun Oct 11 13:30:44 UTC 2009] Clive Crous <clive@crous.co.za>

  * reset digest_authorize before each test, I really don't trust digest_authorize completely it does not seem to obey the digest-auth specification correctly

[96b2e651 | Sun Oct 11 13:12:39 UTC 2009] Clive Crous <clive@crous.co.za>

  * Specs should be using digest_authentication not basic (how and when did this happen?)

[9683aa59 | Sun Oct 11 12:46:34 UTC 2009] Clive Crous <clive@crous.co.za>

  * Ensure that authentication request responses for httpdigest do not get cached

[de3572bd | Sun Oct 11 12:32:40 UTC 2009] Clive Crous <clive@crous.co.za>

  * Cleanup existing and (re)add a few httpdigest specs

[2f62921c | Sun Oct 11 11:37:36 UTC 2009] Clive Crous <clive@crous.co.za>

  * Ensure that the httpdigest helper always returns challenge headers on authentication failure

[f827b631 | Wed Sep 30 12:12:09 UTC 2009] starapor <me@sarahtaraporewalla.com>

  * adding missing handlers to slippers so that you can customize the error handling

[842d47f6 | Fri Oct 02 22:09:43 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Version 2009.10

[ba23aa6d | Fri Oct 02 22:09:32 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * dependency against latest innate

[e4c63be6 | Fri Oct 02 22:06:41 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Improve release tasks

[6d758f38 | Thu Oct 01 21:39:03 UTC 2009] Mario Gutierrez <mgutz@mgutz-mbp.local>

  * Add missing erector spec template

[84587e52 | Thu Oct 01 21:38:04 UTC 2009] Mario Gutierrez <mgutz@mgutz-mbp.local>

  * Call helper methods from external erector template

[a95384c5 | Thu Oct 01 19:24:32 UTC 2009] Mario Gutierrez <mgutz@mgutz-mbp.local>

  * moved erector helper methods from engine into helper

[6c10e2ab | Tue Sep 29 21:03:07 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix slippers spec

[4b312046 | Tue Sep 29 20:55:31 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Adding slippers as dev dependency

[9561d90c | Tue Sep 29 20:46:23 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Update dependencies

[d7d368b4 | Mon Sep 28 20:14:55 UTC 2009] Mario Gutierrez <mgutz@mgutz-mbp.local>

  * Added strict_xhtml Erector method

[23ffbd09 | Mon Sep 28 15:01:11 UTC 2009] Mario Gutierrez <mgutz@mgutz-mbp.local>

  * Updated Erector dependencies

[e70a358a | Sun Sep 27 21:23:03 UTC 2009] Mario Gutierrez <mgutz@mgutz-mbp.local>

  * added erector specs

[72684cb2 | Sun Sep 27 14:39:33 UTC 2009] Mario Gutierrez <mgutz@mgutz-mbp.local>

  * adding erector engine convenience methods

[18501a7f | Sun Sep 27 13:12:25 UTC 2009] Mario Gutierrez <mgutz@mgutz-mbp.local>

  * adding Erector view engine

[98e41a6b | Sat Sep 26 07:53:20 UTC 2009] starapor <me@sarahtaraporewalla.com>

  * the view_root now uses all the view directories available in teh attribute

[b4f6f0e6 | Sat Sep 26 07:19:12 UTC 2009] starapor <me@sarahtaraporewalla.com>

  * Adding a view engine for slippers

[5dda5289 | Sun Aug 16 19:58:31 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove shared mock, fix webrat

[f545a470 | Tue Aug 11 10:01:33 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix wrong constant reference

[e7732d19 | Tue Aug 11 09:39:37 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Only try to get win32console on ruby < 1.9, fix logger

[8d79efe6 | Wed Aug 05 19:58:10 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Provide support for :haml_options trait again

[1d21badc | Sat Aug 01 11:07:45 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Don't use system temp dir;

    ('openid-store' in our case).
    
    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[e4171095 | Mon Jul 27 12:00:18 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Fixed error in rdocs of Ramaze::Request#to_instance_variables.

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[37138450 | Sat Aug 01 15:39:25 UTC 2009] Yutaka HARA <yutaka.hara+github@gmail.com>

  * Added DataMapperPager (does not load all the rows)

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[802c0d96 | Fri Jul 31 16:03:27 UTC 2009] Yutaka HARA <yutaka.hara+github@gmail.com>

  * paginate helper supports DataMapper

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[c098591f | Wed Jul 29 20:39:33 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Require snippets using Find::find instead of Dir::glob

[37470de0 | Sat Jul 25 21:30:04 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fixing the auth example by mapping it to /

[e95e5f1b | Sat Jul 25 02:04:21 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Update announcement

[d0267ffa | Sat Jul 25 01:56:44 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Version 2009.07

[e802979d | Sun Jul 19 10:16:06 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Update versions for Rakefile

[311b3728 | Sun Jul 19 08:39:12 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix marshal size for 1.8

[42516be5 | Fri Jul 17 17:02:05 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Raise correct exception depending on existence of KeyError

[90d49eec | Fri Jul 17 16:40:09 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix some more 1.8 incompatibilities

[5121688e | Fri Jul 17 16:21:25 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Don't require nokogiri

[17c4aa64 | Fri Jul 17 16:21:06 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Forgot using 1.8 syntax

[9fd07cb1 | Fri Jul 17 16:16:29 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Try to make the blue_form spec nicer

[6bb2c795 | Fri Jul 17 16:07:45 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix syntax error in LRU cache

[2cc4309a | Fri Jul 17 15:09:12 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Adding Helper::BlueForm and spec

[cd77929d | Fri Jul 17 14:59:58 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Adding LRU cache

[252dda01 | Thu Jul 16 10:04:47 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Rely on Gestalt to make proper markup for paginate

[fe6c09f2 | Tue Jul 14 14:01:08 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix Request#to_instance_variables

[b8d016bd | Thu Jul 02 19:28:05 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Increase the time we wait for the cache ttl to expire

[eb63517e | Thu Jul 02 19:20:56 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Recognize Spec precondition and Spec require in bacon task

[552ae845 | Thu Jul 02 18:48:04 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add the ramaze/lib directory to -I on bacon task

[0333e52f | Thu Jul 02 18:34:12 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Clean up the spec middleware mess, it's _always_ m.run(Ramaze::AppMap)

[02a7c0b1 | Thu Jul 02 17:43:27 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add missing rack-contrib development dependency

[5d14456f | Thu Jul 02 17:35:12 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Now even obfuscate_mail should work on 1.8 again

[65470656 | Thu Jul 02 17:13:22 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Layout helper asks for #to_hash, so it should use it. Also don't rely on Enumerable#first, not in 1.8.6

[21e47bb6 | Thu Jul 02 17:12:49 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Don't rely on order in less spec

[1389dd8e | Thu Jul 02 16:28:12 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Improve gem_setup task

[dd9d8381 | Thu Jul 02 14:02:57 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Update announcement

[158ae0fb | Tue Jun 30 17:50:13 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Let the bacon task pass -I with the root directory

[4747ef46 | Tue Jun 30 17:49:34 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix the require path for bin/ramaze spec

[1667e7f6 | Tue Jun 30 17:48:10 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Refactor AddressableRoute, use instance variable instead of constant

[a41c4ace | Tue Jun 30 17:47:22 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix annoying behaviour when '/' location is assigned to an app earlier loaded, apps after it would overwrite the location. Now only :pristine uses it by default

[2e7a643b | Tue Jun 30 17:45:44 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove ContentLength middleware from default stacks, all Rack handlers do that already

[cfef2497 | Tue Jun 30 17:45:19 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix the misc/css example

[4dcc77d9 | Tue Jun 30 17:43:50 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Use absolute path when spec requires spec/helper, '.' will be removed from the load path in 1.9.2

[03bd5bbb | Sun Jun 28 12:43:57 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove deprecated cache method, add basic doc for cache_action

[b2ae4dde | Thu Jun 25 18:18:58 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Improve the cache_value method of the cache helper, rename the cache used to cache_helper_value, and add some docs describing the new behaviour

[0a4cbaf7 | Thu Jun 18 11:14:26 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove cruft from less

[de61a323 | Thu Jun 18 11:09:15 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add support for the less css templating engine

[529681ef | Thu Jun 18 11:08:18 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix some spelling mistakes in the readme

[f90b76e0 | Sat Jun 13 19:22:10 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * The spec mode was flawed, fix it and give proto better defaults

[3aa5bfb5 | Fri Jun 12 19:54:51 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Version 2009.06.12

[d933aa5f | Wed Jun 10 00:28:14 UTC 2009] Aaron Mueller <mail@aaron-mueller.de>

  * Update the identity helper with the new link helper.

[dbf25ed8 | Mon Jun 08 19:29:08 UTC 2009] Masahiro Nakagawa <repeatedly@gmail.com>

  * Rewrite localization example

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[e2c94145 | Mon Jun 08 07:12:04 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Make sure that the config.ru knows the correct location

[5e92d92d | Thu Jun 04 21:41:23 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix the Sequel dependency, 3.1.0 isn't out yet

[ea236c89 | Thu Jun 04 19:48:23 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix bug with localmemcache on 1.9

[83f78c38 | Thu Jun 04 19:09:44 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Version 2009.06.04

[b67f27db | Thu Jun 04 18:56:01 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix Controller for 1.8.6

[38430a96 | Wed Jun 03 18:20:14 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix the bacon task dependency

[3d44f3b5 | Tue Jun 02 18:50:50 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Version 2009.06

[a7f9a021 | Tue Jun 02 18:45:03 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Use the development-dependencies that rubygems offers

[d2c2b85c | Tue Jun 02 14:27:52 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix the Cache::Sequel to work with 3.1.0

[b41b981e | Tue Jun 02 13:09:35 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Make sure the Time format is the same as on 1.8

[de730142 | Tue Jun 02 12:56:56 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * form_select :multiple parameter can now be numeric to omit :size

[c7fbf0cd | Tue Jun 02 12:43:24 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Adding Ramaze::AddressableRoute for great profit!

[fdde9160 | Mon Jun 01 12:30:41 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Move the bacon-specific code to ramaze/spec/bacon, prepare for test-framework agnostic behaviour

[3e3bc0ab | Mon Jun 01 08:32:43 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Preserve file permissions when copying via ProjectCreator

[a6345820 | Sun May 31 19:13:11 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * A little bit of example-usage for Helper::Form#form_select, improve by allowing :multiple => 10

[c12a0a44 | Sun May 31 18:57:18 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add shared(:webrat) so you can run your specs with that

[f1a26692 | Sun May 31 18:55:46 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Deprecate shared(:mock), use shared(:rack_test) instead

[4f23d168 | Thu May 28 11:04:47 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Documented the Layout helper.

[2529786d | Thu May 28 07:15:19 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Put layout helper into controller singleton only, fix specs, improve style

[d0e381fd | Wed May 27 12:20:11 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Added Layout helper.

[569f2625 | Wed May 27 12:19:52 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Don't need explicit "helper :layout".

[50b83124 | Wed May 27 12:18:29 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Match against regexps in spec, not strings. last_response.body seems to be an array, so use the first element (the body text).

[41ad023a | Wed May 27 11:38:39 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Added Layout helper specs, with layout file for testing.

[65e36662 | Wed May 27 12:46:19 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Removed old todolist.mkd from my (Pistos) fork.

[6622d947 | Wed May 27 12:45:14 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Removed CHANGELOG file from my (Pistos) fork.

[a84f6757 | Wed May 27 12:20:11 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Added Layout helper.

[6d5875cd | Wed May 27 12:19:52 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Don't need explicit "helper :layout".

[5a58feba | Wed May 27 12:18:29 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Match against regexps in spec, not strings.  last_response.body seems to be an array, so use the first element (the body text).

[eabc52d6 | Wed May 27 11:38:39 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Added Layout helper specs, with layout file for testing.

[68242b36 | Thu May 28 00:32:16 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove deprecated method Object#acquire

[3fc46227 | Thu May 28 00:32:01 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove deprecated methods String#/ and Symbol#/

[272fced3 | Thu May 28 00:31:42 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove deprecated methods on Helper::Cache

[31b809a6 | Thu May 28 00:31:34 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove deprecated methods on Helper::Auth

[1e4ac92e | Thu May 28 00:31:14 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove deprecated methods on Controller

[a0a93297 | Thu May 28 00:27:26 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove specs for deprecated link methods

[f412fa32 | Thu May 28 00:27:12 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix some YARD

[57e7a85a | Thu May 28 00:27:01 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove deprecated Helper::Link A|R|Rs

[cafe657a | Tue May 26 23:04:13 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix facebook.rb syntax for ruby 1.9

[2bf34344 | Sun May 24 11:32:31 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove cruft from RouteExceptions

[731622d1 | Thu May 21 15:51:49 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Silence regexp warning

[bae2b536 | Wed May 20 10:00:37 UTC 2009] Antti Tuomi <antti.tuomi@tkk.fi>

  * link helper now should use Ramaze.options.prefix

[af753a07 | Wed May 20 09:43:01 UTC 2009] Antti Tuomi <antti.tuomi@tkk.fi>

  * link helper spec did not set the prefix

[eba4734c | Tue May 19 17:45:14 UTC 2009] Antti Tuomi <antti.tuomi@tkk.fi>

  * spec to check if the link helper works properly with prefix

[3aeadad0 | Wed May 20 10:00:37 UTC 2009] Antti Tuomi <antti.tuomi@tkk.fi>

  * link helper now should use Ramaze.options.prefix

[6dc8f88b | Wed May 20 09:43:01 UTC 2009] Antti Tuomi <antti.tuomi@tkk.fi>

  * link helper spec did not set the prefix

[1391f902 | Tue May 19 17:45:14 UTC 2009] Antti Tuomi <antti.tuomi@tkk.fi>

  * spec to check if the link helper works properly with prefix

[30db1aa2 | Tue May 19 09:41:13 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Minor cleanup

[50c9971c | Tue May 19 09:41:00 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix some yard tags

[086d3e44 | Fri May 15 19:52:06 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove invalid spec, the automatic mapping is completely specified now

[9b734501 | Fri May 15 19:47:23 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix ambigous linking in helper/paginate

[6fb74df7 | Fri May 15 19:47:06 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Avoid useless iteration in helper/paginate

[fdfe5b93 | Fri May 15 19:46:27 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix a bug in the lonely controller mapping, it should not ignore maps set explicitly

[eb5e4ef9 | Fri May 15 07:53:23 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Don't write a file to /tmp during the bin/ramaze spec

[5359459e | Fri May 15 01:31:51 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix ramaze/params spec to pass on 1.9

[46c2cfa4 | Fri May 15 01:31:36 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Amend helper/bench spec to pass on 1.9

[71916e29 | Fri May 15 01:31:18 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Use normal RouteExceptions interface

[7b6cac5a | Fri May 15 01:30:45 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove useless tabs from bin/ramaze help

[21763df0 | Fri May 15 01:19:31 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Make sure the Etag middleware works on 1.9 as well

[8ee6b948 | Fri May 15 01:18:54 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * generate_mapping shouldn't fail too early

[1d0dff56 | Fri May 15 01:18:19 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix bug with memcache on 1.9... String#[:foo] is evil!

[508bffc5 | Fri May 15 01:17:43 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix ordering of middleware

[5be67f5b | Thu May 14 23:41:28 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Simplify and make the template specs work on ruby 1.9

[b9fa0c47 | Wed May 13 11:25:54 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Don't output the require exception twice in ramaze/setup

[7bc9d65d | Wed May 13 10:10:10 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * output to logger in ramaze/setup if Log is available

[e6b4996b | Wed May 13 10:09:21 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Avoid infinite recursion in ramaze/setup when a gem name does not match it's lib name

[8bbb8e87 | Mon May 11 21:53:57 UTC 2009] TJ Vanderpoel <bougy.man@gmail.com>

  * nope, had one more buglet

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[9a3edf34 | Mon May 11 21:47:12 UTC 2009] TJ Vanderpoel <bougy.man@gmail.com>

  * corrected the local_ramaze conditional check

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[33fa3aa8 | Mon May 11 21:38:17 UTC 2009] TJ Vanderpoel <bougy.man@gmail.com>

  * added some specs for ramaze/bin, correcting a require bug already in bin/ramaze

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[b4bad57d | Mon May 11 17:33:00 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Put a notice into config.ru making clear that the handler cannot be set inside

[46cf89a1 | Mon May 11 17:31:59 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix last issue in bin/ramaze

[4efbb889 | Mon May 11 06:56:54 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Automate release:github a tiny little bit, and adapt it to pick up doc/AUTHORS

[608a89c4 | Mon May 11 06:52:19 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix the todo task

[9f1a6513 | Mon May 11 06:44:03 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Move CHANGELOG into doc/ again, punish the responsible rake task

[e6715e10 | Mon May 11 06:37:47 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix bug that made default port/handler break in bin/ramaze

[96167c76 | Sun May 10 08:39:53 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove old tutorial

[e39005ad | Sun May 10 08:38:04 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Some updates to the tutorial

[bc08091b | Sat May 09 14:33:42 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add spec for memcached sessions and automatic amending of memcached ttl

[31248793 | Sat May 09 14:26:23 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Warn and fix the ttl if someone exceeds the maximum ttl allowed by MemCache

[602f180d | Fri May 08 23:25:53 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * After years of spelling it wrong...

[796627a9 | Fri May 08 20:47:31 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix "bug" pointed out by druby

[096f0516 | Fri May 08 20:23:40 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Comaptibility with localmemcache 0.4.0

[4dd866be | Fri May 08 20:15:39 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Implement and spec the lonely controller rule

[55099502 | Thu May 07 21:30:49 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Explicitly state top-level namespace for ::File in config.ru, since otherwise it is confused for Rack::File.

[c6242e4f | Thu May 07 21:24:47 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Added a .gitignore for some basic byproduct files and dirs.

[6efaaaa8 | Fri May 08 11:24:20 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Respect preset options for port/adapter on ramaze start

[47b57046 | Fri May 08 10:42:58 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Reflect removal of constant spec

[71873f19 | Thu May 07 21:36:59 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * rake gemspec

[dc3fbad4 | Thu May 07 21:30:49 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Explicitly state top-level namespace for ::File in config.ru, since otherwise it is confused for Rack::File.

[ddff30af | Thu May 07 21:24:47 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Added a .gitignore for some basic byproduct files and dirs.

[6780a7b2 | Wed May 06 22:56:16 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove spec for Object#constant

[17199949 | Wed May 06 22:39:28 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Version 2009.05

[60252936 | Wed May 06 22:36:58 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * VERSION=xxx rake release:xxx

[025d2f0c | Wed May 06 22:33:00 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * bring rakefile up to date

[645a7e9b | Wed May 06 22:31:47 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Finally move readme to README.md

[fe285e12 | Wed May 06 22:31:26 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove some useless stuff from the readme

[9622f314 | Wed May 06 22:21:25 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Last minute changes to tasks

[966fce39 | Wed May 06 19:38:55 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove Object#constant since it collides with facets

[1d9215a7 | Mon May 04 01:10:44 UTC 2009] Andreas Karlsson <andreas@proxel.se>

  * Clean up benchmarking.

    Clean up benchmarking a bit adding support for a mode switch,
    which defaults to "live". Move "require 'ramaze'" to support
    custom environments and killing the logging correctly.
    
    Also fix bug where Ramaze.start was run in one of the files
    in the suite, and finally remove the unused --no-sessions.
    
    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[b8337e93 | Tue May 05 22:29:15 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add some more non-serious fail

[be9d471f | Tue May 05 21:23:58 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Don't use Binding#eval

[b79699a6 | Tue May 05 13:13:37 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add comment about the state of serialization in Sequel

[38a1f251 | Tue May 05 12:13:25 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Make the sequel cache and the spec of sequel_form compatible with sequel 3.0.0

[0a0553ad | Mon May 04 23:39:29 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Chat examples uses Etanni, not Nagoro

[5778a313 | Sun May 03 04:04:38 UTC 2009] TJ Vanderpoel <bougy.man@gmail.com>

  * refactored bin code to lib/ramaze/tool/bin

[b84b5663 | Sun May 03 21:53:26 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Request::current is in Innate

[53108b80 | Sat May 02 20:29:18 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * We don't rely on STATE anymore

[8d2e57bb | Sat May 02 21:09:37 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix the benchmarks

[2d5dda32 | Fri May 01 17:22:13 UTC 2009] Andreas Karlsson <andreas@proxel.se>

  * Use faster method for erubis templates.

    The evaluate method uses instance_eval on a cached proc instead of using
    eval like the erb compatible result method does.
    
    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[cfd250cf | Fri May 01 14:02:03 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Skip :install_dependencies until we figure out something better

[1829f38a | Fri May 01 14:00:39 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Seems like a regression in rack-test...

[09d6fa1a | Fri May 01 14:00:07 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix the errors spec, it should run in :dev mode since :live has no ShowExceptions anymore

[499c4ed1 | Fri May 01 13:55:57 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Make RouteExceptions a little bit less verbose

[a8c6383f | Fri May 01 13:55:35 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Give the other engines compile caching as well (where it makes sense)

[81380cf7 | Fri May 01 12:49:55 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Adapt gestalt spec to latest rack-test

[e7843172 | Fri May 01 12:43:50 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix the helper/caching example

[93a741bf | Thu Apr 30 16:06:35 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Use caching for Haml

[47a6dece | Thu Apr 30 16:06:17 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Integrate View better with Innate

[e86a143d | Thu Apr 30 14:57:51 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Split up Haml engine, prepare for caching

[b2747ccd | Wed Apr 29 16:33:40 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Don't use ShowExceptinos in live mode

[552a4c37 | Wed Apr 29 00:52:34 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix RotatingInformer

[2e53d6ef | Tue Apr 28 11:50:27 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix the release tasks

[e3c14181 | Tue Apr 28 11:49:49 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Give the paginator a count

[a395c1c7 | Mon Apr 27 10:33:16 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Ultraviolet needs traited

[a65aaadb | Mon Apr 27 08:47:48 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Forward logging to Ramaze::Log by default

[d0536fad | Sun Apr 26 19:21:41 UTC 2009] Tadahiko Uehara <kikofx@gmail.com>

  * Add support Gestalt as another template engine.

    
    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[37b29280 | Sun Apr 26 18:51:52 UTC 2009] Tadahiko Uehara <kikofx@gmail.com>

  * Add gestalt to take text and attributes as arguments.

    
    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[42e96b1c | Sat Apr 25 22:19:31 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Version 2009.04

[8a0c6ace | Sat Apr 25 21:31:04 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Update dependencies

[1da636de | Thu Apr 23 14:14:51 UTC 2009] TJ Vanderpoel <bougy.man@gmail.com>

  * Fixes for bin/ramaze on Win32

    * Added #rackup_path for finding the location of
       the rackup binary
     * Added #is_windows? for a standard platform check
     * Added new exec formats for Win32
    
    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[b734de6d | Fri Apr 24 09:52:28 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove ancient example

[156f3554 | Thu Apr 23 22:56:34 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Make all text in config.ru ASCII

[b8fff75a | Wed Apr 22 21:31:15 UTC 2009] Ryan Grove <ryan@wonko.com>

  * Action cache now uses the full path (including params) as the cache key, preserves the Content-Type, and catches :respond

[410576fc | Tue Apr 21 19:32:01 UTC 2009] Ryan Grove <ryan@wonko.com>

  * Evaluate cache key blocks in the scope of the node instance for the current action

[41746b9b | Tue Apr 21 23:12:48 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Version 2009.04.22

[711c5df8 | Tue Apr 21 23:11:37 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * strip some whitespace

[f65b9a6e | Mon Apr 20 22:25:27 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Relax Liquid input

[e81a073a | Mon Apr 20 22:25:09 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Allow access to Ramaze::View::get

[d18060d6 | Mon Apr 20 22:24:55 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Make methods of Helper::Formatting module-functions

[ea15f87d | Sun Apr 19 21:02:43 UTC 2009] Ryan Grove <ryan@wonko.com>

  * Fix collisions when caching methods with the same name across multiple controllers and add support for a block parameter that returns a key value to make cache_action work as expected.

[9bf2985b | Mon Apr 20 12:13:15 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Require sequel/extensions/inflector to get rid of silly warning

[81e6bdbb | Mon Apr 20 12:11:26 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Show unhelpful comment for the blog trackback until someone shows me how it's done

[648acce2 | Mon Apr 20 12:02:17 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * We shouldn't use partial_content, use render_partial instead

[0ef8bb77 | Mon Apr 20 11:59:40 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Minor improvments and some comments for Liquid engine

[15a6c757 | Mon Apr 20 11:59:19 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Bring blog example up to date

[986ae27f | Sun Apr 19 22:24:08 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix wikore example, i wonder whether this is worth keeping

[7f478c39 | Sun Apr 19 09:17:01 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix auth example

[48adcf63 | Sat Apr 18 09:44:03 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * It should be `ramaze create` now

[3951076e | Sat Apr 18 09:29:13 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Version 2009.04.18

[afb3336b | Sat Apr 18 09:28:37 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Improve tasks a bit

[a4bbc316 | Fri Apr 17 09:37:14 UTC 2009] TJ Vanderpoel <bougy.man@gmail.com>

  * Only use /proc in bin/ramaze if possible, otherwise fall back to ps

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[35bf7c25 | Fri Apr 17 08:36:28 UTC 2009] TJ Vanderpoel <bougy.man@gmail.com>

  * Added status command and moved IRB.start inline instead of exec.

    * Status needs testing on WIN32 and OSX
    
    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[df495aeb | Fri Apr 17 14:48:58 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Specify correct behaviour of Request#accept_language_with_weight

[7cee2035 | Fri Apr 17 18:52:23 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Bring various Sequel specific stuff up to date

[21e2c4d6 | Thu Apr 16 10:01:32 UTC 2009] TJ Vanderpoel <bougy.man@gmail.com>

  * Defaults to webrick on port 7000 when starting now

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[bc091906 | Thu Apr 16 09:51:38 UTC 2009] TJ Vanderpoel <bougy.man@gmail.com>

  * Fixed "ramaze start" so it doesn't try and start a new instance

    * added is_running? and check_running? as helpers
    * refactored #stop to pass it's given pid to find_pid
    
    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[c29043dd | Thu Apr 16 19:47:02 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Adding app.rb to proto, explain new convention

[2e0d0ba1 | Thu Apr 16 10:33:16 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Make sure proto spec runs in right directory

[1a8c5180 | Thu Apr 16 10:17:58 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Proto should use Etanni as well

[146a4d6e | Thu Apr 16 10:05:43 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove old layout from proto

[95e4e984 | Wed Apr 15 17:59:47 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix nagoro/render_partial, sorry for the mess

[9eb1cf0f | Wed Apr 15 17:59:10 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove String#each, we are compatible with Rack spec

[f95cdaee | Wed Apr 15 09:12:02 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Use the render helper for nagoro/render_partial

[730b17f1 | Mon Apr 13 21:35:18 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Try to please the github syntax highlighter

[152aad66 | Mon Apr 13 11:58:24 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Rename Request#to_ivs to Request#to_instance_variables and add to_ivs alias for it

[425e8ff4 | Sat Apr 11 11:18:39 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Make Rapp example run

[518ab379 | Fri Apr 10 19:30:24 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Port specs to rack-test

    * This breaks the spec for httpdigest helper since rack assumes that
      plaintext auth consits of ['user:pass'].pack('m*') and we consider
      plaintext auth as MD5 digest auth which includes the realm.

[18fabfc9 | Fri Apr 10 17:31:17 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add a `rake setup` task that takes care of installing dependencies

[9567c23b | Thu Apr 09 18:00:33 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * More improvments and fixes to the localize helper

[e0d48c3c | Thu Apr 09 18:00:03 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * This should fix the contrib EmailHelper

[ed053924 | Wed Apr 08 16:19:29 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * run Ramaze instead of Innate, just for better look

[97b1bd88 | Fri Apr 10 00:52:05 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add ContentLength middleware

[591f1c0b | Wed Apr 08 00:15:59 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Version 2009.04.08

[e2a87c9a | Mon Apr 06 09:27:14 UTC 2009] TJ Vanderpoel <bougy.man@gmail.com>

  * changed path search to use request.request_uri instead of request.fullpath, to handle fastcgi, mod_rack, and any other method where rack strips part of fullpath to derive request_uri

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[69c3bf40 | Tue Apr 07 18:12:40 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Only MainController is automapped to '/'

[de89b67f | Tue Apr 07 17:41:50 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Update tutorial HTML

[e43fa1b6 | Tue Apr 07 20:38:18 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * render_template is really deprecated, no replacements

[5922f3ce | Tue Apr 07 09:21:18 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix link to book.ramaze.net

[30fec68f | Mon Apr 06 17:41:41 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add information about, and usage of: Sequel::Model.plugin(:schema)

[83d41e01 | Mon Apr 06 17:32:18 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add some info about configuration to tutorial

[7467ff65 | Mon Apr 06 10:35:06 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix Flash and Link helpers

[b6297dae | Mon Apr 06 09:43:40 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add some lobster

[eabb5593 | Mon Apr 06 08:33:30 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Change ext to reflect new default templating engine

[36431f7b | Mon Apr 06 06:57:58 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * nitpicking

[983cede9 | Mon Apr 06 06:57:48 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Simplify Helper with options

[5a317409 | Mon Apr 06 06:57:13 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Take over the Partial helper from Innate, please use the Render helper instead

[9797116c | Mon Apr 06 00:38:19 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Adding Cache::LocalMemCache, see http://github.com/sck/localmemcache

[d725385b | Sun Apr 05 21:26:10 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add methods removed from Innate::Request

[ad0ce13e | Sun Apr 05 16:01:57 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Adding contrib/app_graph, which shows all your sites apps, controllers, mappings and actions

[61f621ae | Sat Apr 04 09:33:23 UTC 2009] TJ Vanderpoel <bougy.man@gmail.com>

  * Removed ramaze dependencies from binary where not needed

    * Allows including of custom library paths with standard ruby -I
      functionality.
    * Now passing ARGV along to irb with console command.
    
    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[38f1b778 | Sat Apr 04 08:29:18 UTC 2009] TJ Vanderpoel <bougy.man@gmail.com>

  * Remove version and help message from bin/ramaze

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[4cf3d4ad | Sat Apr 04 21:17:35 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove trailing newlines from bin/ramaze

[6d912c9d | Sat Apr 04 07:53:48 UTC 2009] TJ Vanderpoel <bougy.man@gmail.com>

  * Added more help and --version

    * Create command exits and prints error if no PROJECT given
    * Added more verbose description of each command
    * Now defaults to printing help instead of starting an application
    
    TODO:
    
    * Add ability to merge application options.  Perhaps ENV setting.
    
    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[aed1603d | Sat Apr 04 13:26:53 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove contrib/sequel/fill, was quite useless anyway

[02cd6ecd | Sat Apr 04 13:25:59 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Improve bacon task so specs can fail on dependencies without messing up all the output

[de5e21f1 | Sat Apr 04 11:05:21 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Use method instead of iv for App#url_map

[597ec8c9 | Sat Apr 04 11:04:08 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add integration with rack/test, eventually we should port specs to that

[59d30838 | Sat Apr 04 11:02:53 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Run specs in spec/contrib as well

[49dd9d69 | Sat Apr 04 11:02:37 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add commented list of development dependencies for release

[a4c080fe | Sat Apr 04 10:43:24 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Improve bacon task

[729ce2d3 | Fri Apr 03 11:06:22 UTC 2009] TJ Vanderpoel <bougy.man@gmail.com>

  * Added better help output and lowered debug output

    * Pass along rackup --help options when requesting --help
    * Removed debug output from default_pidfile
    
    TODO:
    * Make ramaze --console work as expected
    * Design a methodology to pass the ramaze application itself arguments, instead of just to rack(up)
    
    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[686a38db | Fri Apr 03 09:15:53 UTC 2009] TJ Vanderpoel <bougy.man@gmail.com>

  * Added --force and --amend support to ramaze create. Also updated Ramaze::Tool::Create to use ROOT instead of Ramaze::BaseDir

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[b1ae8856 | Fri Apr 03 08:58:37 UTC 2009] TJ Vanderpoel <bougy.man@gmail.com>

  * Rewrite of bin/ramaze

    * Simple optparser for start|stop|restart|create
    * Passing all other args on to config.ru
    * Used old ramaze tool/create for creation from prototype
    
    TODO:
    * Enable --force and --amend to ramaze create
    * Recognize app.rb and rackup's options to display in --help
    
    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[ea434b16 | Fri Apr 03 17:14:51 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Provide access to App#url_map

[aa99126d | Fri Apr 03 16:54:05 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix link to sqlite

[54f7ce01 | Fri Apr 03 16:49:13 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove the rack/innate dependencies until rack is out

[e5af4e5c | Fri Apr 03 16:48:16 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix for redcloth spec

[11118df2 | Fri Apr 03 16:28:26 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix the sequel_form spec

[cf184304 | Fri Apr 03 16:26:53 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove the XSLT example and spec

[0395321e | Tue Mar 31 23:53:40 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Change dependency to innate-manveru, there's no rubyforge gem for it anyway... but that will cause trouble for local rake install

[eb7d3897 | Tue Mar 31 23:34:33 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix Optinoal reference in blog example

[5f210cc6 | Tue Mar 31 23:33:49 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Innate::Optional is now Innate::Optioned

[851e1bd5 | Tue Mar 31 23:21:56 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Version 2009.04.01

[90335003 | Tue Mar 31 13:12:46 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Use html syntax instead of xhtml for pdf generation

[e597faa2 | Mon Mar 30 18:40:44 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Adding a table of contents to the tutorial html

[e0f45a74 | Mon Mar 30 18:32:16 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add source for new tutorial

[709430e4 | Mon Mar 30 18:31:55 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Generate html for new tutorial, asciidoc rocks!

[09185fa8 | Mon Mar 30 18:30:47 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix the basic/simple example

[e2cd4008 | Mon Mar 30 18:30:33 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Improve the create action of the todolist

[641280f2 | Mon Mar 30 13:40:28 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * require a default-controller if none is there on setup

[7cc0bdcf | Mon Mar 30 13:28:23 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Etanni is new default engine, with .xhtml extension, everyone happy now?

[dcce38f5 | Sun Mar 29 23:22:04 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Set Innates helper constants into Ramaze::Helper

[f24506e1 | Sun Mar 29 21:48:13 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Rewrite todolist example, just needs a tutorial now...

[0ae404ab | Sun Mar 29 20:04:17 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove the readme_chunks

[9beaef2a | Sun Mar 29 20:02:44 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Update doc/AUTHORS with more accurate data

[83ba698a | Sun Mar 29 20:02:03 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Avoid glibc in git shortlog

[685fa379 | Sun Mar 29 20:01:12 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Brand new rake tasks, fine-grained with help of raku

[97e59ff3 | Sun Mar 29 00:16:38 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Adding a .mailmap for nicer git shortlog

[e7a1b971 | Fri Mar 27 22:34:13 UTC 2009] Aman Gupta <aman@ramaze.net>

  * Add RDoc to ramaze/contrib/gems.rb

[a2504380 | Thu Mar 26 22:59:46 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix liquid example and spec

[d9bc8acf | Thu Mar 26 22:46:34 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove last references to Amrita2

[972559ba | Thu Mar 26 22:41:14 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove Amrita2 templating engine, it's defunct with current Hpricot and doesn't look like anybody maintains it

[1a28d42d | Thu Mar 26 15:18:56 UTC 2009] Clive Crous <clive@crous.co.za>

  * Explicitly specify path in template examples

[283239f8 | Thu Mar 26 22:15:57 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Adding static and directory apps again

[9192ec31 | Thu Mar 26 21:04:32 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove the simple_auth example, httpdigest is way better

[a30c6c8f | Thu Mar 26 20:55:04 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix spec for hello example

[1b917d6e | Thu Mar 26 20:54:16 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix helper/maruku spec, this one changes all the time so it's more flexible now

[69f65c1c | Thu Mar 26 20:52:42 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix helper/partial spec

[fdb050fa | Thu Mar 26 20:50:24 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix Element example spec

[9d363e16 | Thu Mar 26 19:48:19 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Mostly improving comments and UI in the blog

[c5a75ee8 | Thu Mar 26 19:29:04 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * The errors wouldn't be shown in the form helper

[25d7e4eb | Thu Mar 26 18:06:11 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Adding Helper::Formatting#number_counter, might need a better name though

[1047afe7 | Thu Mar 26 17:26:50 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Refactor Helper::Gravatar to reflect their API better, add specs for it

[7df451aa | Wed Mar 25 22:56:16 UTC 2009] Clive Crous <clive@crous.co.za>

  * Updating example/template specs for examples that DON'T work.

    The following template systems don't seem to work (or at least I'm unable to get their examples to work at the moment):
    
    Amrita2
    Liquid
    RedCloth

[1d94eb0f | Wed Mar 25 22:38:11 UTC 2009] Clive Crous <clive@crous.co.za>

  * update remarkably example's external template too (accidentally left off last commit)

[f744a0d8 | Wed Mar 25 22:36:49 UTC 2009] Clive Crous <clive@crous.co.za>

  * updated spec and example for templates/remarkably

[47dfdac3 | Wed Mar 25 22:23:51 UTC 2009] Clive Crous <clive@crous.co.za>

  * spec for linking example should behave like mock, not like http

[c6627538 | Wed Mar 25 21:20:06 UTC 2009] Clive Crous <clive@crous.co.za>

  * update basic/simple example and spec for innate

    it seems inspect does not work as expected for request.
    testing this is, however, outside the scope of a simple example I think

[75aa804b | Wed Mar 25 21:13:11 UTC 2009] Clive Crous <clive@crous.co.za>

  * spec for css example should behave like mock, not like http

[4abea5c6 | Wed Mar 25 21:04:01 UTC 2009] Clive Crous <clive@crous.co.za>

  * correct maruku helper spec - it was using the wrong type of quotes and failing because of it

[4e35cdd4 | Wed Mar 25 21:00:26 UTC 2009] Clive Crous <clive@crous.co.za>

  * markaby and xslt are not yet implemented in ramaze/view

[ca812d47 | Wed Mar 25 20:39:22 UTC 2009] Clive Crous <clive@crous.co.za>

  * updated spec and example for templates/nagoro

[536a4bba | Wed Mar 25 20:35:34 UTC 2009] Clive Crous <clive@crous.co.za>

  * xslt currently does not work, I have however updated what I could for now

[56164e7e | Wed Mar 25 20:14:55 UTC 2009] Clive Crous <clive@crous.co.za>

  * template spec comparitive allows variable whitespace in html between attributes and their values

[ebddf59b | Wed Mar 25 20:02:30 UTC 2009] Clive Crous <clive@crous.co.za>

  * markably currently does not work, I have however updated what I could for now

[fac24bfa | Wed Mar 25 19:46:56 UTC 2009] Clive Crous <clive@crous.co.za>

  * updated spec and example for templates/tenjin

[dd0d78ee | Wed Mar 25 19:45:40 UTC 2009] Clive Crous <clive@crous.co.za>

  * Also autoregister .tenjin extension for Tenjin

[58281153 | Wed Mar 25 19:37:17 UTC 2009] Clive Crous <clive@crous.co.za>

  * use regex for home page check in template example specs

[8b6c3d0b | Wed Mar 25 19:01:58 UTC 2009] Clive Crous <clive@crous.co.za>

  * updated spec and example for templates/ezamar

[414f6f21 | Wed Mar 25 18:50:50 UTC 2009] Clive Crous <clive@crous.co.za>

  * Remove excess whitespace from Haml

[fa9720e5 | Wed Mar 25 18:47:31 UTC 2009] Clive Crous <clive@crous.co.za>

  * Correct typo: Habl => Haml

[1118df36 | Wed Mar 25 18:41:20 UTC 2009] Clive Crous <clive@crous.co.za>

  * updated spec and example for templates/haml

[76124cae | Wed Mar 25 18:40:10 UTC 2009] Clive Crous <clive@crous.co.za>

  * updated spec and example for templates/erubis

[32efcd7b | Wed Mar 25 18:39:01 UTC 2009] Clive Crous <clive@crous.co.za>

  * Common tests for most template example specs

[41c2f119 | Wed Mar 25 23:11:27 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * remove faker setup

[ee08c78a | Wed Mar 25 23:05:28 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove the blog.db

[89738ca4 | Wed Mar 25 00:10:59 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * jQuery v1.3.2

[e510fe39 | Wed Mar 25 22:50:16 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * New Helper::Partial, not well tested yet!

[f45238f1 | Wed Mar 25 22:35:06 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Ezamar now only .zmr, Etanni gets .xhtml

[63d09c5f | Wed Mar 25 22:34:35 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Don't be destructive to arguments to GemSetup

[3ba481bb | Wed Mar 25 22:34:08 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Improve intro in example/simple/hello.rb

[fca8bf15 | Wed Mar 25 22:33:46 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Adding Gestalt#select to avoid collision with Kernel#select

[3aea3813 | Wed Mar 25 22:32:54 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Huge update to the blog example, should probably extract it

[43032e8e | Wed Mar 25 17:29:13 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * A couple of updates to the specs

[f70cb1ec | Wed Mar 25 17:28:33 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Move Request and Response into better locations, Make sure we use our own Request/Response instead of Innates

[d769e3ba | Wed Mar 25 17:03:22 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add some methods to Request from Innate

[53bc137c | Wed Mar 25 13:37:43 UTC 2009] Clive Crous <clive@crous.co.za>

  * (re)enable specs for examples

[7d3ebaca | Wed Mar 25 13:27:02 UTC 2009] Clive Crous <clive@crous.co.za>

  * Use a rather than A and remove view_root in erubis example

[90eb0f9b | Wed Mar 25 13:25:59 UTC 2009] Clive Crous <clive@crous.co.za>

  * Rename template directory to default: view

[b38c0b72 | Wed Mar 25 12:31:11 UTC 2009] Clive Crous <clive@crous.co.za>

  * Partial helper was moved to innate, update it's usage

[afa2acd1 | Tue Mar 24 17:19:40 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Adding Helper::Form#form_select

[c02fb22a | Tue Mar 24 02:57:50 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add two more methods for form helper

[070ccc94 | Mon Mar 23 19:16:26 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add the new Helper::Form, i carried it around for too long, move the old Helper::Form to Helper::SequelForm as it never supported another ORM

[2495907d | Mon Mar 23 16:34:32 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add Helper::Disqus

[c79da356 | Mon Mar 23 16:33:28 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Update Nagoro view

[2a514dcb | Mon Mar 23 16:32:33 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Action now does copy_variables since it's needed by all engines and easy to forget

[b300f074 | Sat Mar 21 16:45:17 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Rewrite the auth example to something simpler

[5787a243 | Sun Mar 22 23:58:47 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Erubis should copy variables into binding

[2d085f30 | Sat Mar 21 23:09:23 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add deprecation warning for Controller::view_root

[dfd5c45d | Sat Mar 21 22:55:14 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Only set default engine to Nagoro if no engine was set before Ramaze.start

[bde97f40 | Fri Mar 20 18:35:22 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Only set root in spec if found

[6fde2509 | Fri Mar 20 18:20:34 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Proper docs for Helper::User

[6902b1bc | Fri Mar 20 17:20:00 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fun little Helper::RequestAccessor

[7cb5268f | Fri Mar 20 15:45:17 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Deprecate contrib/gzip_filter

[f6b88a52 | Fri Mar 20 15:41:48 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * New contrib/rest

[e4dc2c7b | Fri Mar 20 14:05:39 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix config.ru

[4980a5d6 | Fri Mar 20 12:13:38 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix typo

[44cbafd8 | Thu Mar 19 20:52:30 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Improve spec/helper.rb so specs can be loaded from anywhere

[bc9a15a4 | Thu Mar 19 20:11:36 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove cruft

[5eaff4bd | Thu Mar 19 20:04:53 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Adapt to changes in action wrapper

[2e6a21a0 | Thu Mar 19 18:25:01 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * proto/start.ru becomes proto/config.ru

[9b667457 | Wed Mar 18 20:03:30 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Explain what all this App stuff is about

[c10c58bc | Wed Mar 18 19:44:05 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Embrace the new simplicity in automatic mapping in the specs

[23ea9b27 | Wed Mar 18 19:41:08 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix the paginate helper by using robust mapping lookup

[05691876 | Wed Mar 18 19:39:19 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Intelligent mapping prevents Innate from stealing Apps and Controllers

[96c30489 | Wed Mar 18 10:47:09 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Making specs pass once again

[6e9c26f4 | Sun Mar 15 20:53:39 UTC 2009] Clive Crous <clive@crous.co.za>

  * Add a missing 'protected' forgotten from the spec

[14846aec | Sun Mar 15 20:50:48 UTC 2009] Clive Crous <clive@crous.co.za>

  * More complete digest header testing

[8f4e0f0e | Sun Mar 15 20:32:43 UTC 2009] Clive Crous <clive@crous.co.za>

  * Test for httpdigest authentication failures as well

[812cdf9c | Sun Mar 15 18:15:42 UTC 2009] Clive Crous <clive@crous.co.za>

  * Preload rubygems for spec files if rubygems exists and has been loaded in rake

[64033fca | Sun Mar 15 17:59:44 UTC 2009] Clive Crous <clive@crous.co.za>

  * Failure feedback when specs completely fail to run

[81502064 | Mon Mar 16 00:36:15 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Avoid require of gettext/lib/locale.rb, use locale/lib/locale/tag.rb

[fb8a5d6a | Mon Mar 16 00:35:48 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix automatic mapping of Controllers

[acce95e3 | Sun Mar 15 16:45:16 UTC 2009] Clive Crous <clive@crous.co.za>

  * initial specs for httpdigest helper

[e3d9eea7 | Sun Mar 15 15:28:36 UTC 2009] Clive Crous <clive@crous.co.za>

  * Correct MD5 usage namespace

[4c7d4b80 | Sun Mar 15 14:02:55 UTC 2009] Clive Crous <clive@crous.co.za>

  * Cater for qop(auth-int) as per RFC 2617 section 3.2.3

    Conflicts:
    
            lib/ramaze/helper/httpdigest.rb

[a62f89df | Sun Mar 15 13:26:53 UTC 2009] Clive Crous <clive@crous.co.za>

  * Cater for qop(auth-int) as per RFC 2617 section 3.2.3

[a87737c0 | Sat Mar 14 22:40:28 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove cruft from link-helper spec

[10a1de1a | Sat Mar 14 22:40:08 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix pager and paginate helpers

[0d9ca97f | Sat Mar 14 22:39:52 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Introduce Ramaze::App and port to new options system

[3194d465 | Fri Mar 13 19:01:05 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Improve the automapping of controllers and add specs for it

[e56ccda9 | Fri Mar 13 18:30:21 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove the old spec/helper

[6058a6d3 | Mon Mar 09 22:33:46 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Update chat example

[9accf7ad | Mon Mar 09 21:49:33 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove the rapaste example

[3f7c28ec | Mon Mar 09 21:48:45 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Rename the *.xhtml templates in spec to *.nag

[b47afb33 | Mon Mar 09 21:41:28 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add deprecation notice for Ramaze::Template

[958071d6 | Mon Mar 09 21:39:36 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Give Ezamar the .xhtml extension for better compatibility

[fd177ff4 | Mon Mar 09 21:38:37 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add View::Ezamar and specs

[b0dd07a2 | Mon Mar 09 20:33:23 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add Helper::Localize with spec

[5aca5c97 | Mon Mar 09 13:53:06 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add Request#accept_charset

[dce32e51 | Mon Mar 09 12:43:07 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * robust_params is not there anymore

[68e07788 | Sat Mar 07 14:51:18 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Adapt for refactor of provides in Innate

[6af593a1 | Fri Mar 06 14:12:18 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Put Nagoro::RenderPartial into a separate file

[f5af586d | Fri Mar 06 14:11:23 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Reflect the changes to provides in Innate

[6104053e | Mon Mar 02 16:22:21 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove stub for the contrib/cache_file

[7ddc6902 | Mon Mar 02 16:21:42 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Update some docs for caches

[df1eb37d | Mon Mar 02 16:17:13 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove Ramaze::Contrib and add Ramaze::Plugin

[cb0f9b20 | Mon Mar 02 16:16:45 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Example for how to serve directories

[9820b469 | Mon Mar 02 16:12:32 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix the dispatcher specs

[02bcaaf5 | Mon Mar 02 16:06:00 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Convert the contrib/sequel_cache to a proper cache/sequel

[6c1bd79e | Mon Mar 02 13:03:02 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Spec for the httpdigest example

[154a67b8 | Mon Mar 02 12:11:22 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Prevent reloader from failing for deprecated caches

[88ffe02e | Mon Mar 02 12:10:48 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Improve Helper::HttpDigest and the example, needs specs

[ec02dfc8 | Sun Mar 01 23:21:01 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Compatibility with innate

[b22141f6 | Sat Feb 28 17:09:49 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * autoload is useless for gems... add spec for Helper::Maruku

[db427683 | Sat Feb 28 17:05:45 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Docs and autoload for Helper::Maruku

[bb832962 | Sat Feb 28 16:20:57 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Take care of missing gem method

[7908ef68 | Sat Feb 28 16:20:46 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Simplify view invocations

[0b7847aa | Sat Feb 28 16:11:42 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix bug where the name of the haml template was wrong for layouts

[ccdb6cc8 | Sat Feb 28 15:11:00 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * pager spec needs hpricot

[c131abcc | Sat Feb 28 15:10:49 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Ramaze::Helper should behave as Innate::Helper

[f3337093 | Sat Feb 28 15:10:31 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Spec for Helper::Paginate and fixes to make it work again

[b6b7faf4 | Wed Feb 25 15:34:04 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Put Rack::ETag into vendor to remove rack-contrib dependency

[50ce04b7 | Wed Feb 25 15:00:37 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Use Ramaze::setup to make it easier to use ramaze from git

[93e00644 | Wed Feb 25 14:48:34 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * New Ramaze::setup, remove contrib/gems

[df25a48a | Wed Feb 25 14:18:13 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix some helpers that rely on traits

[6599dca3 | Wed Feb 25 14:07:43 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * minor cleanup

[71107fde | Wed Feb 25 14:07:32 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix Helper::Cache trait usage

[989be02a | Wed Feb 25 14:07:14 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove traits from Object, if you need them include Innate::Traited

[b746b702 | Wed Feb 25 14:06:39 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Use Innate::Traited in Controller

[855bfea2 | Wed Feb 25 13:16:30 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Shortcut route with RouteExceptions::[]=

[04b63404 | Wed Feb 25 13:15:58 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Adapt to new middleware behaviour

[fcbbde5a | Fri Feb 27 16:20:31 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * specify what the engine specs need

[272a2a56 | Fri Feb 27 13:40:42 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix for new Sass

[ef952b7c | Thu Feb 26 10:45:02 UTC 2009] Victor Luft <victor.luft@ptomato.net>

  * Fixed Sass engine for Haml 2.0.8+

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[b46c3b9a | Wed Feb 25 01:24:47 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Update caching example spec

[a6c8667d | Wed Feb 25 01:24:05 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Update caching example

[80d68024 | Tue Feb 24 21:42:53 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Update copyright in specs

[d4cdad08 | Tue Feb 24 21:40:16 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix reference to Innate::Node::NODE_LIST and use CONTROLLER_LIST for Ramaze

[07a4b950 | Tue Feb 24 21:37:42 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Use Ramaze::Reloader

[e6c5b478 | Tue Feb 24 21:35:59 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove Ramaze::Tool

[c87e4965 | Tue Feb 24 21:35:03 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove rest helper, it's awesome but useless

[7e1d8ca7 | Tue Feb 24 21:31:53 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * SendFile helper is in Innate

[f9c00542 | Tue Feb 24 21:29:39 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * change response to returned in the route_exceptions to avoid confusion

[3a576a51 | Tue Feb 24 21:28:59 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Use new multipart code from innate

[8a34b089 | Sun Feb 22 21:36:14 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Spec for Helper::Gestalt

[f92cf137 | Sun Feb 22 21:32:04 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Spec for Helper::Bench

[c4314b67 | Sun Feb 22 21:24:43 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Move lib/rack to lib/vendor

[2802a390 | Sun Feb 22 20:16:12 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Default engine should be nagoro if none has been set yet in superclasses, also ignores innates default

[e2d776c6 | Sun Feb 22 19:52:53 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix typo

[3fd92eb5 | Sun Feb 22 19:41:59 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Deprecate ::cache for now

[2af3b208 | Sun Feb 22 19:41:50 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Expand spec for time_diff

[9bf8dc51 | Sun Feb 22 01:35:18 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Improved RouteExceptions

[ca95b016 | Sun Feb 22 01:16:49 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Require route_exceptions since it has no autoload

[9221a709 | Fri Feb 20 16:43:04 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove useless method from stack spec

[aea363e4 | Fri Feb 20 16:42:50 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Spec some more of formatting helper

[981832e6 | Fri Feb 20 16:38:13 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Route is in Innate::SingletonMethods now

[c601117f | Fri Feb 20 16:22:19 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove specs for XSLT until someone is brave enough to implement it again

[34afff18 | Fri Feb 20 16:20:24 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove markaby specs, use remarkably instead

[195a82e1 | Fri Feb 20 16:18:08 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove useless spec helpers

[c1ca9ff4 | Fri Feb 20 16:17:40 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * remove old redcloth spec

[dcf7499d | Fri Feb 20 16:15:26 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove Ramaze::Global related code

[282e1e01 | Fri Feb 20 16:12:19 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Update some copyrights and clean specs a bit

[07170644 | Fri Feb 20 16:07:56 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Simplify Erubis spec

[ac5b9218 | Fri Feb 20 16:07:43 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix RedCloth engine and add specs

[dc9fe30f | Fri Feb 20 15:49:48 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Finally non-sucking support for Liquid

[14390d10 | Fri Feb 20 14:58:33 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove spec for removed Store::Default

[8b43c369 | Fri Feb 20 14:57:54 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove spec for Rewrite, covered by Innate

[4e414b1f | Fri Feb 20 14:57:09 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Don't use nagoro for stack spec

[c433bf89 | Fri Feb 20 14:56:03 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Informer spec more robust

[587e7c03 | Fri Feb 20 14:54:30 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix helper for snippet specs

[5caa2713 | Fri Feb 20 14:46:58 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add specs for error handling and make it so

[80ceda67 | Thu Feb 19 19:11:27 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix spec for params

[51dbc8f0 | Thu Feb 19 19:11:13 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove Tool::Localize

[28599a27 | Thu Feb 19 16:29:32 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove Ezamar specs

[49c0ec5f | Thu Feb 19 16:28:43 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * The route spec was ported to innate

[91c46a2b | Thu Feb 19 16:27:25 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove Dispatcher spec

[96d695ee | Thu Feb 19 16:26:02 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * alias spec_requires to spec_require

[3ef2ce18 | Thu Feb 19 16:25:47 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add spec for integration with Rack::Directory

[e5d7b93a | Thu Feb 19 16:11:53 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Update gemspec to reflect new dependencies

[d952c02f | Thu Feb 19 16:04:14 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove session spec, covered by rack and innate

[aaf7df62 | Thu Feb 19 16:03:53 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Use rack-contrib to improve static serving, supports ETag and Last-Modified

[72978034 | Thu Feb 19 14:15:36 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Update spec for alias_view

[979e75e2 | Thu Feb 19 13:41:02 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Better spec task

[2a426e64 | Thu Feb 19 13:40:46 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove spec for session, covered by innate

[99bd905a | Thu Feb 19 13:12:14 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Simplify actionless_templates spec a bit

[d1f863fc | Thu Feb 19 13:11:56 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Move memcache spec into proper directory

[eef91700 | Thu Feb 19 13:11:28 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Use ramaze/spec instead of innate/spec

[eb22b378 | Thu Feb 19 13:11:07 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add spec_precondition to deal with specs that require running memcached and the like

[163789a8 | Thu Feb 19 13:10:30 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix Controller::engine to register multiple exts per engine

[7d147c1a | Wed Feb 18 20:16:23 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Start using some ramaze specific helpers for specs (spec_require)

[1d59ffa7 | Wed Feb 18 20:15:47 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove Tool::Localize, have a rack middleware to replace it

[ef2ee41b | Wed Feb 18 19:49:50 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * params spec passes

[32cede3c | Wed Feb 18 14:28:22 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Argument for Ramaze::Reloader#initialize is now optional

[bd280b81 | Wed Feb 18 10:31:07 UTC 2009] Tadahiko Uehara <kikofx@gmail.com>

  * Add spec provide_inheritence.rb.

[ed27cb26 | Wed Feb 18 10:28:06 UTC 2009] Tadahiko Uehara <kikofx@gmail.com>

  * Add defualt provide engine only when controller is not inherited other.

[f003e02d | Tue Feb 17 17:34:33 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix Helper::Pager and spec

[d66195b2 | Tue Feb 17 03:13:01 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add ydoc task

[629fc796 | Tue Feb 17 03:12:52 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * README.markdown => README.md

[7602f940 | Tue Feb 17 03:10:49 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add publish task

[249cbf53 | Tue Feb 17 03:09:11 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix rake metric:churn

[5dd7518b | Sun Feb 15 11:48:01 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add Ramaze::Fiber#(state|state=) for easier copying

[246f3c66 | Sat Feb 14 20:26:56 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix Amrita2

[1f6a3e19 | Sat Feb 14 14:20:56 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Response#build shouldn't use its own header by default

[8d82a6c7 | Sat Feb 14 14:08:49 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix the 100% cpu problem... seems like hash iteration went wrong

[8191be77 | Fri Feb 13 21:24:58 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Added more to the post-install message.

[13f56f5e | Fri Feb 13 21:13:49 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Bumped version to 2009.02.

[f73a2b3d | Fri Feb 13 21:13:19 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Freshened URLs throughout documentation and examples.

[244b7a6e | Fri Feb 13 14:40:48 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix strange behaviour when using Fiber

[947f1c6e | Fri Feb 13 14:40:30 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove cruft

[7101ffec | Wed Feb 11 15:46:54 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Improve speed of Helper::User#user method

[28dde740 | Wed Feb 11 15:46:34 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Make the R/Rs/A methods a little bit more functional although they are deprecated

[c199fc56 | Wed Feb 11 15:45:38 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add some docs

[e3cceefc | Wed Feb 11 15:44:37 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add rake ydoc task

[8e953ec0 | Tue Feb 10 23:58:01 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Ignore some mor ein rcov

[21e3e6eb | Tue Feb 10 23:32:35 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Make spec for Helper::Form pass

[a8566b18 | Tue Feb 10 23:10:24 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Continue rake rcov even on error

[6fc5f130 | Tue Feb 10 23:09:54 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * General spec for Innate::View

[95b228f3 | Tue Feb 10 23:09:30 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove Builder templating engine, too awkward

[332409bc | Tue Feb 10 23:05:27 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix Nagoro and spec it

[72ae0983 | Tue Feb 10 23:04:08 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix Amrita2 and spec it

[832ac9af | Tue Feb 10 12:07:02 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Spec Helper::User user with callback

[4a2cb9d2 | Tue Feb 10 09:33:43 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix typo

[d0cba9cc | Mon Feb 09 22:51:16 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove specs for some removed snippets

[75eda86b | Mon Feb 09 22:50:56 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add deprecation warning for Helper::Auth#check_auth

[838fb4e1 | Mon Feb 09 22:48:58 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Specs for flashbox

[4dc3ca11 | Mon Feb 09 18:50:16 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * New Helper::Auth with specs

[a95be31e | Mon Feb 09 17:51:44 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove spec for Controller, most of that is covered by Innate

[8a3efda9 | Mon Feb 09 17:48:51 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * minor update to specs for resolving

[67fe2f18 | Mon Feb 09 16:42:11 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add deprecated Controller::template and update specs

[7ce72e3a | Mon Feb 09 16:14:44 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Update spec to show how to define a method like 'other/greet/other'

[228e4f2d | Mon Feb 09 16:07:33 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix spec for actionless templates

[78fbdbfc | Mon Feb 09 15:59:14 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Spec for Action#render

[c9cda6b8 | Mon Feb 09 15:58:59 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Layout specs are covered by Innate

[d90619f3 | Mon Feb 09 15:58:30 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Make Ramaze::Cache::MemCache work and add spec

[ae9485fe | Sun Feb 08 14:51:48 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Better memleak_detector

[acaa945d | Sun Feb 08 14:43:07 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Use the Innate::SingletonMethods

[5bc49e52 | Sun Feb 08 14:42:50 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove Ramaze::(caller_lines|caller_info|parse_backtrace)

[e8a062f3 | Sun Feb 08 12:55:27 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix Tool::Localize, would mess up body on 1.9

[4a2318d2 | Sat Feb 07 17:19:50 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove useless specs for Action

[ec0f46aa | Sat Feb 07 16:00:27 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Adapt Helper::Cache and specs

[e4ab5215 | Sat Feb 07 12:56:28 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix actionless_templates spec

[944517c4 | Sat Feb 07 12:56:11 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Nagoro is default engine

[271d1d25 | Sat Feb 07 12:55:53 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * A bit of restructuring, add Ramaze.options

[1fb7f945 | Fri Feb 06 13:58:30 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix user_logout

[ecc366e9 | Fri Feb 06 13:58:00 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix reference in flashhelper

[caef22c5 | Thu Feb 05 14:44:43 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove specs for Request, they are handled by rack and innate

[3a4a4788 | Thu Feb 05 14:43:13 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove adapter specs, they are handled by rack

[bea12331 | Thu Feb 05 14:42:27 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove specs for Ezamar

[f306bf7a | Thu Feb 05 14:39:21 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix specs for Logger::Informer

[59ac9f64 | Wed Feb 04 21:40:59 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * engine should be inherited

[f0aa5057 | Tue Feb 03 19:15:10 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove spec for action basics

[35860c96 | Tue Feb 03 19:14:58 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * fix obfuscate_email

[e12ce5bd | Tue Feb 03 19:14:38 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Pass block to Innate.start

[9fe58c70 | Mon Feb 02 16:55:28 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Don't forget to copy instance variables in haml

[dc236a14 | Sun Feb 01 03:35:54 UTC 2009] Tadahiko Uehara <kikofx@gmail.com>

  * Initial layout spec port from ramaze/master.

[1f0f025e | Sun Feb 01 03:34:44 UTC 2009] Tadahiko Uehara <kikofx@gmail.com>

  * Copy action.variables as instance variables before rendering in Haml.

[98171846 | Fri Jan 30 21:26:27 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Updated copyright year in erubis spec.

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[ad26961f | Fri Jan 30 12:04:07 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Moved ezamar specs from template/ to view/.  No work done on them yet.

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[a6dcb6b9 | Fri Jan 30 11:55:08 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Removed commented out legacy Erubis spec code.

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[551d5b7d | Fri Jan 30 11:54:36 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Erubis "external template" spec passes.

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[292ca1ca | Fri Jan 30 11:52:06 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Erubis "sum" spec passes.

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[6cdd63b5 | Fri Jan 30 11:51:45 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Changed Erubis file suffix to rhtml for the spec.

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[c6b7851a | Fri Jan 30 11:45:45 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Partial work to get erubis specs passing.  Not done yet.

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[f346dd17 | Fri Jan 30 11:41:23 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Haml spec passes just the same, but: corrected typo "remplate" -> "template".

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[6ea257bb | Fri Jan 30 11:15:12 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Changed 'describe' string in Tenjin spec.  Looked like a copy-paste artifact.

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[73419a57 | Thu Jan 29 18:18:07 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Updated copyright years in README and version.rb.

[6e231124 | Thu Jan 29 23:27:44 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * run specs with total summary

[b0455912 | Thu Jan 29 23:21:11 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Don't require old ramaze spec helper

[3c67a9c6 | Thu Jan 29 22:05:16 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove spec for non-existent Helper::File

[ead31a73 | Thu Jan 29 22:04:46 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Controller::engine will now work as expected

[fe01c3fe | Thu Jan 29 22:03:47 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Innate takes over setup of Controller with better mapping design

[a6f716b2 | Thu Jan 29 22:02:36 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Don't require rubygems

[dad4960a | Thu Jan 29 22:01:47 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Update proto for optimal use with ramaze/innate

[d5c88776 | Wed Jan 28 23:44:19 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove specs for some helpers that are in innnate

[a91890d8 | Wed Jan 28 23:42:42 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Spec fails if it has no tests

[83b37364 | Wed Jan 28 23:42:24 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Use request.env instead of STATE

[c2188507 | Wed Jan 28 23:34:13 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix spec for Helper::User

[dcdc2495 | Wed Jan 28 21:42:16 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove old haml specs

[0c9950fc | Wed Jan 28 21:38:19 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Haml spec should look like the others

[0b5363ba | Wed Jan 28 21:20:40 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Improve Sass, respect sass_options, port spec

[ded1da15 | Wed Jan 28 21:03:09 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add Helper::Remarkably to restore a tag, to use the a method use the anchor alias instead

[b71abe99 | Wed Jan 28 21:01:56 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Improve tenjin specs and remove old ones

[38981db9 | Wed Jan 28 21:01:31 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove old tagz specs

[e5221726 | Wed Jan 28 21:00:09 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Port specs for Remarkably and make them pass

[1a1e0c61 | Wed Jan 28 20:32:02 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Clean up spec for Tagz

[8b9bf7ab | Wed Jan 28 20:19:57 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Nifty hack makes Tenjin work with binding

[ad4e2d19 | Wed Jan 28 20:19:38 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Deprecate Link::R/Rs/A

[c385741d | Wed Jan 28 20:19:23 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Helper::DEFAULT is removed

[94833446 | Wed Jan 28 20:18:57 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Make View::Tagz and its specs work

[a27e3244 | Tue Jan 27 21:56:19 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Some more specs

[1b911191 | Tue Jan 27 21:55:40 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add spec for Ramaze::Struct

[95a59e23 | Tue Jan 27 21:53:49 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Improve tasks for spec/rcov

[f980ec88 | Tue Jan 27 21:53:13 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Faster specs for snippets

[c1a5a633 | Tue Jan 27 21:52:42 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove Ramaze::State, handled by Innate

[91b0830d | Tue Jan 27 21:52:03 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Dictionary => Ramaze::Dictionary and use its specs

[6228aaba | Tue Jan 27 21:51:04 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Improve Helper::XHTML and add specs

[5bbd8c1b | Tue Jan 27 21:50:22 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Improve Helper::Stack

[c81a2088 | Tue Jan 27 21:49:49 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Improve Helper::SimpleCaptcha

[f7464918 | Tue Jan 27 21:48:57 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Helper::Redirect moved to Innate

[b3fb4110 | Tue Jan 27 21:46:13 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Minor realign

[a6adee68 | Tue Jan 27 21:45:22 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Helper::Aspect moved to Innate

[fd5c5ee9 | Tue Jan 27 21:44:57 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * comment out debugging section in sequel/relation

[2a0832fd | Tue Jan 27 21:44:34 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove Helper::DEFAULT

[d90bf2a0 | Tue Jan 27 21:43:57 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Better mapping of controllers

[f7568c09 | Tue Jan 27 21:43:23 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add Controller to setup

[76c8b4a5 | Sun Jan 25 02:06:33 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Show more examples of configuring flashbox

[ec0ab786 | Sun Jan 25 01:41:39 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix bug uncovered by innate specs

[9874515e | Sat Jan 17 16:56:51 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Check for value_cache method instead of direct

[def02c55 | Sat Jan 17 14:24:34 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Ramaze::BASEDIR is deprecated

[6c486688 | Sat Jan 17 12:46:17 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Better code style for sourceview

[44f7f803 | Sat Jan 17 12:39:01 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * A bit more conventional sourceview

[23592e37 | Fri Jan 16 10:59:00 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * s/\t/  /g

[1c2b4e67 | Thu Jan 15 21:49:54 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove Helper::CGI, now in Innate

[cb7d4a39 | Thu Jan 15 21:49:40 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Pointer to Innate::Helper::LOOKUP

[729a8172 | Thu Jan 15 21:49:06 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Naive implementation of Controller:engine

[34a917fe | Thu Jan 15 21:48:41 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Avoid double definition of ROOT

[b0a5bccc | Fri Sep 12 00:27:20 UTC 2008] sean <sean@sean-t61p.(none)>

  * fixed https redirect

[7be54038 | Tue Jan 13 22:43:03 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Update gemspec

[6b10ef8b | Mon Jan 12 22:59:58 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Updated Ramaze::VERSION to 2009.01.

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[674943ef | Mon Jan 12 09:59:58 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Updated Ramaze::VERSION to 2009.01.

[0dd410a5 | Sat Jan 10 16:00:18 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Use Innate::Route

[0577e1d8 | Thu Jan 08 09:01:07 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Default helpers for markaby helper

[d4543458 | Wed Jan 07 22:01:27 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove stuff from Ramaze::Request that's in Innate

[a35e1507 | Wed Jan 07 22:01:05 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Improve constant setting

[9de7834c | Wed Jan 07 21:33:21 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Slightly different semantics for Response#build

[b27733b6 | Wed Jan 07 21:24:11 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Routes use a class instance variable now

[15a775b3 | Wed Jan 07 21:23:27 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Ramaze::Current has equivalent in Innate

[44ccbb61 | Wed Jan 07 21:12:59 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove Trinity, it's in Innate

[6e2a80ca | Wed Jan 07 21:12:44 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Assign Innate constants into Ramaze module

[0b84f3d0 | Wed Jan 07 20:54:11 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove session stuff, handled by Innate now

[b3b7158a | Wed Jan 07 20:53:23 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove old error classes

[c2642e80 | Wed Jan 07 20:29:10 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Rename Ramaze::MemcachedCache to Ramaze::Cache::MemCache and adapt it to new API

[d36cff87 | Wed Jan 07 20:28:12 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Cache management is in Innate as well

[74ed774f | Wed Jan 07 20:27:59 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove caches present in Innate

[a9b1f587 | Wed Jan 07 19:15:17 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove old Controller code

[302f4143 | Wed Jan 07 19:03:21 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Helper::Partial moves to Innate

[7dc778cc | Wed Jan 07 11:08:46 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * We don't ship bacon

[a1cc8781 | Wed Jan 07 03:15:46 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Changed @routed (in Ramaze::Controller << self ) to be Thread.current[ :routed ]

    concurrent hits, the @routed variable would get shared among threads, leading
    to values that did not reflect reality.  This caused routing to fail about 1 to
    10 times per 10000 requests.
    
    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[e3df9f72 | Tue Jan 06 14:15:46 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Changed @routed (in Ramaze::Controller << self ) to be Thread.current[ :routed ]

    concurrent hits, the @routed variable would get shared among threads, leading
    to values that did not reflect reality.  This caused routing to fail about 1 to
    10 times per 10000 requests.

[a2989971 | Tue Jan 06 13:59:34 UTC 2009] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * More robust "create table" block for blog example and wikore example.



[f931e375 | Wed Jan 07 02:08:20 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Some changes to logging

[f12c80e4 | Mon Jan 05 22:23:52 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove Ramaze::Tool::MIME

[ebd59e98 | Mon Jan 05 22:22:50 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove Ramaze::Action

[c5671f52 | Mon Jan 05 22:21:29 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove Ramaze::Template

[88584470 | Mon Jan 05 22:20:25 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove Store::Default

[03f39af3 | Mon Jan 05 22:19:56 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove adapters

[8d2893d1 | Mon Jan 05 22:17:22 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Remove cruft and Dispatcher

[1e189b55 | Mon Jan 05 22:13:55 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Now with render_template

[0f82d64c | Mon Jan 05 21:25:54 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Use innates spec helper for now

[82b48cd2 | Mon Jan 05 21:25:35 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix RenderPartial

[aaf45ea9 | Mon Jan 05 21:25:14 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Use voodoo DEFAULT helper detection

[42d7c03f | Mon Jan 05 21:04:02 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add Nagoro::Pipe::RenderPartial and make pipes optional

[c22f6587 | Mon Jan 05 21:03:33 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Port render_partial

[e5ea6424 | Mon Jan 05 21:02:53 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * gestalt is in ramaze

[a4159a75 | Mon Jan 05 21:02:36 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Example for RenderPartial of nagoro

[265f4600 | Mon Jan 05 21:02:09 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Don't use mongrel in linking example

[3e8837b2 | Mon Jan 05 21:01:57 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Improve gestalt example

[ebbf47eb | Mon Jan 05 21:01:36 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Port the element example to nagoro

[a9543a92 | Mon Jan 05 20:10:54 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * adapt basic/linking example

[08280a47 | Mon Jan 05 20:09:39 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Fix templating engine lookup

[e4de1281 | Mon Jan 05 19:06:32 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Add a couple of engines and improve the others

[ffab0f36 | Mon Jan 05 18:16:04 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Move templating engines with dependencies from Innate to Ramaze

[ef8a665b | Sun Jan 04 11:25:07 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * First rough cut of Ramaze on Innate

[121f7be9 | Thu Jan 01 11:51:47 UTC 2009] Michael Fellinger <m.fellinger@gmail.com>

  * Use path_info instead of request_path

[46abb066 | Tue Dec 30 19:39:07 UTC 2008] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Adjusted post_install_message not to mention ramaze --create,

    Added rubyforge_project.

[e6334364 | Sat Dec 27 18:56:07 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Correct docs for Request#subset

[440f6ecf | Fri Dec 26 16:53:29 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Global.file_cache may now be a String to indicate where to cache actions

[440e7938 | Fri Dec 26 16:49:29 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Make inotify work consistently and without memory leaks

[42a7b04c | Wed Dec 24 23:37:15 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix gemspec

[3f75222d | Wed Dec 24 15:42:22 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Split watchers into separate files, only load what we need

[64d6b215 | Wed Dec 24 15:36:09 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Delegate cooldown to watchers

[21088c86 | Wed Dec 24 15:29:08 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Improve coding style of file_watcher

[135eebaa | Wed Dec 24 15:04:22 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add Helper::Bench

[48934a89 | Mon Dec 22 13:01:13 UTC 2008] Aki Reijonen <aki.reijonen@gmail.com>

  * update comments on Ramaze::Reloader

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[08d8923f | Mon Dec 22 12:43:23 UTC 2008] Aki Reijonen <aki.reijonen@gmail.com>

  * make InotifyFileWatcher work better

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[369b2158 | Mon Dec 22 11:52:36 UTC 2008] Aki Reijonen <aki.reijonen@gmail.com>

  * move FileWatchers from Ramaze to Ramaze::Reloader

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[eca26ad2 | Mon Dec 22 11:51:19 UTC 2008] Aki Reijonen <aki.reijonen@gmail.com>

  * preliminary version of InotifyFileWatcher for reloader

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[deddbfe6 | Mon Dec 22 11:28:12 UTC 2008] Aki Reijonen <aki.reijonen@gmail.com>

  * split reloader's file watcher to StatFileWatcher

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[bcde22a2 | Sat Dec 20 15:48:39 UTC 2008] Aki Reijonen <aki.reijonen@gmail.com>

  * fix a typo in comments at lib/ramaze/contrib/sequel/image.rb

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[5af75757 | Fri Dec 19 12:10:48 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix gemspec

[ce75e8e2 | Fri Dec 19 12:09:50 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Update gemspec for Version 2008.12

[f871f8a0 | Mon Dec 15 18:15:58 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix logic error in session

[5b665383 | Mon Dec 15 18:15:31 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * FileCache shouldn't be a singleton

[163684e6 | Mon Dec 15 17:53:46 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * A little bit better coding style for session

[0f04f649 | Mon Dec 15 17:53:24 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Move FileCache out of contrib into ramaze/cache/file, add autoload, unify style

[65bcc88d | Mon Dec 15 17:50:12 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Always persist session on access (quickfix)

[9bf573ae | Sun Dec 14 12:07:16 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Request#params should just use super

[31d96a4d | Sun Dec 14 12:06:14 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add some docs and an example of how to use ezamar RenderPartial

[b98f5ffc | Fri Dec 12 13:30:22 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Hardcode default redirect status, rack changed name

[31baec52 | Wed Dec 03 22:52:52 UTC 2008] Andreas Karlsson <andreas@proxel.se>

  * Fix for random overwrite of referrer in MockHTTP.

    This bug caused :referrer to be randomly over written by nil from not set
    :referer, or the other way round depending on order the hash was iterated
    over. As a side effect we also get rid of various HTTP_* set to null when
    missing from the query hash.
    
    Also fix incorrect indentation in the make_query function; tabs converted
    to spaces.

[f46f8663 | Mon Dec 01 23:41:14 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * proper gravatar escaping

[4d2d8360 | Sat Nov 29 16:41:11 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * docs and improvments for redirect_referrer

[4eb35843 | Sat Nov 29 16:40:54 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Docs for to_ivs

[76d560b3 | Sat Nov 29 14:18:08 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove another usage of String#/

[77e94034 | Fri Nov 28 23:45:49 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove blog.db

[4a6c90c9 | Mon Jun 16 22:14:45 UTC 2008] Riku Raisaenen <riku@helloit.fi>

  * Added documentation as well as I could, rdoc coverage up from 78 to 80 or so.

[ee1e340f | Thu Nov 27 20:17:02 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * more specific errors for Helper

[c7fb57b2 | Wed Dec 17 13:30:58 UTC 2008] Aman Gupta <aman@ramaze.net>

  * Fix Numeric#years

[612f37fc | Tue Dec 09 22:57:13 UTC 2008] Vincent Roy <VincentRoy8@gmail.com>

  * Change to File.join because String#/ is deprecated

    Signed-off-by: Michael Fellinger <m.fellinger@gmail.com>

[815975db | Wed Dec 03 22:52:52 UTC 2008] Andreas Karlsson <andreas@proxel.se>

  * Fix for random overwrite of referrer in MockHTTP.

    This bug caused :referrer to be randomly over written by nil from not set
    :referer, or the other way round depending on order the hash was iterated
    over. As a side effect we also get rid of various HTTP_* set to null when
    missing from the query hash.
    
    Also fix incorrect indentation in the make_query function; tabs converted
    to spaces.

[7e4fbbac | Mon Dec 01 23:41:14 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * proper gravatar escaping

[8910f172 | Sat Nov 29 16:41:11 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * docs and improvments for redirect_referrer

[2455cd27 | Sat Nov 29 16:40:54 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Docs for to_ivs

[e20ba118 | Sat Nov 29 14:18:08 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove another usage of String#/

[09e51c6d | Fri Nov 28 23:45:49 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove blog.db

[1d1e2267 | Mon Jun 16 22:14:45 UTC 2008] Riku Raisaenen <riku@helloit.fi>

  * Added documentation as well as I could, rdoc coverage up from 78 to 80 or so.

[6ab9064d | Thu Nov 27 20:17:02 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * more specific errors for Helper

[4909f018 | Tue Nov 25 14:41:56 UTC 2008] Clive Crous <clive@crous.co.za>

  * Add method handlers for fetching passwords in httpdigest helper, also optimized slightly and now validate opaque. Example updated to show more ways of using httpdigest including login form 'override'

[4a4da0bc | Fri Nov 21 09:57:05 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Don't map Controller to /

[da2ac82a | Thu Nov 20 14:14:45 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * More accurate warning for Helper::User if model has no class method ::authenticate

[f929291f | Thu Nov 20 14:14:14 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove further occurences of String#/

[cf94d60d | Sun Aug 24 22:29:24 UTC 2008] Colin Shea <colin@centuar.(none)>

  * Added JS Hack to rapaste: Double clicking on the box in a paste causes the line numbers to toggle visibility. This is *very* slow, due to the fact that jQuery has to toggle the visibility of each line number instead of a parent element.

[7fb99d37 | Mon Nov 17 13:33:56 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix docs for Helper::User

[e12ea277 | Mon Nov 17 13:33:43 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Give information about location where deprecated method is being used

[d88b0198 | Mon Nov 17 13:33:17 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Deprecate String#/ and Symbol#/ and remove most usage of it

[1dd272c8 | Mon Nov 17 13:31:30 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove specs for divide, move acquire spec to Ramaze

[8afb9c78 | Mon Nov 17 13:18:39 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Thread ID may be negative

[94d14f13 | Mon Nov 17 13:11:03 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove contrib/auto_params

[a6c24f7d | Sun Nov 16 18:58:30 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Deprecate Object#acquire and move to Ramaze::acquire

[f46ffc61 | Sun Nov 16 18:54:28 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove usage of acquire in proto

[3966362a | Thu Oct 30 11:07:33 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * call #to_hash on options passed to Ramaze.start

[c4e3be22 | Thu Nov 13 08:58:42 UTC 2008] Gavin Kistner <gavin@phrogz.net>

  * Create projects even when HOME environment variable not set (e.g. Windows)

[2f59f9af | Sun Nov 09 13:17:03 UTC 2008] Clive Crous <clive@crous.co.za>

  * Correct usage of uuid within httpdigest helper

[8bd44a85 | Fri Oct 31 15:08:17 UTC 2008] Andrew Farmer <xichekolas@gmail.com>

  * Arguments to an action were left out of the urls built by paginate helper.

[8dd792c4 | Wed Oct 29 10:02:04 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Version 2008.10

[be6e2326 | Thu Oct 16 23:15:02 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix localization

[17c819fb | Wed Oct 08 04:24:14 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Rescue in rapaste

[4313c83a | Sun Aug 10 09:59:42 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix port for serving rapaste

[70f4b7cf | Sun Oct 05 11:30:40 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Simplify Request#[]

[ed5b2e37 | Tue Sep 23 10:12:25 UTC 2008] Clive Crous <clive@crous.co.za>

  * add a logout method for forcing a user to re-login and allowed the ability to override the login failure response type (eg to a custom login page instead of unauthorized default)

[d967b0bc | Sun Sep 14 10:28:19 UTC 2008] Lars Olsson <lasso@lassoweb.se>

  * Signed-off-by: Lars Olsson <lasso@lassoweb.se>

    RotatingInformer is a new Logger class based on Informer that creates
    multiple logs based on time.

[4c6999a1 | Fri Sep 12 13:38:39 UTC 2008] Aman Gupta <aman@ramaze.net>

  * make tagcloud helper 1.8.6 compatible

[e714bce8 | Fri Sep 12 13:38:26 UTC 2008] Aman Gupta <aman@ramaze.net>

  * use metaprogramming instead of method_missing in OrderedSet

[bd417fc0 | Fri Sep 12 13:34:05 UTC 2008] Aman Gupta <aman@ramaze.net>

  * fix auto_params spec

[85724c13 | Fri Sep 12 05:46:16 UTC 2008] Keita Yamaguchi <keita.yamaguchi@gmail.com>

  * Fixed for 1.9 syntax

[6467d011 | Wed Sep 10 10:14:00 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Update ramaze.gemspec

[81ab66b8 | Wed Sep 10 10:13:02 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Update ramaze.gemspec

[c03b9432 | Wed Sep 10 10:12:22 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Update CHANGELOG

[8702e0f0 | Wed Sep 10 10:09:52 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Version 2008.09

[106b8a3c | Wed Sep 10 10:09:07 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Update ramaze.gemspec

[addf7677 | Sun Sep 07 18:43:29 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove warning on non-existing file in Reloader

[faea9db5 | Tue Sep 09 14:27:32 UTC 2008] Ryan Grove <ryan@wonko.com>

  * Remove unsuppressable debug message.

[1eae588f | Sat Aug 30 14:12:18 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix Response#body, Rack has Content-Length

[29f622d8 | Sat Aug 30 11:51:33 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove Symbol#to_proc, it's in 1.8.7 anyway

[59317d08 | Sat Aug 30 07:47:09 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Last remaining 'module Dispatcher'

[d6f71140 | Sat Aug 30 07:46:06 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix basic auth spec and use Response#write

[5e843f12 | Thu Aug 28 21:26:03 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Make Rake::Deflater not a default middleware

[27ec8809 | Wed Aug 27 21:45:41 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove check from Symbol#to_proc

[6a9196f9 | Wed Aug 27 17:59:53 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Ramaze::Current and Ramaze::Dispatcher middleware

      * Major refactor turning Ramaze into a fully middleware-based
        framework, this allows us to use just about any existing Rack
        middleware without patching.
      * Ramaze::Current and Ramaze::Dispatcher become classes

[f361811b | Thu Aug 28 15:25:59 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix `ramaze --console`

[dcecbc51 | Thu Aug 28 15:25:34 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Don't daemonize by default for bin/ramaze

[eec28065 | Wed Aug 27 17:55:21 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add __FILE__ to reloader files

[35300196 | Wed Aug 27 17:54:52 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Minor refactor of gzip_filter

[cdc32959 | Wed Aug 27 12:12:09 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Move STATUS_CODES into lib/ramaze.rb

[11931b76 | Wed Aug 27 12:11:31 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * OrderedSet::[] as alias to ::new

[3f1cc4f2 | Wed Aug 27 11:02:22 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Minor changes to gzip_filter

      * Document option setting
      * Enable gzip filter for text/.* to allow css/html/js

[cdd54eef | Wed Aug 27 08:04:32 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Force PATH expansion in ProjectCreator

[bf166301 | Mon Aug 25 21:42:37 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Use UltraViolet to highlight tutorial

      * There are several hacks used to achieve this, but the static html is
        now generated by Uv and you won't have to generate it yourself.
        Just see doc/tutorial/todolist.html for a visual treat.
      * Adds textpow syntax for ezamar, should also be usable for the people
        using textmate, someone should try it, i don't have TM.
      * Adds contrib/maruku_uv.rb - a monkeypatch to MaRuKu to make it use
        Uv instead of the syntax gem

[a65df718 | Mon Aug 25 20:24:16 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Update lib/proto

[f1c25013 | Mon Aug 25 20:23:24 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove rammit example

[bbfd05b0 | Sun Aug 24 14:34:08 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add ProjectCreator for `ramaze --create`

[d97d31f4 | Sat Aug 23 13:54:17 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add regression spec for tagcloud

[e9258f0d | Sat Aug 23 13:50:43 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Further changes to paginate helper

      * #navigation takes optional parameter to limit number of pages listed
      * @page is adjusted to ensure valid range

[414f352f | Sat Aug 23 13:50:19 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add tagcloud to Helper::Formatting

[29d7f72f | Thu Aug 21 11:21:39 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Paginate doesn't allow negative page number

[70b3bc11 | Thu Aug 21 11:16:05 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Paginate fix page number larger than max

[acc76de7 | Sat Aug 16 22:05:14 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Move extensions to ruby core into own module

       * Moved into Ramaze::CoreExtensions
       * Included into appropriate class on startup
       * Remove unused or broken snippets
       * Warn and don't extend on collision of method names
       * Move Kernel snippets that belong into Object into the correct place

[758142cc | Fri Aug 22 21:27:20 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove sourcereload.rb for good

[7fdcee99 | Mon Aug 18 17:13:40 UTC 2008] Cheah Chu Yeow <chuyeow@gmail.com>

  * Allow auto_link formatting helper to actually take a block argument as documented.

[0b431e97 | Tue Aug 12 19:54:15 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Pager obtains correct Action and calls @var.to_s

[7a562504 | Tue Aug 12 19:20:33 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Minor bugfix and lots of docs for paginate helper

[8ed72158 | Tue Aug 12 15:50:59 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove note of cropped_thumbnail

[0f33197b | Tue Aug 12 15:20:09 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Update ramaze.gemspec

[1f479c62 | Tue Aug 12 15:19:19 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Gemspec manifest sorted and exclude /tags file

[0dc2fedd | Tue Aug 12 15:12:04 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add release:gemspec-prepare task

      * Creates a new gemspec based on current repository

[2a74c0de | Tue Aug 12 14:58:03 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Update ramaze.gemspec

[1e68e135 | Tue Aug 12 14:48:31 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add contrib/sequel/form_field.rb

      * Simply generate one form field for a given model instance attribute.

[546ae809 | Tue Aug 12 14:47:54 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add contrib/sequel/relation.rb

      * Helps with your Relationship management

[28336967 | Tue Aug 12 14:47:28 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add contrib/sequel/create_join.rb

[f6eceaa0 | Tue Aug 12 14:47:05 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add contrib/sequel/image.rb

[5663881f | Tue Aug 12 14:44:19 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add Helper::Paginate and example

      * Paginates both Array and Sequel datasets

[f7e8c332 | Mon Aug 11 16:14:42 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Allow spec as value for Global.mode

[6fb2d0de | Mon Aug 11 14:58:23 UTC 2008] Clive Crous <clive@crous.co.za>

  * Set error_page due to expected 404 for missing actions

[08e29ffb | Sun Aug 10 18:46:19 UTC 2008] Clive Crous <clive@crous.co.za>

  * Minor grammatical correction within a comment.

[2ec0054a | Sun Aug 10 13:59:32 UTC 2008] Clive Crous <clive@crous.co.za>

  * Update gemspec to add missing files as detected by check_gemspec task

[e60f47b8 | Sun Aug 10 13:56:26 UTC 2008] Clive Crous <clive@crous.co.za>

  * Add a rake task `check_gemspec` for finding missing or extra files within the gemspec definition

[c5469350 | Sun Aug 10 13:16:19 UTC 2008] Clive Crous <clive@crous.co.za>

  * Add reloader.rb and state.rb to gemspec

[5ce8505e | Sun Aug 10 18:45:17 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add Session::Flash#(merge|merge!)

[2d2f3b53 | Sun Aug 10 18:24:42 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix wrong variable in ramaze/setup.rb

[1fa2e63f | Sun Aug 10 11:50:08 UTC 2008] Clive Crous <clive@crous.co.za>

  * Cleanup gemspec after Use Ramaze::STATE instead of Thread.current

[faa9fae6 | Sun Aug 10 17:03:34 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * RaPaste serves text/html with id.html | html/id

[b8da247c | Sun Aug 10 16:02:42 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove trailing useless slash

[1fb806a2 | Sun Aug 10 15:58:01 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Point to github from sourceview

[dabc5b8f | Sun Aug 10 10:08:45 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Use Ramaze::STATE instead of Thread.current

      * Assign value by STATE[key] = value
      * Retrieve value by STATE[key]
      * Check for key by STATE.key?(key)

[5c1192fc | Sun Aug 10 09:32:24 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Introduce Ramaze::State | Ramaze::Fiber | Fiber

      * This should provide a mostly compatible way to do fibers on 1.9 and
        1.8, but still relies on Thread on 1.8.

[4a123552 | Sun Aug 10 01:05:52 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Reloader::Log instead of Ramaze::Log

[5102a73c | Sun Aug 10 00:59:42 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix specs regarding error status.

[88441a48 | Sun Aug 10 00:36:36 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix custom error pages.

      * To get racks error pages now set Global.error_page = false

[8241a31a | Sun Aug 10 00:22:55 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Minor change for rtags support, no 'alias :b :a'

[60319657 | Sat Aug 09 17:38:37 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add Ramaze::Reloader and Global.middleware = true

      * Global.middleware is now true by default:
        * Don't pull yet if you need custom error pages!
        * Error pages are handled by Rack::ShowExceptions
    
      * Add Ramaze::Reloader:
        * Implemented as Rack middleware
        * Reloads only on requests, keeps your CPU at 0
        * Reloader::OPTIONS[:thread] = true will use an exclusive thread for
          reloading, by default no threads are used.
        * Reloader::OPTIONS[:control] allows you to hook into #call and use
          your own way to run #cycle, useful for EventMachine
        * Reloader::OPTIONS[:cooldown] is set by Global.sourcereload, same
          behaviour as before
        * Only one stat(2) per path, lower disk usage
        * Can still be used independent of Ramaze as no traits or ramazisms
          are used

[d345e505 | Sat Aug 09 15:34:51 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix some docs in Adapter::Base

[e31fdb25 | Fri Aug 01 13:34:42 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add Helper::Ultraviolet

[9dd7de92 | Fri Aug 01 12:59:03 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add gem task and set default task to spec

[97fb8c7f | Fri Aug 01 12:23:21 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Gestalt builds an Array and joins at the end

[1e803301 | Fri Aug 01 12:22:30 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix file list in gemspec

[c82a5403 | Fri Aug 01 12:22:15 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Bump Version to 2008.08

[fe3235f5 | Fri Aug 01 12:21:09 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add Tool::MIME::ext_for(mime)

[480a70f3 | Tue Aug 05 23:18:28 UTC 2008] Andrew Farmer <xichekolas@gmail.com>

  * Fixed bug where index actions with arguments were improperly file-cached, and added specs to test.

[5ee03fff | Wed Jul 30 17:32:29 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Controller::view_root at old state, unbreak specs

[6b13b546 | Wed Jul 30 08:02:41 UTC 2008] Sam Carr <samcarr@gmail.com>

  * Improve action method resolving with respect to Helper::LOOKUP.

    Now the action method resolving only considers helper methods where the helper is in Helper::LOOKUP and is included by the controller in question. Previously all methods of all helpers in Helper::LOOKUP were deemed to be available on all controllers whether they included the helpers or not, which was wrong.

[6e5ead99 | Tue Jul 29 11:09:17 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Subclass Helper::User::Wrapper from BlankSlate

[5da248dc | Tue Jul 29 11:04:28 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix missing Controller::view_root when unrouted

      * This occured when you haven't been on the target controller yet.
        For example right after startup trying to MainController obtain
        FooController.view_root will return nil although when visiting
        FooController before the routing would set a default.
      * The default is now set directly in Controller::view_root

[72b06693 | Tue Jul 29 08:19:44 UTC 2008] Clive Crous <clive@crous.co.za>

  * Include thread helper in gemspec

[49660cea | Mon Jul 28 14:26:16 UTC 2008] Clive Crous <clive@crous.co.za>

  * Clarify exception rescue code within thread helper

[24cf2d96 | Mon Jul 28 14:17:01 UTC 2008] Clive Crous <clive@crous.co.za>

  * Add a thread helper for cleaner thread exceptions

[28f90e25 | Thu Jun 19 12:42:44 UTC 2008] Sam Carr <samcarr@gmail.com>

  * Updates Memcached comments to recognise why get_multi may not be available.

[8ebf919d | Mon Jul 21 08:23:30 UTC 2008] Sam Carr <samcarr@gmail.com>

  * Allow controller subclasses to pick up template mappings defined in superclasses.

    I noticed that if I define a template mapping with the template method, subclasses of the defining controller do not respect that mapping. This only really applies to the template :foo, :bar usage, where no explicit controller is specified. With these modifications, template mappings such as that will assume you mean the 'current' controller. Specs have been added to test this new functionality.

[155b9a4f | Mon Jul 21 16:28:45 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Update announcement for 2008.07 (partial)

[53c79472 | Mon Jul 21 16:27:46 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Only escape # with h() where needed

[f89652a9 | Mon Jul 21 16:27:03 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * More info on problems in Helper::User

[5497329e | Mon Jul 21 16:26:15 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Controller::map(nil) shouldn't map to ''

[922f993b | Fri Jul 04 19:51:11 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add Ramaze::Template::Maruku

[ae6a3afe | Fri Jul 04 19:50:38 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add Helper::Formatting::obfuscate_email

[ff5343a8 | Sun Jul 20 14:32:36 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Slight reformat of Request#ip method

[959ff55e | Thu Jul 17 09:13:18 UTC 2008] Matt Rubens <mrubens@goldencookie.localdomain>

  * Request#ip always returns last ip in X_FORWARDED_FOR

[8499c05d | Thu Jul 10 14:27:54 UTC 2008] Aman Gupta <aman@ramaze.net>

  * Oops, non-existant file in gemspec

[a3cc3396 | Thu Jul 10 14:24:33 UTC 2008] Aman Gupta <aman@ramaze.net>

  * Fix rake release:nightly

[1a9031d4 | Thu Jul 10 14:17:35 UTC 2008] Aman Gupta <aman@ramaze.net>

  * Fix release:gemspec task

[4514a5f8 | Thu Jul 10 14:17:09 UTC 2008] Aman Gupta <aman@ramaze.net>

  * Update ramaze.gemspec

[e3c4beec | Thu Jul 10 14:13:38 UTC 2008] Aman Gupta <aman@ramaze.net>

  * Use Ramaze::Rewrite in contrib/rest

[73cade77 | Wed Jul 09 00:15:32 UTC 2008] Aman Gupta <aman@ramaze.net>

  * Fix spec failure in SourceReload::shutdown

[07c3b955 | Tue Jul 08 14:04:53 UTC 2008] Aman Gupta <aman@ramaze.net>

  * start SourceReload via essentials (instead on 'require ramaze')

[c671b8cc | Thu Jul 03 21:31:05 UTC 2008] Jonathan Buch <jonathan.buch@gmail.com>

  * Don't reuse the Adapter alias for requireing adapter files



[8ebe6e36 | Mon Jun 30 13:48:08 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Some minor whitespace fix

[8fde4e2a | Mon Jun 30 13:47:50 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix faulty rewrite by Global.prefix

[f0d2a7cf | Mon Jun 30 13:47:15 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * to_s before Rack::Utils::unescape

[abfd86f6 | Mon Jun 30 13:46:48 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Don't expect 303 but 302 for redirect in specs

[557c0162 | Fri Jun 27 09:08:38 UTC 2008] Rob Lievaart <rob@rebeltechnologies.nl>

  * Update ramaze syslog support, the old version did not work(anymore?). I modified the interface to use the Logging module and I updated the syslog spec file to test the syslog support.

[029b39ae | Wed Jun 25 19:17:54 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Adding Global.prefix for nested app deployment

      * Global.prefix is by default '/'
      * Global.prefix = '/app' would strip '/app' from incoming
        requests and prefix it when using R/A/Rs from Helper::Link

[f39700b2 | Wed Jun 25 14:22:00 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Ramaze::Gestalt gets nicer example

[734bd65e | Tue Jun 24 08:35:17 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Correct license in doc/LEGAL

[19210b28 | Sun Jun 22 22:28:54 UTC 2008] Aman Gupta <aman@ramaze.net>

  * Add adapter to logger output

[16065e9e | Sun Jun 22 22:18:54 UTC 2008] Aman Gupta <aman@ramaze.net>

  * Switch contrib/gems to use Gem::DependencyInstaller

[9578d8bb | Sat Jun 21 10:57:11 UTC 2008] James Tucker <jftucker@gmail.com>

  * Corrected remaining Ramaze::Informer calls. dispatch.fgci and win32 may now work!

[028a50cd | Thu Jun 19 06:17:02 UTC 2008] Jean-Francois Chevrette <jfchevrette@iweb.ca>

  * fixing the console feature that was accidentally dropped in 2008.06

[827cce9f | Thu Jun 19 15:07:45 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Further usage of Rack::Utils

[6bc1d953 | Wed Jun 18 22:32:34 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Use Rack::Util for escape_html

[17473d23 | Wed Jun 18 22:29:57 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Use Rack::Utils for escape/unescape

[e8bc3b65 | Wed Jun 18 13:15:21 UTC 2008] Sam Carr <samcarr@gmail.com>

  * Fix to Cache so it doesn't add methods to Class itself.

[d917b6f3 | Wed Jun 18 14:54:19 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Ability to deprecate constants by const_missing

[df356621 | Tue Jun 17 13:55:19 UTC 2008] Aman Gupta <aman@ramaze.net>

  * send 302 instead of 303 (for better compatibility with older browsers) in RedirectHelper

[287516d0 | Mon Jun 16 23:30:44 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Revert "Remove vendor/bacon.rb"

    This reverts commit a184f71c34e2a0d3f01d9728622aba7cc3d097fe.

[cb4a7dc4 | Fri Jun 13 22:08:12 UTC 2008] Wang, Jinjing <nfjinjing@gmail.com>

  * remove custom hacks..

[05d7211d | Fri Jun 06 14:42:02 UTC 2008] Wang, Jinjing <nfjinjing@gmail.com>

  * em hack

[235d29eb | Sun Jun 15 11:08:28 UTC 2008] Clinton R. Nixon <clinton.nixon@viget.com>

  * temp fix for Passenger - remember to replace with manveru's eventual fix

[e0b938be | Fri Jun 13 13:45:05 UTC 2008] Clinton R. Nixon <clinton.nixon@viget.com>

  * Added ability to fake out PUT and DELETE through POST and a hidden 'method' variable in contrib/rest.rb

[c73feefa | Fri Jun 13 13:44:25 UTC 2008] Clinton R. Nixon <clinton.nixon@viget.com>

  * Fixed symbol.downcase bug in helpers/rest.rb

[3ebec692 | Mon Jun 16 10:37:45 UTC 2008] Yasushi Abe <yasushi.abe@gmail.com>

  * Fix Global.server==nil on Cgi adapter.

[2b6d1de4 | Mon Jun 16 20:25:56 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix rake maintenance:undocumented dependencies

[a1c0c3c4 | Sun Jun 15 09:23:17 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Speed up and simplify Binding::locals

[011b6810 | Fri Jun 13 22:08:12 UTC 2008] Wang, Jinjing <nfjinjing@gmail.com>

  * remove custom hacks..

[f27affc0 | Fri Jun 13 21:32:25 UTC 2008] Wang, Jinjing <nfjinjing@gmail.com>

  * Fix: binding.locals on Ruby1.9, add a small spec for locals, and make haml tempalte spec pass

[e73a1088 | Fri Jun 06 14:42:02 UTC 2008] Wang, Jinjing <nfjinjing@gmail.com>

  * em hack

[ff63fcb1 | Sun Jun 15 14:14:36 UTC 2008] Aman Gupta <aman@ramaze.net>

  * add simple numeric time extensions

[3dee5a0a | Sat Jun 14 16:11:50 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix whitespace in simple example

[32a57700 | Sat Jun 14 14:17:45 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Denormalize Controller::resolve_method

[5167de5c | Sat Jun 14 14:16:34 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Reindent Controller::template

[0e1bca84 | Sat Jun 14 14:03:33 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix syntax ambiguity in wikore model

[6c37b065 | Sat Jun 14 14:01:42 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix syntax ambiguity in template/xslt

[cb0054d0 | Sat Jun 14 14:00:04 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Adding metric task metric:churn

[8a0d7e71 | Fri Jun 13 15:38:48 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Put loggers into the Ramaze::Logger namespace

[2fb13c80 | Fri Jun 13 15:29:01 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix db for wikore

[146fda6e | Fri Jun 13 15:25:44 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Tutorial should use h instead of c

[73cc2c88 | Fri Jun 13 15:25:24 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix db for rapaste

[714df4b8 | Fri Jun 13 15:23:03 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix auto_params for new ruby2ruby/parsetree

[de8bea7e | Fri Jun 13 14:43:15 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove deprecated methods

[fdf7f79c | Thu Jun 12 15:49:43 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add String#end_with? / improve String#start_with?

[aa73627e | Thu Jun 12 12:24:27 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Change some dbs to Sequel.connect

[5b55be13 | Thu Jun 12 12:23:28 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Ramaze.start! instead of :force in start.ru

[971ca18c | Wed Jun 11 06:27:19 UTC 2008] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * Tiny wording change in announcement header info; whitespace adjustment.

[8bf9de58 | Wed Jun 11 15:26:49 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Update ramaze.gemspec

[b6aa74e1 | Wed Jun 11 15:26:26 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add new gemspec task

[4357eeed | Wed Jun 11 15:25:37 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Update ramaze.gemspec

[528a0132 | Wed Jun 11 14:54:36 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Update CHANGELOG

[0513aa24 | Wed Jun 11 14:54:16 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Version 2008.06

[71287c79 | Wed Jun 11 14:51:11 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Update rake tasks experimentally

[3181d68c | Wed Jun 11 14:50:55 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * jQuery 1.2.6

[1893a8ce | Wed Jun 11 14:49:59 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Update announcement

[5d808732 | Wed Jun 11 14:49:20 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Small updates to readme

[2238f4dd | Wed Jun 11 04:21:53 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Update announcement

[ecf37f4a | Tue Jun 10 18:10:50 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Tons of updates to rake tasks, needs further work.

[80db14cf | Tue Jun 10 10:40:32 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove epoll again

[6e5faa13 | Mon Jun 09 18:22:44 UTC 2008] Aman Gupta <aman@ramaze.net>

  * Fix Adapter.before + spec

[6a2c0bac | Mon Jun 09 19:23:54 UTC 2008] Riku Raisaenen <riku@helloit.fi>

  * examples/sequel_scaffolding.rb: Added MainController for guidance. Reloading no longer tries to create database twice.

[3bde0b2b | Mon Jun 09 12:52:08 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Activate epoll for thin

[e0cbfa67 | Mon Jun 09 12:50:57 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Avoid segfaults on 1.8.7 due to File.expand_path

[dbf039e2 | Mon Jun 09 11:46:57 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Setup exit! trap on exit trap

[448e9828 | Mon Jun 09 11:22:50 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * SourceReload stops on Global.sourcereload = false

[a467d765 | Sat Jun 07 23:22:58 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * More cleanup regarding darcs

[5ad56281 | Sat Jun 07 23:16:58 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove darcs.rake

[a184f71c | Sat Jun 07 23:13:40 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove vendor/bacon.rb

[78f0bdb0 | Sat Jun 07 23:01:25 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove useless ProjectInfo

[626950df | Sat Jun 07 22:57:17 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove useless testdoc task

[be419fce | Fri Jun 06 07:45:26 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Make sure separate thread is spawn for requests

[763785a4 | Thu Jun 05 13:55:42 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Give Helper::Stack#answer optional argument

[b08010dc | Wed Jun 04 17:43:56 UTC 2008] James Tucker <jftucker@gmail.com>

  * * Corrected Informer constant location



[131fc886 | Tue Jun 03 23:57:03 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * SourceReload startup log should use dev

[76f0aeab | Tue Jun 03 17:29:29 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Set openid results directly in the session

      * We are setting duplicate values now in the session, once in the
        session[:openid] hash, but also directly, so access without hitting
        nil is easier
      * session[:openid_identity]
      * session[:openid_sreg]

[718a06d5 | Tue Jun 03 17:18:33 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix Helper::Identity, session[:openid] may be nil

[d0d0d404 | Tue Jun 03 12:53:06 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Don't log dynamic boring actions

[55085a8e | Mon Jun 02 15:34:22 UTC 2008] Aman Gupta <aman@ramaze.net>

  * Reset Gem.path before each Gem.activate

[5f5f081f | Mon Jun 02 13:30:50 UTC 2008] Aman Gupta <aman@ramaze.net>

  * add support for Ramaze::Gems.setup :docs => false, :install_dir => __DIR__/:local_gems

[644dd4d1 | Mon Jun 02 22:12:08 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove not needed skip_start from proto

[2f13189f | Mon Jun 02 21:54:48 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Introduce Ramaze.trait[:started]

      * Use Ramaze.skip_start to skip all subsequent starts by indicating
        ramaze has been started already or will be invoked by you on demand
        with Ramaze.start!

[2a0b717a | Mon Jun 02 21:54:01 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix a couple of specs

[0936c4cb | Mon Jun 02 12:04:37 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Put the spec ramaze method in Bacon::Context

[2a611f47 | Sun Jun 01 14:22:59 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Update tutorial to use syntax highlighting

[dfd95012 | Sun Jun 01 14:15:39 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Adding css_for/js_for in Helper::XHTML

[3cce1882 | Sun Jun 01 12:58:57 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Some Reformatting for helper/identity

[e6914cea | Sun Jun 01 03:49:25 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Adjust Thread priority / fix sourcereload restart

[83ecb929 | Sun Jun 01 02:55:15 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Uniq paths/files before reload iteration

[ce190eec | Sun Jun 01 02:54:34 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Allow on-the-fly setting Global.sourcereload

      * Added SourceReload.restart and shutdown
        Setting Global.sourcereload to another value will initiate a restart
        that will change the interval.

[71d79bed | Sun Jun 01 02:05:12 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Rewrite of SourceReload for 1.8.7

      * In essence, we're doing less computation by using a block and break
        once we find a valid path, we use less memory.
      * It also seems like the File.expand_path shows horrible performance
        inside the Thread on 1.8.7, so we remove it. Anything that's an
        existing file will be found this way as well.

[b480a8af | Fri May 30 13:11:26 UTC 2008] Aman Gupta <aman@ramaze.net>

  * Prevent exit after successful gem install using Ramaze::Gems

[97d7f6ce | Thu May 29 22:28:12 UTC 2008] Pistos <gitsomegrace.5.pistos@geoshell.com>

  * More verbose error logging on SMTP errors in EmailHelper.

[66931e1c | Thu May 29 21:11:14 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix fallback and escaping for Helper::Gravatar

[6b24e800 | Thu May 29 10:14:57 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Helper should CamelCase helper names before lookup

      * For SimpleCaptcha, 'helper :simple_captcha' will search for
        'SimpleCaptcha' constant

[f793fbb7 | Thu May 29 10:13:38 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add Helper::SimpleCaptcha

      * for now see the example as documentation will add rdocs in a bit

[d262a476 | Wed May 28 14:47:30 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * SourceReload startup is now faster.

[e5f2ba08 | Wed May 28 12:13:35 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Adding gravatar helper

[acc7ec5f | Tue May 27 09:22:21 UTC 2008] Clive Crous <clive@crous.co.za>

  * Everything logging is now within a namespace.



[fb9e6209 | Tue May 27 11:37:05 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove warning about aspect performance

[cce7d50b | Sun May 25 15:50:11 UTC 2008] Sam Carr <samcarr@gmail.com>

  * render_partial now sets request params with string keys, even if symbols were used.

    This ensures that when a user passes an options hash to render_partial, even if they use symbols as keys, they can still get at those values with request[:foo]. This is necesary because request[] converts the given key to string and then performs lookup, so any items added to request.params with symbol keys will not be found by request[]. Specs have been updated to test request param passing with render_partial, which wasn't tested at all previously.

[e4f24cb7 | Mon May 26 23:01:56 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Refactor of Helper::User

[6d2730d8 | Mon May 26 22:57:23 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Refactor of Helper::Flash#flashbox

      * Supports arrays values, spawns a new box for every value
      * trait[:tag] is now trait[:flashbox]

[07f8ee7c | Mon May 26 14:53:28 UTC 2008] Clive Crous <clive@crous.co.za>

  * Log a warning about Xosd's known broken status

[32abefb6 | Sun May 25 21:47:43 UTC 2008] Wang, Jinjing <nfjinjing@gmail.com>

  * Fix: memcached to work under Ruby1.9

[be2cb7ed | Sun May 25 22:46:17 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Make Global.cache the default fallback

[4aff70c3 | Sat May 24 15:54:42 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Small improvments for Helper::User

[7d955f9b | Fri May 23 09:50:17 UTC 2008] Aman Gupta <aman@ramaze.net>

  * Fixes for Sequel deprecations

[0638d0f1 | Fri May 23 17:02:31 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Builder spec shouldn't rely on hash order

[989e4ac5 | Fri May 23 14:02:31 UTC 2008] Wang, Jinjing <nfjinjing@gmail.com>

  * Remove: change in ezamar/engine

[2d97e9e2 | Fri May 23 13:43:24 UTC 2008] Wang, Jinjing <nfjinjing@gmail.com>

  * proper use of proc for Ruby 1.9/1.8.7

[e6f12d9b | Fri May 23 02:19:00 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix `ramaze --daemonize`

[358f07ed | Fri May 23 02:17:59 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix options with choice in Option::Merger

[5b32b1e5 | Thu May 22 18:10:45 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Adding Helper::XHTML

[e83f4494 | Thu May 22 09:17:27 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Minor improvments for Gestalt

[9bd166ca | Thu May 22 09:16:48 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix REXML helpers in spec/helper

[af729179 | Thu May 22 09:16:30 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove some whitespace from option.rb

[14f65763 | Thu May 22 09:15:18 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Adding basic/gestalt example and Helper::Gestalt

[0af7f1bb | Thu May 22 09:12:01 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * ::shutdown for Thin is useless, we do that already

[2bd48850 | Thu May 22 00:58:27 UTC 2008] Wang, Jinjing <nfjinjing@gmail.com>

  * Fix ezamar for Ruby 1.9

[321ad14d | Mon May 19 16:33:39 UTC 2008] Sam Carr <samcarr@gmail.com>

  * Improved algorithm for finding matching patterns for a given path. Simpler and faster.

[8defc399 | Mon May 19 09:25:09 UTC 2008] Ryan Grove <ryan@wonko.com>

  * s/gitweb/github/

[e91482ae | Mon May 19 20:54:21 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Sourcereload shouldn't flood on load error

[e89cf796 | Mon May 19 10:51:02 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Extend installation instructions for RUBYLIB

[c3e3d49a | Mon May 19 10:43:23 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Make git address change permanent

[429257d9 | Mon May 19 09:23:28 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Enable ruby syntax highlighting for tutorial.

[dfba4510 | Sun May 18 13:36:40 UTC 2008] Ryan Grove <ryan@wonko.com>

  * Fix incorrect git clone URL in README.

[73366d14 | Sun May 18 09:17:43 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Maruku for todolist, less effort, better result

[c7c76220 | Sat May 17 12:59:58 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Don't call listen, it's doing respond now

[927a641e | Sat May 17 12:52:28 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix message handling in chat example

[e8127d65 | Fri May 16 19:01:24 UTC 2008] Ryan Grove <ryan@wonko.com>

  * Clean up the Chat example a bit (mostly JS and CSS).

[8c43866f | Fri May 16 17:31:01 UTC 2008] Ryan Grove <ryan@wonko.com>

  * Fix Thin adapter.

[b21b46f9 | Fri May 16 16:47:49 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Refactor Adapter, simplify the thread mess.

      * start_server(host, port) is now startup(host, port).
        deprecated notice is in place.
      * startup has to return the thread it starts, this is assigned to the
        @thread class instance variable
      * In case you want to access the server object later, assign it to
        @server, that can be used to implement the new ::shutdown method to
        ensure graceful shutdown for most servers.
      * Graceful shutdown is now in place for all mongrel based servers.
      * Adapter::Fake got its own file now.

[73cadb1e | Fri May 16 15:04:24 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Refactor of Ramaze::shutdown and SIG trap

[9710bb48 | Fri May 16 14:39:21 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Update README installing instructions

[6dd1da22 | Fri May 16 14:31:45 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Proper cleanup of wiktacular

[5d551eac | Fri May 16 14:27:57 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Small update to meta/configuration

[2c8fc2b3 | Fri May 16 14:27:43 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove usless migration information

[0852e041 | Fri May 16 10:24:38 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Improve installing instructions with more git tips

      * Copy the installing chunk to doc/INSTALL
      * Better formatted markdown
      * Split steps into smaller units

[5d35a310 | Fri May 16 09:54:33 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Reorganize examples directory into sections

      * examples/app       = full application examples
      * examples/basic     = basic usage
      * examples/helpers   = usage of helpers
      * examples/misc      = cooperation with libs or random stuff
      * examples/templates = templating engine examples

[8590e4e3 | Fri May 16 09:05:46 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add example of element usage in Nagoro

[e438c914 | Fri May 16 09:03:30 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Struct#values_at should take range argument.

[e00e19ad | Thu May 15 09:00:14 UTC 2008] Clive Crous <clive@crous.co.za>

  * Style updates for httpdigest example following the changes made to the helper.

[1eccbef5 | Thu May 15 08:59:43 UTC 2008] Clive Crous <clive@crous.co.za>

  * Correct typo and small error introduced by style changes

[92dffd59 | Thu May 15 15:38:08 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Use ff=unix instead of ff=dos

[fc81b0b0 | Thu May 15 15:37:41 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * A couple of style changes to helper/httpdigest

[8fa5be79 | Thu May 15 08:14:53 UTC 2008] Clive Crous <clive@crous.co.za>

  * Cleanup digest auth parameter parsing by using Rack helpers

[6c41269a | Thu May 15 15:09:07 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix `rake gem`, README had moved to other location

[1842dae6 | Thu May 15 14:33:32 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove duplicate zenix

[82e26f09 | Thu May 15 12:06:58 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix gemspec task, s.files was missing

[4e419f7a | Wed May 14 23:31:52 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove useless escapes in install instructions

[d9c44a07 | Wed May 14 23:25:23 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Update installing instructions with proper format

[c7e37c80 | Wed May 14 23:17:03 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Update readme generation and use README.markdown

[7af72693 | Wed May 14 23:31:52 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove useless escapes in install instructions

[d323176f | Wed May 14 23:25:23 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Update installing instructions with proper format

[4e430e9d | Wed May 14 23:17:03 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Update readme generation and use README.markdown

[b78dd37c | Wed May 14 11:35:42 UTC 2008] Clive Crous <clive@crous.co.za>

  * Move requires to a saner location

[8c7b8784 | Wed May 14 14:43:17 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Update of tasks related to doc/AUTHORS for git

      * Take into account the old authors from doc/AUTHORS
        when generating a new list
      * Fix `rake patchsize`
      * Fix `rake patchstat`

[f7cc9150 | Wed May 14 12:01:10 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add lib/ramaze/setup.rb for discussion.

[7da3b054 | Wed May 14 11:56:37 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Refactor examples/chat a little

[ec795b98 | Wed May 14 07:32:42 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Update docs for tool/localize

[4aeca5bd | Mon May 12 19:48:03 UTC 2008] Ryan Grove <ryan@wonko.com>

  * When Global.compile == true, only cache actual templates, not the output of templateless actions.

[60e9d18c | Mon May 12 19:23:36 UTC 2008] Ryan Grove <ryan@wonko.com>

  * Use MemoryCache as the default when no cache_alternative is specified to avoid creating duplicate cache entries.

[08335a7f | Tue May 13 05:25:14 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add contrib/gems.rb for super easy dependencies

[f20b6463 | Mon May 12 22:06:30 UTC 2008] Clive Crous <clive@crous.co.za>

  * Cleanup and optimize the httpdigest helper code

[5ad727f2 | Mon May 12 21:23:44 UTC 2008] Clive Crous <clive@crous.co.za>

  * Use private instead of protected

[ab21d200 | Mon May 12 21:22:54 UTC 2008] Clive Crous <clive@crous.co.za>

  * Remove LOOKUP usage

[3c997dde | Tue May 13 00:56:56 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add spec for request query fix

[0cc9b9f6 | Tue May 13 00:52:47 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix '/?a=b&a[c]=d' style nested request query.

[96c13629 | Tue May 13 00:13:50 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Adding git:commit task, runs specs before commit

[6cff6c68 | Mon May 12 11:23:07 UTC 2008] Clive Crous <clive@crous.co.za>

  * helper block now returns HA1 to allow for storage of encrypted passwords.



[9fef90e2 | Mon May 12 17:29:11 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add a nice little chat example.

      * Needs some JS guru to help with nicer scrolling.
      * Should escape text on submit properly.
      * Maybe use JSON to make the API more general.
      * Create multiple histories for more channels.

[f4aa541e | Mon May 12 08:58:31 UTC 2008] Clive Crous <clive@crous.co.za>

  * Add httpdigest (authentication) helper with an example.

[a67e74c0 | Mon May 12 15:15:34 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add Global.middleware to inject Rack middleware

      * By default false until we can decide.
      * Adds Ramaze::Adapter::MIDDLEWARE that injects Rack middleware into
        the Adapter::Base::call
      * Currently invokes (in this order):
          Rack::ShowException,
          Rack::ShowStatus,
          Ramaze::Current
      * Lets errors propagate down to the middleware level so Rack can
        handle them with its nice error pages.
      * At the moment no ramaze way to modify this errorpage, one would have
        to write another middleware, maybe change Ramaze::Controller#error
        and Co to do that?

[1197ce8a | Mon May 12 12:42:03 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Correct indentation of comment in Helper::Formatting

[aa093b51 | Mon May 12 12:41:37 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add ordinal method to Helper::Formatting

[3bc6febb | Sun May 11 10:34:58 UTC 2008] James Tucker <jftucker@gmail.com>

  * * Made the rackup file executable through rackup

[fed0f779 | Sun May 11 18:21:48 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Add some description in the .ru what rackup is about

[9b58b402 | Sat May 10 12:37:19 UTC 2008] Ryan Grove <ryan@wonko.com>

  * Deprecate String#escape(:sql). The SQL escaping provided by this method is unsafe and should not be used.

[e78fa133 | Sat May 10 22:29:24 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Localization example and small localize refactor

[ccedd589 | Sat May 10 22:16:10 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Improve tool/localize

    * Accept lambda as trait :file
    * Accept Regexp as keys in trait :mapping hash
    * Simplify some regions and reduce trait lookups in methods

[fe55f5c9 | Sat May 10 17:51:54 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Deprecation warning for Helper::CGI#c

[a50668b7 | Sat May 10 09:10:42 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Adding a ramaze.gemspec

[de363b2a | Fri May 09 14:28:12 UTC 2008] Aman Gupta <aman@ramaze.net>

  * Ramaze::Rewrite can be used to route to files + specs

[e1efd3d2 | Fri May 09 10:23:48 UTC 2008] Aman Gupta <aman@ramaze.net>

  * Adapter::Base#before_call must take env argument

[4be54388 | Fri May 09 11:38:16 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Implementing the Adapter::Base::before hook

    * You can use it to avoid using the whole ramaze stack for quick responses

[609b8001 | Thu May 08 18:23:13 UTC 2008] Ryan Grove <ryan@wonko.com>

  * Remove a few lingering darcs-backup files.

[0b68ee3c | Fri May 09 09:40:01 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Move the /doc/README into /README so it shows up on the github page, update references.

[3ccee10e | Fri May 09 08:30:05 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Oops, there was a file left in the repo that got caught by the conversion script, remove that.

[c63b1b0a | Thu May 08 19:45:00 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove redundant if clause and add extra comments in file dispatcher.

    darcs-hash:20080508214553-a353d-9df2b558facb654c1fa42e36bbce1c6d14c42612.gz

[5564045e | Mon May 05 20:02:00 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Adding Ramaze::Helper::PATH, unshift your directories to have it look for helpers on the paths

    darcs-hash:20080505220204-cbc08-1b4a3293e9a668d61c24f96fa390b61b2ecb4605.gz

[7f73be54 | Sun May 04 21:51:00 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove cookie_secret until we need it

    darcs-hash:20080504235120-cbc08-fef7f01161c748760de09589b9c0fa961ea1783c.gz

[05fdee81 | Sun May 04 18:09:00 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove cookie secret code until we have new session implementation

    darcs-hash:20080504200927-cbc08-7c11d43f7838a3353c3f796018c07f0e9badd402.gz

[4011555f | Sun May 04 20:20:00 UTC 2008] Ryan Grove <ryan@wonko.com>

  * Fix my last patch.

    darcs-hash:20080504222008-04984-f1efc8e86da78be18c4b2cf0ff251553ee2835a6.gz

[bd46524a | Sun May 04 17:44:00 UTC 2008] Ryan Grove <ryan@wonko.com>

  * Display a warning instead of crashing when cookie secret file can't be written on startup.

    darcs-hash:20080504194408-04984-55eeed0850ea390980bfad09a511d32926b3f5f3.gz

[b78feeb9 | Sun Apr 06 19:14:00 UTC 2008] Jonathan Buch <jonathan.buch@gmail.com>

  * Add rewrites (routes before action resolving)

    darcs-hash:20080406211402-2c51e-933b2f59bcdf7a367e3acca533bfda9207848555.gz

[39faba15 | Sun Apr 06 19:08:00 UTC 2008] Jonathan Buch <jonathan.buch@gmail.com>

  * don't automap anonymous classes

    darcs-hash:20080406210801-2c51e-60121f22f2b7fe95b515a19aaf181828d2da59a7.gz

[782ee5b2 | Sat May 03 18:55:00 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Fix bin/ramaze to work with additions again

    darcs-hash:20080503205508-cbc08-4fb60aabfcde147d5da5b3064f86b0b01b7d0052.gz

[35fda8c6 | Sat May 03 15:06:00 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove cruft from option/holder.rb

    darcs-hash:20080503170640-cbc08-237f8e1f763bfabf2afcda41eb60ff9fbb682a60.gz

[b7445d4a | Sat May 03 15:01:00 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Adding Global#cookie_secret and Global#cookie_secret_file, this moves Session#random_key to Session::random_key

    darcs-hash:20080503170115-cbc08-4178961d5736c061a46cf4343f85872d9ec3b05c.gz

[80c3c0c0 | Sat May 03 12:11:00 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Make Ramaze run on Rubinius

    darcs-hash:20080503141144-cbc08-3938580de207fc33d4205a48a9fca50ac1ac88db.gz

[caa45a2c | Sat May 03 11:19:00 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Prefer sha2 over sha1

    darcs-hash:20080503131954-cbc08-499f0b55645f526cb93d6532beedfbf78ae4f52d.gz

[9d176a57 | Fri May 02 19:52:00 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Option to set Accept-Charset header.

    darcs-hash:20080502215237-a353d-955cdf72cafaf908485fda9a674e4ed29aa1bd35.gz

[65c59b1c | Fri May 02 17:53:00 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Make Helper::Methods::helper public

    darcs-hash:20080502195314-cbc08-bea10c78021e677019b05a9dfdcb899af2926954.gz

[fc19f31d | Fri May 02 10:11:00 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Content-Type rather than content-type in proto/view/page.xhtml layout

    darcs-hash:20080502121106-cbc08-3e4a5daad6ed85fa5d1079b5632606e50d74fc41.gz

[6ad6f1a5 | Fri May 02 10:05:00 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Allow setting default response Content-Type by Global.content_type = 'text/html'

    darcs-hash:20080502120513-cbc08-1d8909b09f33860c8b066a07a4bab0bb4790986a.gz

[2d37883e | Wed Apr 30 23:54:00 UTC 2008] Aman Gupta <aman@ramaze.net>

  * Removing leading whitespace in haml template example for compatibility with Haml 1.9

    darcs-hash:20080501015407-569a4-cd465d56ee38eb1bb9d7d51e821da35f328981d1.gz

[e6765ae8 | Wed Apr 30 20:59:00 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Improvements to Erubis and Tenjin templating

    darcs-hash:20080430225937-a353d-048e59e274648574b6189a0a3df647b437fd66c7.gz

[d0bbbb4d | Wed Apr 30 20:56:00 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Action caching is ignored if session flash data is present

    darcs-hash:20080430225638-a353d-6b84c9a9e95aec5f3220696045fd9e1288285055.gz

[abb810be | Wed Apr 30 20:05:00 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Remove useless whitespace

    darcs-hash:20080430220550-cbc08-6a7088c847b110264fb46e6b278e46b4a0a16ab5.gz

[b5a4217f | Wed Apr 30 20:58:00 UTC 2008] Aman Gupta <aman@ramaze.net>

  * Workaround for Ruby BUG when mapping class Controller; end (http://p.ramaze.net/1188)

    darcs-hash:20080430225817-569a4-feaafd49e7a8df3407a2403309db0bf75b789c5e.gz

[43271fc9 | Wed Apr 30 20:53:00 UTC 2008] Aman Gupta <aman@ramaze.net>

  * Bump rack dependency to 0.3.0

    darcs-hash:20080430225331-569a4-a1f6ff969116c007a447622aec794979e015f76a.gz

[5fbb1d03 | Wed Apr 30 20:20:00 UTC 2008] Aman Gupta <aman@ramaze.net>

  * Use File.open(filename, 'rb') in Helper::SendFile to avoid issues on win32

    darcs-hash:20080430222013-569a4-2f40df31bbf1ef6dd63c5c75dc625e255adf7f68.gz

[e1cd261c | Wed Apr 30 18:13:00 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Added my mail addy. This is patch 9!

    darcs-hash:20080430201338-c880c-6a018d6cc67ddbe27c8e00343657901a4abc4663.gz

[6e4e373f | Wed Apr 30 17:20:00 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Moved session[:openid_*] to session[:openid][:*]

    darcs-hash:20080430192047-c880c-a5b5648fba40f6ae10cb33090a2bacbf9f068b72.gz

[087390af | Sat Apr 26 17:39:00 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Updated jQuery to 1.2.4a

    darcs-hash:20080426193950-c880c-f00e62c30089ffff395d69a5c84f03f3ea92219f.gz

[6b8acb8a | Sat Apr 26 17:45:00 UTC 2008] Michael Fellinger <m.fellinger@gmail.com>

  * Added SReg response to Identity helper

